;;;***************************************************************************
;;; Startup file for ACL in windows
;;;  The portnumbers are give as command line arguments 
;;; mlisp.exe ... -- port1 port2 port3
;;; port1,port2 is used for DEBUGGER::enter-debug 
;;; port3 for DEBUGGER::make-listener
;;;***************************************************************************

;;; ***************************************************************************
;;; Load the debugger code
;;; ***************************************************************************

(load "acl/debugger.fasl")

;;; **************************************************************************
;;; Create the listener to communicate with Jabberwock and start it 
;;; in another process
;;; **************************************************************************

(mp:process-run-function "LispListener"
                         #'tpl:start-interactive-top-level
                         (acl-socket::make-socket
                          :remote-host "127.0.0.1"
                          :remote-port (read-from-string
                                        (system:command-line-argument 1)))
                         #'tpl:top-level-read-eval-print-loop
                         nil)

;;; ***********************************************************************
;;; Start listening to debug commands
;;; ***********************************************************************

(DEBUGGER::enter-debug
 (read-from-string (system:command-line-argument 2))
 (read-from-string (system:command-line-argument 3)))











