;; *************************************************************************************** ;;
;; Jabberwocky  : Programming envioronment for LISP                                        ;;
;; Copyright (C) 1998 Marc Mertens                                                         ;;
;;                                                                                         ;;
;;     This program is free software; you can redistribute it and/or modify                ;;
;;    it under the terms of the GNU General Public License as published by                 ;;
;;    the Free Software Foundation; either version 2 of the License, or                    ;;
;;    (at your option) any later version.                                                  ;;
;;                                                                                         ;;
;;    This program is distributed in the hope that it will be useful,                      ;;
;;    but WITHOUT ANY WARRANTY; without even the implied warranty of                       ;;
;;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                        ;;
;;    GNU General Public License for more details.                                         ;;
;;                                                                                         ;;
;;    You should have received a copy of the GNU General Public License                    ;;
;;    along with this program; if not, write to the Free Software                          ;;
;;    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA            ;;
;;                                                                                         ;;
;; Contact me on mmertens@vt4.net                                                          ;;
;; *************************************************************************************** ;;
;; *****************************************************************************
;; Lisp code install LISP part of Jabberwocky
;; *****************************************************************************
;; *****************************************************************************
;; Load support for sockets in the SBCL case
;; *****************************************************************************
#+:SBCL
(require 'asdf)
#+:SBCL
(require 'sb-bsd-sockets)
;;; ****************************************************************************
;;; When CMUCL detects that Jabberwocky is started from the command line
;;; is starts talking to a STTY instead of to stdin,stderr ...
;;; This should solve this problem
;;; ****************************************************************************
#+:CMU
(when (and (lisp::synonym-stream-p *terminal-io*)
    (eq (lisp::synonym-stream-symbol *terminal-io*)
            'SYSTEM::*TTY*))
  (setf *terminal-io* (make-two-way-stream system::*stdin* system::*stdout*)))
;; *****************************************************************************
;; Define the package so that there are no problems for the compilation
;; *****************************************************************************
#-:SBCL
(make-package "DEBUGGER")
#-:SBCL
(make-package "JABBERWOCKY")
#+:SBCL
(make-package "DEBUGGER" :use '("COMMON-LISP" "COMMON-LISP-USER"))
#+:SBCL
(make-package "JABBERWOCKY" :use '("COMMON-LISP" "COMMON-LISP-USER"))

;; *****************************************************************************
;; Compile java.lisp
;;         debugger.lisp
;;         jabberwocky.lisp
;;         cmu.lisp (for cmucl)
;;         clisp.lisp (for clisp)
;; ****************************************************************************
#+:CMU
(compile-file "java.lisp" :output-file "cmucl/java.x86f")
#+:SBCL
(compile-file "java.lisp" :output-file "sbcl/java.fasl")
#+CLISP
(compile-file "java.lisp" :output-file "clisp/java.fas")
#+:acl-socket
(compile-file "java.lisp" :output-file "acl/java.fasl")
#+:acl-socket
(compile-file "aclstartup.lisp" :output-file "acl/aclstartup.fasl")
#+:CMU
(compile-file "debugger.lisp" :output-file "cmucl/debugger.x86f")
#+:SBCL
(compile-file "debugger.lisp" :output-file "sbcl/debugger.fasl")
#+CLISP
(compile-file "debugger.lisp" :output-file "clisp/debugger.fas")
#+:acl-socket
(compile-file "debugger.lisp" :output-file "acl/debugger.fasl")
#+:CMU
(compile-file "jabberwocky.lisp" :output-file "cmucl/jabberwocky.x86f") 
#+:SBCL
(compile-file "jabberwocky.lisp" :output-file "sbcl/jabberwocky.fasl") 
#+CLISP
(compile-file "jabberwocky.lisp" :output-file "clisp/jabberwocky.fas") 
#+:acl-socket
(compile-file "jabberwocky.lisp" :output-file "acl/jabberwocky.fasl") 
#+:CMU
(compile-file "cmu.lisp" :output-file "cmucl/cmu.x86f")
#+:SBCL
(compile-file "sbcl.lisp" :output-file "sbcl/sbcl.fasl")
#+CLISP
(compile-file "clisp.lisp" :output-file "clisp/clisp.fas")
#+:acl-socket
(compile-file "acl.lisp" :output-file "acl/acl.fasl")

;; ****************************************************************************
;; Load the compiled code so we can generate the syntax definitions
;; ****************************************************************************

#+:CMU
(load "cmucl/debugger.x86f")
#+:SBCL
(load "sbcl/debugger.fasl")
#+CLISP
(load "clisp/debugger.fas")
#+:acl-socket
(load "acl/debugger.fasl")

;; ****************************************************************************
;; Generate the syntax analyzers
;; ****************************************************************************

(DEBUGGER::process-definition-file "lispsyntax")
(DEBUGGER::process-definition-file-to-java "lispsyntax")

;; ****************************************************************************
;; Exits
;; ****************************************************************************

#+:acl-socket
(exit)
#+:CMU
(quit)
#+CLISP
(quit)
#+:SBCL
(quit)


