/*
 * LispElement.java
 *
 * Created on September 30, 2001, 7:59 PM
 */

package IDE.CodeEditor.Parser;

import IDE.CodeEditor.*;
import java.util.*;

/**
 * Represents a function element (of the form #'cos or #'(lambda (...) ...)
 * @author  marc
 * @version 
 */
public class LispFunctionElement extends CodeStructureElement
{
    /** Function */
    private CodeElement function;
    /** Creates new LispElement */
    public LispFunctionElement() 
    {
    }
    /** Set the function */
    public void setFunction(CodeElement function)
    {
        this.function=function;
    }
    /** Get the function */
    public CodeElement getFunction()
    {
        return function;
    }
    /** Override the analyze method */
    public boolean analyze()
    {
        if (function instanceof LispListElement)
            return function.analyze();
        else
            return false;
    }
    /** Override the findHints method */
    public boolean findHints(CodeElement element,Vector hints)
    {
    	if (function instanceof LispListElement)
    		return function.findHints(element,hints);
    	else
    		return false;
    }
    /** Replace the use of a definition by a newdefinition  (in LISP replace a function/macro call by another call) */
    public void replaceUsedDefinition(CodeDocument document,CodeDocument.UpdateBuffer updatebuffer,String olddefinition,String newdefinition)
    {
        if (function instanceof LispAtomElement && ((LispAtomElement) function).isEqualTo(olddefinition))
            updatebuffer.addUpdate(function.begin(), function.end(), newdefinition);
        else if (function instanceof LispListElement)
            ((LispListElement) function).replaceUsedDefinition(document,updatebuffer,olddefinition,newdefinition);
    };
}
