/*
 * LispQuoteElement.java
 *
 * Created on March 13, 2002, 5:28 PM
 */

package IDE.CodeEditor.Parser;

import IDE.Configuration.*;
import IDE.CodeEditor.*;
import java.awt.*;
/**
 *
 * @author  marc
 */
public class LispQuoteElement extends CodeStructureElement
{   
    /** Quoted element */
    private CodeElement quoted;
    /** Creates a new instance of LispQuoteElement */
    public LispQuoteElement()
    {
        super();
    }
    /** Set the quoted element */
    public void setQuoted(CodeElement quoted)
    {
        this.quoted=quoted;
    }
    /** Get the quoted element */
    public CodeElement getQuoted()
    {
        return quoted;
    }
    /**
     * Checks if this is a quote of a symbol
     * @return true if quoted is a LispAtomElement , false if not
     */
    public boolean isQuotedSymbol()
    {
    	return quoted instanceof LispAtomElement;
    }
	/**
	 * Checks if this is a quote of a list
	 * @return true if quoted is a LispListElement , false if not
	 */
	public boolean isQuotedList()
	{
		return quoted instanceof LispListElement;
	}  
	 /**
     * Returns a array of two strings the first is the package name (null if the symbol is just 'symbol) and the second is the symbol
     * If quoted is not a LispAtomElement returns null
     * @return {"package","symbolname"} or null
     */
    public String[] getSymbolAndPackage()
    {
    	if (quoted instanceof LispAtomElement)
    	{
    		String content=((LispAtomElement) quoted).getSymbol();
    		String[] result=new String[2];
    		int i;
    		if ((i=content.indexOf(":"))>=0)
    		{
    			result[0]=content.substring(0,i);
    			result[1]=content.substring(i+1);
    		}
    		else if ((i=content.indexOf("::"))>=0)
    		{
    			result[0]=content.substring(0,i);
    			result[1]=content.substring(i+2);
    		}
    		else
    		{
    			result[0]=null;
    			result[1]=content;
    		};
    		return result;
    	}
    	else
    	{
    		return null;
    	}
    }
    /** Get the color of this element */
    public Color getColor()
    {
        return Configuration.colorQuote;
    }
}
