/*
 * ASetColorAction.java
 *
 * Created on December 25, 2001, 10:34 AM
 */

package IDE.Configuration;

import javax.swing.*;
import IDE.Messaging.*;
/**
 * Abstract action to set a number
 * @author  marc
 */
public abstract class AbstractBooleanAction extends AbstractIDEAction
{
    /** Name of this action */
    private String name;
    /** Creates a new instance of AbstractIntegerAction */
    public AbstractBooleanAction(String name)
    {
        super(name);
        this.name=name;
    }
    /** Define the action to do */
    public void doWork()
    {
        try
        {
            int m=users.size();
            boolean first=true;
            boolean value=getBoolValue() ? false : true;
            for (int i=0;i<m;i++)
            {
                if (users.elementAt(i) instanceof JCheckBoxMenuItem)
                {
                    if (first)
                    {
                        first=false;
                        setBoolValue(value);
                    }
                    else
                    {
                        ((JCheckBoxMenuItem) users.elementAt(i)).setState(value);
                    };
                }
                else if (users.elementAt(i) instanceof JToggleButton)
                {
                    if (first)
                    {
                        first=false;
                        setBoolValue(value);
                    }
                    else
                    {
                        ((JToggleButton) users.elementAt(i)).setEnabled(value);
                    };
                    
                }
            }
        }
        catch (NumberFormatException ev)
        {
            MessageHandler.warn("Value not numeric");
        };
    }
    /** Set the boolean value */
    protected abstract void setBoolValue(boolean value);
    /** Get the old value */
    protected abstract boolean getBoolValue();
}
