/*
 * ASetColorAction.java
 *
 * Created on December 25, 2001, 10:34 AM
 */

package IDE.Configuration;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
/**
 * Abstract action to chose a instance out of a list of instances presented as a dialog box
 * @author  marc
 */
public abstract class AbstractChoiceAction extends AbstractIDEAction
{
    /** Name of this action */
    private String name;
    /** List of choices */
    private String[] choices;
    /** Creates a new instance of AbstractIntegerAction */
    public AbstractChoiceAction(String name, String[] choices)
    {
        super(name);
        this.name=name;
        this.choices=choices;
    }
    /** Define the action to do */
    public void doWork()
    {
        final JDialog dialog=new JDialog();
        JPanel panel=new JPanel();
        JPanel buttons=new JPanel();
        final JList list=new JList(choices);
        JScrollPane scrollpane=new JScrollPane(list);
        JButton ok=new JButton(new AbstractAction("Ok")
        {
            public void actionPerformed(ActionEvent ev)
            {
                setValue((String) list.getSelectedValue());
                dialog.setVisible(false);
                dialog.dispose();
            }
        });
        JButton cancel=new JButton(new AbstractAction("Cancel")
        {
            public void actionPerformed(ActionEvent ev)
            {
                dialog.setVisible(false);
                dialog.dispose();
            }
        });
        // Find the selected index
        list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        String def=getValue();
        int selectedindex;
        for (selectedindex=0;selectedindex<choices.length && choices[selectedindex]!=def;selectedindex++);
        if (selectedindex<choices.length)
        {
            list.setSelectedIndex(selectedindex);
            list.ensureIndexIsVisible(selectedindex);
        }
        else
        {
            list.setSelectedIndex(0);
        };
        // LAyout the different components and display the dialog box
        buttons.add(ok);
        buttons.add(cancel);
        panel.setLayout(new BorderLayout());
        panel.add(scrollpane,BorderLayout.CENTER);
        panel.add(buttons,BorderLayout.SOUTH);
        dialog.setSize(200,300);
        dialog.setLocation(200,200);
        dialog.setContentPane(panel);
        dialog.setModal(true);
        dialog.setVisible(true);
    }
    /** Get the choice */
    protected abstract String getValue();
    /** Set the choice */
    protected abstract void setValue(String value);
}
