/*
 * ASetColorAction.java
 *
 * Created on December 25, 2001, 10:34 AM
 */

package IDE.Configuration;

import javax.swing.*;
import java.awt.*;
import IDE.*;
/**
 * Abstract action to set color of a option
 * @author  marc
 */
public abstract class AbstractColorAction extends AbstractIDEAction
{
    /** Name of this action */
    private String name;
    /** Creates a new instance of ASetColorAction */
    public AbstractColorAction(String name)
    {
        super(name);
        this.name=name;
    }
    /** Define the action to do */
    public void doWork()
    {
        Color color=JColorChooser.showDialog(null,name,getColor());
        if (color!=null)
        {
            setColor(color);
            Main.repaintEverything();
        };
    }
    /** Get the color */
    protected abstract Color getColor();
    /** Set the color */
    protected abstract void setColor(Color color);
}
