/*
 * ASetColorAction.java
 *
 * Created on December 25, 2001, 10:34 AM
 */

package IDE.Configuration;

import javax.swing.*;
import IDE.*;
import IDE.Messaging.*;
/**
 * Abstract action to set a number
 * @author  marc
 */
public abstract class AbstractIntegerAction extends AbstractIDEAction
{
    /** Name of this action */
    private String name;
    /** Mininimum and maximum value */
    private int min;
    private int max;
    /** Creates a new instance of AbstractIntegerAction */
    public AbstractIntegerAction(String name,int min,int max)
    {
        super(name);
        this.name=name;
        this.min=min;
        this.max=max;
    }
    /** Define the action to do */
    public void doWork()
    {
        String result=(String) JOptionPane.showInputDialog(Main.frame,"Value between "+min+" and "+max,name,JOptionPane.QUESTION_MESSAGE,null,null,new Integer(getInt()).toString());
        try
        {
            if (result==null) return;
            int i=Integer.decode(result).intValue();
            if (i>=min && i<=max)
            {
                setInt(i);
            }
            else
            {
                MessageHandler.warn("Value not between "+min+" and "+max);
            }
        }
        catch (NumberFormatException ev)
        {
            MessageHandler.warn("Value not numeric");
        };
    }
    /** Get the color */
    protected abstract int getInt();
    /** Set the color */
    protected abstract void setInt(int number);
}
