/*
 * IDEAction.java
 *
 * Created on December 26, 2001, 11:24 AM
 */

package IDE.Configuration;

import java.util.*;
import javax.swing.*;

/**
 *  Extension of abstractaction to keep track of the buttons,menus ... where this action is used in
 * @author  marc
 */
public abstract class AbstractManagedAction extends AbstractAction
{
    /** Vector of  abstract buttons which use this action */
    protected Vector users=new Vector() ;
    /** Constructor of action */
    public AbstractManagedAction(String name)
    {
        super(name);
    }
    public AbstractManagedAction(String name, ImageIcon icon)
    {
        super(name,icon);
    }
    /** Set the menu where this action is used in */
    public void addUser(AbstractButton button)
    {
        users.add(button);
        button.setFocusable(false);
        button.setToolTipText(toolTipString());
    }
    /** Refresh  tooltips used by all users of this action */
    public void refreshInfo()
    {
        int m=users.size();
        for (int i=0;i<m;i++)
        {
            AbstractButton button=(AbstractButton) users.elementAt(i);
            button.setToolTipText(toolTipString());
        }
    }
    /** Get Tooltip string */
    public String toolTipString()
    {
        String longstring=(String) getValue(AbstractAction.SHORT_DESCRIPTION);
        KeySequence ks=(KeySequence) getValue(ActionKeyMap.KEYSEQUENCE);
        if (longstring==null)
        {
            return "";
        }
        else
        {
            if (ks==null)
                return longstring;
            else
                return longstring+ks.toString();
        }
    }
}
