/*
 * SplashScreen.java
 *
 * Created on January 13, 2002, 9:47 AM
 */

package IDE.Configuration;

import javax.swing.*;
import java.awt.*;

/**
 * Class having only static methods  to  draw a splashscreen during loading of the IDE
 * @author  marc
 */
public class SplashScreen
{
    /** Frame to show splashscreen in */
    private static JFrame frame=null;
    /** Textbox to shown startup messages in */
    private static JLabel text;
    /** Show the splash screen */
    public static void showSplash()
    {
        JPanel content=new JPanel(new BorderLayout(0,0));
        JTextArea poem=new JTextArea();
        poem.setEditable(false);
        poem.setFont(new Font("Calligula",Font.ITALIC,10));
        poem.setForeground(Color.BLUE);
        poem.setBackground(Color.WHITE);
        poem.insert("'Twas brillig, and the slithy toves\n Did gyre and gimble in the wabe:\nAll mimsy were the borogoves,\n And the mome raths outgrabe.\n\nBeware the Jabberwock, my son!\n The jaws that bite, the claws that catch!\nBeware the Jubjub bird, and shun\n The frumious Bandersnatch!\n\nHe took his vorpal sword in hand:\n Long time the maxome foe he sought--\nSo rested he by the Tumtum tree,\n And stood awhile in thought.\n\nAnd, as in uffish thought he stood,\n The Jabberwock, with eyes of flame,\nCame whiffling through the tulgey wood,\n And burbled as it came!\n\nOne, two! One, two And through and through\n The vorpal blade went snicker-snack!\nHe left it dead, and with its head\n He went galumphing back.\n\n\"And hast thou slain the Jabberwock?\n Come to my arms, my beamish boy!\nO frabjous day! Callooh! Callay!\"\n He chortled in his joy.\n\n'Twas brillig, and the slithy toves\n Did gyre and gimble in the wabe:\nAll mimsy were the borogoves,\n And the mome raths outgrabe.",0);
        ImageIcon icon=Configuration.getIcon("jabberwocky.jpg");
        JLabel image=new JLabel(icon);
        Rectangle bounds;
        int x,y;
        frame=new JFrame();
        text=new JLabel("Starting ...",JLabel.CENTER);
        text.setFont(new Font("Lucida Sans Typewriter",Font.BOLD,15));
        
        content.add(image,BorderLayout.CENTER);
        content.add(text,BorderLayout.SOUTH);
        content.add(poem,BorderLayout.EAST);
        content.setBackground(poem.getBackground());
      
        frame.setBackground(poem.getBackground());
        frame.getContentPane().add(content);
        frame.setSize(icon.getIconWidth()+poem.getPreferredSize().width,Math.max(icon.getIconHeight(),poem.getPreferredSize().height)+text.getHeight()+60);
        // Calculate and set center location
        bounds=GraphicsEnvironment.getLocalGraphicsEnvironment().getDefaultScreenDevice().getDefaultConfiguration().getBounds();
        x=bounds.width/2;
        x=Math.max(0,x-icon.getIconWidth()/2);
        y=bounds.height/2;
        y=Math.max(0,y-icon.getIconHeight()/2);
        frame.setLocation(x,y);
        frame.setTitle(Configuration.IDEName+" "+Configuration.IDEVersion);
        frame.setVisible(true);
    }
    /** Show a message in the splash screen */
    public static void showMessage(String message)
    {
        if (text!=null)
        {
            text.setText(message);
            text.repaint();
        };
    }
    /** Dispose of the splasshscreen and its resources */
    public static void disposeSplash()
    {
        text=null;
        frame.setVisible(false);
        frame.dispose();
        frame=null;
    }
}
