/*
 * Hint.java
 *
 * Created on November 4, 2001, 3:36 PM
 */

package IDE.Help;

import java.awt.*;
import IDE.CodeEditor.*;

/**
 * Display a hint in the window at the cursor
 * position
 * @author marc
 */
public class Hint
{
    /** flag indicating if hint must be displayed  */
    private static boolean display=false;
    /** Editor to display hint in */
    private static CodeEditor editor;
    /** Window to display the hint in */
    private static HintWindow hintwindow=null;
    /** Creates new Hint */
    public static void initHint()
    {
        hintwindow=new HintWindow();
    }
    /** Set the editor to display hint in */
    public static void setEditor(CodeEditor editor)
    {
        Hint.editor=editor;
    }
    /** Toggle the display of a hint */
    public static void toggleHint()
    {
        if (display)
        {
            display=false;
            removeHint();
        }
        else
        {
            display=true;
            showHint();
        };
    }
    /** Tell the hint system to display hint if needed */
    public static void activateHint()
    {
        if (display)
            showHint();
    }
    /** Replace the current leaf by the hint */
    public static void replaceByHint()
    {
        if (display)
            HintWindow.replaceByHint();
    }
    /** Go up in the hint window */
    public static void goUp()
    {
        if (display)
            HintWindow.goUp();
    }
    /** Go Down in the hint window */
    public static void goDown()
    {
        if (display)
            HintWindow.goDown();
    }
    public static void showHint()
    {
        CodeDocument document;
        int offset;
        Point point;
        
        if (editor!=null && display)
        {
            document=editor.getDocument();
            offset=editor.cursor.cursorOffset();
            point=editor.getAbsolutePoint(offset);
            point.x=point.x;
            point.y=point.y;
            hintwindow.showHint(offset,document,point.x,point.y);
        };
    }
    /** Hide the hint */
    public  static void removeHint()
    {
        hintwindow.toBack();
    }
}
