/*
 * HintWindow.java
 *
 * Created on November 5, 2001, 8:01 PM
 */

package IDE.Help;

import java.awt.*;
import javax.swing.*;
import java.util.*;
import IDE.*;
import IDE.CodeEditor.*;
import IDE.Configuration.*;
import IDE.Interaction.*;

/**
 * Code to display the value of a leaf when the cursr is above the leaf and the editor buffer is in debug mode
 * @author  marc
 */
public class ValueWindow extends JScrollPane
{
    /** Timer used to wait a certain time before displaying the value of a leaf */
    private static java.util.Timer timer;
    /** Textarea to display the text in */
    private static JTextArea text=null;
    /** Offset to add to the x coordinate for the origin of the hint window */
    private final static int offsetX=10;
    /** Offset to add to the y coordinate for the origin of the hint window */
    private final static int offsetY=10;
    /** Contains the value of a leaf used to avoid any problems with final */
    private static String result="";
    /** Contains the value of the cursor on this moment */
    private static int pos=0;
    /** Remove the value window from the layered pane */
    public static void removeValueLeaf()
    {
        if (text!=null)
            Main.frame.getLayeredPane().remove(text);
    }
    /** Display the value of a leaf if we hover the pointer over the leaf */
    public static void displayValueLeaf(final CodeEditor editor,final int x,final int y)
    {
        final Runnable doDisplay=new Runnable()
        {
            public void run()
            {
                Dimension textDim;
                Dimension frameDim;
                int posX,posY;
                // Hide the value window if it is not null
                if (text!=null)
                {
                    Main.frame.getLayeredPane().remove(text);
                    text=null;
                };
                Point point=editor.getAbsolutePoint(pos);
                if (editor!=null)
                {
                    if (result!=null)
                    {
                        text=new JTextArea();
                        text.setBackground(Configuration.colorHint);
                        text.setText(result);
                        textDim=text.getPreferredSize();
                        frameDim=Main.frame.getSize();
                        FontMetrics fm=editor.getFontMetrics(editor.getFont());
                        text.setSize(textDim.width,textDim.height);
                        if (point.x+offsetX+textDim.width>frameDim.width)
                            posX=Math.max(0,point.x-offsetX-textDim.width);
                        else
                            posX=point.x+offsetX;
                        if (point.y+offsetY+textDim.height>frameDim.height)
                            posY=Math.max(0,point.y-offsetY-textDim.height-fm.getHeight());
                        else
                            posY=point.y+offsetY;
                        text.setLocation(posX,posY);
                        Main.frame.getLayeredPane().add(text,JLayeredPane.POPUP_LAYER);
                    };
                    //};
                };
                Main.frame.repaint();
            };
        };
        TimerTask display=new TimerTask()
        {
            public void run()
            {
                IInteraction interaction=editor.getInteraction();
                pos=editor.getPosition(x,y);
                result=interaction.getValueLeaf(editor,pos);
                SwingUtilities.invokeLater(doDisplay);
            }
        };
        if (timer!=null)
            timer.cancel();
        timer=new java.util.Timer();
        timer.schedule(display,Configuration.hoverTimeout);
    }
}
