/*
 * LispClispInteraction.java
 *
 * Created on March 23, 2002, 10:22 PM
 */

package IDE.Interaction;

import IDE.Messaging.*; 

import java.io.*;

/**
 * Represents a interaction with a ACL lisp process
 * @author  marc
 */
public class LispAclInteraction extends LispInteraction
{
    /** Number of ACL instances */
    private static int count;
    /** Name of the interaction window */
    private String name;
    /** Creates a new instance of LispClispInteraction */
    public LispAclInteraction()
    {
        super(InteractionCommands.getInteractionCommand(LispAclInteraction.class.getName()),"(load \"acl"+"/"+"debugger.fasl\")\n");
        count++; 
        name="ACL "+count; 
    }
    /** Override the getName() emthod */
    public String getName()
    {
        return name;
    }
    /** Get the extension of compiled code */
    public String getCompiledExtension()
    {
        return "fasl";
    }
    /** Send a string  to the input stream of a process, do not wait on it */
    public void sendCommand(final String command)
    {
        Runnable doSend=new Runnable()
        {
            public void run()
            {
                try
                {
                    MessageHandler.say("Lisp command : "+command);
                    interactionpane.outputString("\n");
                    lispinput.write(command);
                    lispinput.flush();
                }
                catch (IOException e)
                {
                    cleanupAftererror("IOError during write to lispprocess error "+e.getMessage(),e);
                };
            }
        };
        Thread thread=new Thread(doSend);
        thread.start();
    }
    /** Generates a file representing the directory where the lisp files are installed in */
    public File lispSubDir(String installdir)
    {
        return new File(installdir,"acl");
    }
}
