/*
 * LispClispInteraction.java
 *
 * Created on March 23, 2002, 10:22 PM
 */

package IDE.Interaction;
import Install.*;
import java.io.*;

/**
 *  Represents a interaction, interactiong with a CLISP process
 * @author  marc
 */
public class LispClispInteraction extends LispInteraction
{
    /** Number of CLISP interactions */
    private static int count=0;
    /** Name of the Interaction window */
    private String name;
    /** Creates a new instance of LispClispInteraction */
    public LispClispInteraction()
    {
        super(InteractionCommands.getInteractionCommand(LispClispInteraction.class.getName()),"(load \"clisp"+"/"+"debugger.fas\")");
        count++;
        name="CLISP "+count;
    } 
    /** Overide the getName() method */
    public String getName()
    {
        return name;
    }
    /** Get the extension of compiled code */
    public String getCompiledExtension()
    {
        return "fas";
    }
    /** Set the current directory in the lisp subsystem  for CLISP */
    public void setCurrentDirectory(String directory)
    {
        if (lispconnection!=null)
        {  
            asyncCallLisp("(setf (default-directory) \""+OsSystem.correctPathName(directory)+"\")");
        };
    }
    /** Generates a file representing the directory where the lisp files are installed in */
    public File lispSubDir(String installdir)
    {
        return new File(installdir,"clisp");
    }
}
