/*
 * LispClispInteraction.java
 *
 * Created on March 23, 2002, 10:22 PM
 */

package IDE.Interaction;

import java.io.*;

/**
 * Represents a interaction with a CMUCL lisp process
 * @author  marc
 */
public class LispCmuInteraction extends LispInteraction
{
    /** Number of CMUCL instances */
    private static int count;
    /** Name of the interaction window */
    private String name;
    /** Creates a new instance of LispClispInteraction */
    public LispCmuInteraction()
    {
        super(InteractionCommands.getInteractionCommand(LispCmuInteraction.class.getName()),"(load \"cmucl"+File.separator+"debugger.x86f\")");
        count++;
        name="CMUCL "+count;
    } 
    /** Override the getName() emthod */
    public String getName()
    {
        return name;
    }
    /** Get the extension of compiled code */
    public String getCompiledExtension()
    {
        return "x86f";
    }
        /** Generates a file representing the directory where the lisp files are installed in */
    public File lispSubDir(String installdir)
    {
        return new File(installdir,"cmucl");
    }
}
