/*
 * LinearFocusTraversalPolicy.java
 *
 * Created on June 11, 2002, 9:49 PM
 */

package IDE;

import java.awt.*;
/**
 * Represents a focus traversable policy based on a array  first component is first component in array last
 * component is last component in array and next component is next component in array
 * @author  marc
 */
public class LinearFocusTraversalPolicy extends FocusTraversalPolicy
{
    /** Array of components for the focus traversable policy */
    private Component[] components;
    /** Creates a new instance of LinearFocusTraversalPolicy */
    public LinearFocusTraversalPolicy(Component[] components)
    {
        this.components=components;
    }   
   /** Find the component in the array, returns -1 if component not found */
    private int findIndexComponent(Component component)
    {
        int i;
        for (i=0;i<components.length && components[i]!=component;i++);
        if (i<components.length)
            return i;
        else
            return -1;
    }
    /** These methods are needed to implement the FocusTraversalPolicy */
    public Component getComponentAfter(Container container,Component component)
    {
        int i=findIndexComponent(component);
        if (i==-1 || i+1>=components.length)
            return null;
        else
            return components[i+1];
    }
    
    public Component getComponentBefore(Container container, Component component)
    {
        int i=findIndexComponent(component);
        if (i-1<0)
            return null;
        else
            return components[i-1];
    }
    
    public Component getDefaultComponent(Container container)
    {
        if (components.length>0)
            return components[0];
        else 
            return null;
    }
    
    public Component getFirstComponent(Container container)
    {
        if (components.length>0)
            return components[0];
        else 
            return null;     
    }
    
    public Component getLastComponent(Container container)
    {
        if (components.length>0)
            return components[components.length-1];
        else 
            return null;     
    }
}
