/*
 * LispList.java
 *
 * Created on March 31, 2001, 9:55 AM
 */

package IDE.LispSyntax;

import IDE.CodeEditor.*;
import IDE.CodeEditor.Parser.*;

/**
 *
 * Represent a special version of a linked list of analyzer, used in todo
 * is more efficient then a  LinkedList because it implements first and
 * cons and rest in the LISP way (not as a destructive modifier) so we
 * don't need to copy the list if we do a cons,first,rest
 * @author  marc
 * @version
 */
public final class AnalyzerList
{
    /** Value of the first element in this list */
    private LispAnalyzer first;
    private LispListElement list;
    private CodeElementIterator listelements;
    /** Points to the next element, or null if there is no next */
    private AnalyzerList next;
    /** Creates new AnalyzerList */
    public AnalyzerList()
    {
        next=null;
        first=null;
    }
    /** Return the first element of this list */
    public LispAnalyzer firstAnalyzer()
    {
        return first;
    }
    /** Return the list corresponding with the analyzer */
    public LispListElement firstList()
    {
        return list;
    }
    /** Return the iterator associated with the list */
    public CodeElementIterator firstListElements()
    {
        return listelements;
    }
    /** Returns a list which is the cons of the element to this list */
    public AnalyzerList cons(LispAnalyzer element,LispListElement list,CodeElementIterator listelements)
    {
        AnalyzerList cons=new AnalyzerList();
        
        cons.first=element;
        cons.list=list;
        cons.listelements=listelements;
        cons.next=this;
        return cons;
    }
    /** Returns a list which is the rest of this list, returns null if there is no rest */
    public AnalyzerList rest()
    {
        if (nullp())
        {
            // This is the empty list (the LISP nil element)
            return this;
        }
        else
        {
            return next;
        }
    }
    /** Test if this list is the nil element */
    public boolean nullp()
    {
        return first==null;
    }
    /** Append a array of Analyzers to this element */
    public AnalyzerList append(LispAnalyzer[] analyzers,LispListElement list,CodeElementIterator listelements)
    {
        AnalyzerList append=this;
        for (int i=analyzers.length-1;i>-1;i--)
        {
            append=append.cons(analyzers[i],list,listelements);
        }
        return append;
    }
}
