/**
 * Code generated by createJavaSyntaxDefinitions
 * to contain the standard syntax definitions of LISP
 * based on the help in CMUCL
 */

package IDE.LispSyntax;
import java.util.*;

public class PredefinedSyntaxDescriptions
{
 private static Hashtable definitions=new Hashtable();
 static
 {
     definitions.put("LISP-TYPE-TO-JAVA-LIST","Function : LISP-TYPE-TO-JAVA-LIST\nArguments : (value)\nReturn type : T");
     definitions.put("TO-JAVA-REPEAT","Function : TO-JAVA-REPEAT\nArguments : (lst)\nReturn type : (OR BASE-STRING NULL)");
     definitions.put("TO-JAVA-VAR","Function : TO-JAVA-VAR\nArguments : \nReturn type : (SIMPLE-BASE-STRING 21)");
     definitions.put("HIGHLIGHT-ERROR","Function : HIGHLIGHT-ERROR\nArguments : (begin)\nReturn type : *");
     definitions.put("MUST-STOP-AFTER-CALL","Function : MUST-STOP-AFTER-CALL\nArguments : (editor begin end)\nReturn type : T");
     definitions.put("CHECKED-LOAD-FILE","Function : CHECKED-LOAD-FILE\nArguments : (filename &key (verbose t) (print t))\nReturn type : (MOD 536870911)");
     definitions.put("D-CCASE","Function : D-CCASE\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("SET-POSSIBLE-BREAKPOINT","Function : SET-POSSIBLE-BREAKPOINT\nArguments : (editor begin end)\nReturn type : T");
     definitions.put("SOURCE-TO-STRING","Function : SOURCE-TO-STRING\nArguments : (source)\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("TR-REPEAT","Function : TR-REPEAT\nArguments : (frst rst)\nReturn type : LIST");
     definitions.put("D-WITH-INPUT-FROM-STRING","Function : D-WITH-INPUT-FROM-STRING\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("MESSAGE","Function : MESSAGE\nArguments : (message &key ((:warn warn) nil))\nReturn type : *");
     definitions.put("ARITHMETIC-UP","Function : ARITHMETIC-UP\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("D-THROW","Function : D-THROW\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("FUNCTION-DEF","Function : FUNCTION-DEF\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("D-DO-SYMBOLS","Function : D-DO-SYMBOLS\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("TR","Function : TR\nArguments : (frst rst)\nReturn type : *");
     definitions.put("D-HANDLER-BIND","Function : D-HANDLER-BIND\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("TO-JAVA-VARIABLE","Function : TO-JAVA-VARIABLE\nArguments : \nReturn type : (SIMPLE-BASE-STRING 26)");
     definitions.put("PARSE-DEFINITION-STRING","Function : PARSE-DEFINITION-STRING\nArguments : (source i l)\nReturn type : (VALUES SIMPLE-BASE-STRING (INTEGER 1 536870911))");
     definitions.put("D-LOCALLY","Function : D-LOCALLY\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-PROG*","Function : D-PROG*\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("JAVA-INT","Function : JAVA-INT\nArguments : (nr)\nReturn type : *");
     definitions.put("LAMBDA-LIST","Function : LAMBDA-LIST\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("START-PROFILING","Function : START-PROFILING\nArguments : (editor)\nReturn type : (MEMBER T)");
     definitions.put("DEPENDS-ON-1","Function : DEPENDS-ON-1\nArguments : (def1-exp def1 def2 def-exp checked)\nReturn type : *");
     definitions.put("DS","Function : DS\nArguments : (vls)\nReturn type : T");
     definitions.put("DB-C-SET-EXP","Function : DB-C-SET-EXP\nArguments : (exp)\nReturn type : T");
     definitions.put("NEXT-TIME","Function : NEXT-TIME\nArguments : (time)\nReturn type : *");
     definitions.put("TR-DOTTED-LIST","Function : TR-DOTTED-LIST\nArguments : (frst rst)\nReturn type : LIST");
     definitions.put("DB-OR","Function : DB-OR\nArguments : (or-lst fun)\nReturn type : FUNCTION");
     definitions.put("TO-JAVA-SIMPLE","Function : TO-JAVA-SIMPLE\nArguments : (lst)\nReturn type : NULL");
     definitions.put("DB-C-SET","Function : DB-C-SET\nArguments : (src pos)\nReturn type : T");
     definitions.put("PARSE-DEFINITION-SUBDEF","Function : PARSE-DEFINITION-SUBDEF\nArguments : (source i l subdef)\nReturn type : FIXNUM");
     definitions.put("D-MAP","Function : D-MAP\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("DB-C-VAR","Function : DB-C-VAR\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("WITH-CLAUSE","Function : WITH-CLAUSE\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("GET-SYNTAX-SPLIT-SYMBOL","Function : GET-SYNTAX-SPLIT-SYMBOL\nArguments : (symbol)\nReturn type : (VALUES (OR CONS NULL (SIMPLE-ARRAY * (*))) SEQUENCE)");
     definitions.put("GET-BINDING","Macro : GET-BINDING\nArguments : (&rest var-lst)\nReturn type : ");
     definitions.put("D-DO","Function : D-DO\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("PARSE-DEFINITION-LIST","Function : PARSE-DEFINITION-LIST\nArguments : (source i l)\nReturn type : (VALUES T (INTEGER 1 536870911))");
     definitions.put("LISP-TYPE-TO-JAVA-SEQUENCE","Function : LISP-TYPE-TO-JAVA-SEQUENCE\nArguments : (value)\nReturn type : T");
     definitions.put("D-BLOCK","Function : D-BLOCK\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("PROCESS-DEFINITION-FILE","Function : PROCESS-DEFINITION-FILE\nArguments : (definition-file &optional (destination \"debugcode\"))\nReturn type : *");
     definitions.put("PROCESS-INCOMING","Function : PROCESS-INCOMING\nArguments : (&optional dummy &key ((:block block) nil))\nReturn type : NULL");
     definitions.put("D-TAGBODY","Function : D-TAGBODY\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("ACCUMULATION-CLAUSE","Function : ACCUMULATION-CLAUSE\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("D-ASSERT","Function : D-ASSERT\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("PROCESS-DEFINITION-FILE-TO-JAVA","Function : PROCESS-DEFINITION-FILE-TO-JAVA\nArguments : (definition-file)\nReturn type : *");
     definitions.put("DEBUG-POINT","Function : DEBUG-POINT\nArguments : (lisp-source begin end env)\nReturn type : NULL");
     definitions.put("TO-JAVA-SEQUENCE","Function : TO-JAVA-SEQUENCE\nArguments : (lst end)\nReturn type : (OR BASE-STRING NULL)");
     definitions.put("D-WITH-ACCESSORS","Function : D-WITH-ACCESSORS\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("GET-LEXICAL-BINDING","Function : GET-LEXICAL-BINDING\nArguments : (vars)\nReturn type : LIST");
     definitions.put("UNREGISTER-WATCH-EXPRESSION","Function : UNREGISTER-WATCH-EXPRESSION\nArguments : (node)\nReturn type : *");
     definitions.put("ADD-CODE","Function : ADD-CODE\nArguments : (exp free position source)\nReturn type : T");
     definitions.put("D-NTH-VALUE","Function : D-NTH-VALUE\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("READ-SOURCE","Function : READ-SOURCE\nArguments : (source)\nReturn type : (VALUES T HASH-TABLE)");
     definitions.put("D-SETF","Function : D-SETF\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("DB-C-EXPRESSION","Function : DB-C-EXPRESSION\nArguments : \nReturn type : T");
     definitions.put("GET-JAVA-MEMBER","Function : GET-JAVA-MEMBER\nArguments : \nReturn type : ");
     definitions.put("D-PROG1","Function : D-PROG1\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("TR-SEQUENCE","Function : TR-SEQUENCE\nArguments : (lst)\nReturn type : T");
     definitions.put("D-DOLIST","Function : D-DOLIST\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-DESTRUCTURING-BIND","Function : D-DESTRUCTURING-BIND\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("WRITE-DEBUGGED-EXP-LIST","Function : WRITE-DEBUGGED-EXP-LIST\nArguments : (exp h)\nReturn type : NULL");
     definitions.put("TR-DOTTED-SEQUENCE-1","Function : TR-DOTTED-SEQUENCE-1\nArguments : (lst)\nReturn type : LIST");
     definitions.put("D-DEFCLASS","Function : D-DEFCLASS\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-DECF","Function : D-DECF\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-GENERIC-LABELS","Function : D-GENERIC-LABELS\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-MAPC","Function : D-MAPC\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("GET-TIME","Function : GET-TIME\nArguments : \nReturn type : (OR BASE-STRING NULL)");
     definitions.put("NAMED-TO-JAVA","Function : NAMED-TO-JAVA\nArguments : (symbol lst)\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("PARSE-SOURCE","Function : PARSE-SOURCE\nArguments : (source position)\nReturn type : *");
     definitions.put("D-HANDLER-CASE","Function : D-HANDLER-CASE\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("DB-C-POSITION","Function : DB-C-POSITION\nArguments : \nReturn type : T");
     definitions.put("FOR-AS-ACROSS","Function : FOR-AS-ACROSS\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("JAVA-SHORT","Function : JAVA-SHORT\nArguments : (nr)\nReturn type : *");
     definitions.put("D-DO-EXTERNAL-SYMBOLS","Function : D-DO-EXTERNAL-SYMBOLS\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-MAPHASH","Function : D-MAPHASH\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("DB-DOTTED-LIST","Function : DB-DOTTED-LIST\nArguments : (fun)\nReturn type : FUNCTION");
     definitions.put("SORT-BY-DEPENDENCE-SPLIT","Function : SORT-BY-DEPENDENCE-SPLIT\nArguments : (def lst def-exp depend depend-not)\nReturn type : (VALUES T T)");
     definitions.put("SLOT-OPTION","Function : SLOT-OPTION\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("CLASS-OPTION","Function : CLASS-OPTION\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("PARSE-SOURCE-ELEMENT","Function : PARSE-SOURCE-ELEMENT\nArguments : (source position i l)\nReturn type : *");
     definitions.put("D-MULTIPLE-VALUE-PROG1","Function : D-MULTIPLE-VALUE-PROG1\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("GENERATE-PROCESS-INCOMING","Function : GENERATE-PROCESS-INCOMING\nArguments : (connection)\nReturn type : FUNCTION");
     definitions.put("REFRESH-WATCHES","Function : REFRESH-WATCHES\nArguments : \nReturn type : *");
     definitions.put("SKIP-WHITE","Function : SKIP-WHITE\nArguments : (source i l)\nReturn type : FIXNUM");
     definitions.put("PROPER-LIST-P","Function : PROPER-LIST-P\nArguments : (lst)\nReturn type : (MEMBER T NIL)");
     definitions.put("D-MULTIPLE-VALUE-CALL","Function : D-MULTIPLE-VALUE-CALL\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("DEBUG-SYMBOL","Function : DEBUG-SYMBOL\nArguments : (symbol)\nReturn type : (VALUES SYMBOL (MEMBER :INTERNAL :EXTERNAL :INHERITED NIL))");
     definitions.put("PREV-TIME","Function : PREV-TIME\nArguments : (time)\nReturn type : T");
     definitions.put("D-FUNCTION","Function : D-FUNCTION\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("DELETE-JAVA-CONNECTION","Function : DELETE-JAVA-CONNECTION\nArguments : (c)\nReturn type : T");
     definitions.put("SORT-BY-DEPENDENCE","Function : SORT-BY-DEPENDENCE\nArguments : (def-exp)\nReturn type : *");
     definitions.put("SLOT-ENTRY","Function : SLOT-ENTRY\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("JAVA-BOOLEAN","Function : JAVA-BOOLEAN\nArguments : (bool)\nReturn type : *");
     definitions.put("DB-AFTER-DOT","Function : DB-AFTER-DOT\nArguments : (fun)\nReturn type : FUNCTION");
     definitions.put("SAVE-TIME","Function : SAVE-TIME\nArguments : (env begin end source)\nReturn type : T");
     definitions.put("UNCONDITIONAL-CLAUSE","Function : UNCONDITIONAL-CLAUSE\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("GET-SYNTAX-TYPE","Function : GET-SYNTAX-TYPE\nArguments : (symbol)\nReturn type : (MEMBER MACRO FUNCTION NIL)");
     definitions.put("CHECKED-COMPILE-FILE","Function : CHECKED-COMPILE-FILE\nArguments : (filename)\nReturn type : (MEMBER NIL T)");
     definitions.put("GENERATE-ADD-CODE-EXP","Function : GENERATE-ADD-CODE-EXP\nArguments : (n-f-lst)\nReturn type : LIST");
     definitions.put("FOR-AS-HASH","Function : FOR-AS-HASH\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("STEP-BACK-IN-TIME","Function : STEP-BACK-IN-TIME\nArguments : \nReturn type : *");
     definitions.put("D-UNLESS","Function : D-UNLESS\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-MULTIPLE-VALUE-SETQ","Function : D-MULTIPLE-VALUE-SETQ\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("ERROR-PARSING","Function : ERROR-PARSING\nArguments : (msg i)\nReturn type : NIL");
     definitions.put("TOGGLE-BREAKPOINT","Function : TOGGLE-BREAKPOINT\nArguments : (editor begin end &optional (condition t))\nReturn type : (INTEGER -1 1)");
     definitions.put("ANALYZER-ARRAY","Function : ANALYZER-ARRAY\nArguments : (lst)\nReturn type : (OR BASE-STRING NULL)");
     definitions.put("D-LET","Function : D-LET\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("EVAL-EXPRESSION","Function : EVAL-EXPRESSION\nArguments : (expstr)\nReturn type : T");
     definitions.put("VAR-LIST","Function : VAR-LIST\nArguments : (debugger::e debugger::a debugger::r)\nReturn type : *");
     definitions.put("SERIALIZE-JAVA-OBJECT","Function : SERIALIZE-JAVA-OBJECT\nArguments : (object)\nReturn type : T");
     definitions.put("PARSE-SOURCE-ELEMENT-LIST","Function : PARSE-SOURCE-ELEMENT-LIST\nArguments : (source position i l)\nReturn type : (VALUES T (INTEGER 1 536870911))");
     definitions.put("WRITE-DEBUGGED-EXP-LIST-ELEMENT","Function : WRITE-DEBUGGED-EXP-LIST-ELEMENT\nArguments : (exp h)\nReturn type : T");
     definitions.put("D-CASE","Function : D-CASE\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("FOR-AS-PACKAGE","Function : FOR-AS-PACKAGE\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("D-MULTIPLE-VALUE-BIND","Function : D-MULTIPLE-VALUE-BIND\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("INIT-JAVA-IDENTIFIER","Function : INIT-JAVA-IDENTIFIER\nArguments : \nReturn type : HASH-TABLE");
     definitions.put("DISPLAY-RESULT-CALL","Function : DISPLAY-RESULT-CALL\nArguments : (val env source begin end)\nReturn type : T");
     definitions.put("FOR-AS-ON-LIST","Function : FOR-AS-ON-LIST\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("DB-C-EMPTY-LIST","Function : DB-C-EMPTY-LIST\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("D-PROGV","Function : D-PROGV\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("ADD-CODE-EXP-FUNCTION","Function : ADD-CODE-EXP-FUNCTION\nArguments : (exp free position source)\nReturn type : CONS");
     definitions.put("TR-VAR","Function : TR-VAR\nArguments : (frst rst)\nReturn type : LIST");
     definitions.put("CONTINUE-EXECUTION-ACTION","Function : CONTINUE-EXECUTION-ACTION\nArguments : (editor)\nReturn type : *");
     definitions.put("DEBUG-OPEN-FILE","Function : DEBUG-OPEN-FILE\nArguments : (filename tempsource editor &optional (compile nil))\nReturn type : (MEMBER T NIL)");
     definitions.put("BODY-1","Function : BODY-1\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("FOR-AS-ARITHMETIC","Function : FOR-AS-ARITHMETIC\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("JAVA-CONNECTION-CALL-OUT","Function : JAVA-CONNECTION-CALL-OUT\nArguments : \nReturn type : ");
     definitions.put("DB-C-GET","Function : DB-C-GET\nArguments : \nReturn type : LIST");
     definitions.put("D-MAPCAN","Function : D-MAPCAN\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("GENERAL-APPLY-1","Function : GENERAL-APPLY-1\nArguments : \nReturn type : ");
     definitions.put("DB-C-VARIABLE","Function : DB-C-VARIABLE\nArguments : \nReturn type : T");
     definitions.put("D-FLET","Function : D-FLET\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("PARSE-DEFINITION-START","Function : PARSE-DEFINITION-START\nArguments : (source subdef)\nReturn type : *");
     definitions.put("TYPE-SPEC","Function : TYPE-SPEC\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("D-PROGN","Function : D-PROGN\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("TR-OR","Function : TR-OR\nArguments : (frst rst)\nReturn type : LIST");
     definitions.put("DB-C-USE-VAR","Function : DB-C-USE-VAR\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("D-DEFUN","Function : D-DEFUN\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("NEXT-BREAKPOINT","Function : NEXT-BREAKPOINT\nArguments : \nReturn type : ");
     definitions.put("DB-C-NOTHING","Function : DB-C-NOTHING\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("TR-FUNCTION","Function : TR-FUNCTION\nArguments : (frst rst)\nReturn type : LIST");
     definitions.put("PROCESS-PARSED-DEF","Function : PROCESS-PARSED-DEF\nArguments : (def subdef)\nReturn type : T");
     definitions.put("D-DO*","Function : D-DO*\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("JAVA-CONNECTION-CALLED-IN","Function : JAVA-CONNECTION-CALLED-IN\nArguments : \nReturn type : ");
     definitions.put("DEPENDS-ON","Function : DEPENDS-ON\nArguments : (def1 def2 def-exp)\nReturn type : *");
     definitions.put("D-INCF","Function : D-INCF\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("TR-TRY","Function : TR-TRY\nArguments : (frst rst)\nReturn type : LIST");
     definitions.put("PARSE-DEFINITION-OR-CHOICE","Function : PARSE-DEFINITION-OR-CHOICE\nArguments : (source i l)\nReturn type : (VALUES LIST FIXNUM)");
     definitions.put("DB-C-DEBUG","Function : DB-C-DEBUG\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("TR-STRING","Function : TR-STRING\nArguments : (frst rst)\nReturn type : LIST");
     definitions.put("D-DO-ALL-SYMBOLS","Function : D-DO-ALL-SYMBOLS\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("BODY-2","Function : BODY-2\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("LISP-TYPE-TO-JAVA-HASHTABLE","Function : LISP-TYPE-TO-JAVA-HASHTABLE\nArguments : (value)\nReturn type : LIST");
     definitions.put("STEP-FORWARD-IN-TIME","Function : STEP-FORWARD-IN-TIME\nArguments : \nReturn type : *");
     definitions.put("TR-FIRST-DEBUG","Function : TR-FIRST-DEBUG\nArguments : (frst rst)\nReturn type : LIST");
     definitions.put("D-CTYPECASE","Function : D-CTYPECASE\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-EVAL-WHEN","Function : D-EVAL-WHEN\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("BODY-3","Function : BODY-3\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("DESERIALIZE-JAVA-OBJECT","Function : DESERIALIZE-JAVA-OBJECT\nArguments : (serialized)\nReturn type : *");
     definitions.put("CALL-JAVA-METHOD-SWING","Function : CALL-JAVA-METHOD-SWING\nArguments : \nReturn type : ");
     definitions.put("D-WITH-HASH-TABLE-ITERATOR","Function : D-WITH-HASH-TABLE-ITERATOR\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("JAVA-CONNECTION-CALLED-OUT","Function : JAVA-CONNECTION-CALLED-OUT\nArguments : \nReturn type : ");
     definitions.put("D-SYMBOL-MACROLET","Function : D-SYMBOL-MACROLET\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("NUMERIC-ACCUMULATION","Function : NUMERIC-ACCUMULATION\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("TO-JAVA","Function : TO-JAVA\nArguments : (lst end)\nReturn type : LIST");
     definitions.put("D-PSETF","Function : D-PSETF\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("MAKE-JAVA-OBJECT","Function : MAKE-JAVA-OBJECT\nArguments : (con str &rest arg-list)\nReturn type : *");
     definitions.put("ADD-CODE-EXP","Function : ADD-CODE-EXP\nArguments : (exp debugger::free position debugger::source)\nReturn type : *");
     definitions.put("DB-CONSTANT","Function : DB-CONSTANT\nArguments : (constant)\nReturn type : FUNCTION");
     definitions.put("DB-C-SOURCE","Function : DB-C-SOURCE\nArguments : \nReturn type : T");
     definitions.put("MAKE-JAVA-CONNECTION","Function : MAKE-JAVA-CONNECTION\nArguments : (socketnr1 socketnr2)\nReturn type : T");
     definitions.put("END-DEBUG-EVENTLOOP","Function : END-DEBUG-EVENTLOOP\nArguments : \nReturn type : (MEMBER T)");
     definitions.put("CONDITIONAL-CLAUSE","Function : CONDITIONAL-CLAUSE\nArguments : (debugger::e debugger::a debugger::r)\nReturn type : *");
     definitions.put("STEP-INTO-ACTION","Function : STEP-INTO-ACTION\nArguments : (editor)\nReturn type : *");
     definitions.put("EVAL-EXPRESSION-STRING","Function : EVAL-EXPRESSION-STRING\nArguments : (expstr)\nReturn type : T");
     definitions.put("DB-CALL-EXP","Function : DB-CALL-EXP\nArguments : (fun)\nReturn type : FUNCTION");
     definitions.put("PARSE-DEFINITION-TRY","Function : PARSE-DEFINITION-TRY\nArguments : (source i l)\nReturn type : (VALUES CONS FIXNUM)");
     definitions.put("DB-C-STRING","Function : DB-C-STRING\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("DB-REPEAT","Function : DB-REPEAT\nArguments : (try rst)\nReturn type : FUNCTION");
     definitions.put("DB-C-PUSH","Function : DB-C-PUSH\nArguments : (exp)\nReturn type : T");
     definitions.put("READ-POSITIVE-FIXNUM","Function : READ-POSITIVE-FIXNUM\nArguments : (strm)\nReturn type : FIXNUM");
     definitions.put("JAVA-CONNECTION-CALL-IN","Function : JAVA-CONNECTION-CALL-IN\nArguments : \nReturn type : ");
     definitions.put("UNDEBUG","Function : UNDEBUG\nArguments : (undebugged-source editor)\nReturn type : T");
     definitions.put("CALL-COUNT","Function : CALL-COUNT\nArguments : \nReturn type : ");
     definitions.put("TO-JAVA-CALL","Function : TO-JAVA-CALL\nArguments : \nReturn type : (SIMPLE-BASE-STRING 22)");
     definitions.put("STOP-AFTER","Function : STOP-AFTER\nArguments : \nReturn type : (MEMBER T)");
     definitions.put("VARIABLE-CLAUSE","Function : VARIABLE-CLAUSE\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("PREPARE-TIME","Function : PREPARE-TIME\nArguments : (length)\nReturn type : (INTEGER -536870913 536870910)");
     definitions.put("D-CATCH","Function : D-CATCH\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-WITH-COMPILATION-UNIT","Function : D-WITH-COMPILATION-UNIT\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("REGISTER-CALL","Function : REGISTER-CALL\nArguments : (editor begin end)\nReturn type : T");
     definitions.put("MAIN-CLAUSE","Function : MAIN-CLAUSE\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("CREATEJAVASYNTAXDEFINITIONS","Function : CREATEJAVASYNTAXDEFINITIONS\nArguments : \nReturn type : *");
     definitions.put("D-RETURN","Function : D-RETURN\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("JAVA-DOUBLE","Function : JAVA-DOUBLE\nArguments : (nr)\nReturn type : *");
     definitions.put("SIMPLE-EVAL-EXPRESSION","Function : SIMPLE-EVAL-EXPRESSION\nArguments : (expstr)\nReturn type : (OR SIMPLE-BASE-STRING NULL)");
     definitions.put("D-LAMBDA","Function : D-LAMBDA\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-MAPCAR","Function : D-MAPCAR\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("ADD-DEBUGGING-CODE","Function : ADD-DEBUGGING-CODE\nArguments : (exp position source)\nReturn type : T");
     definitions.put("D-WITH-SIMPLE-RESTART","Function : D-WITH-SIMPLE-RESTART\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("JAVA-CAST-VALUE","Function : JAVA-CAST-VALUE\nArguments : \nReturn type : ");
     definitions.put("GIVE-CONTROL-TO-INTERFACE","Function : GIVE-CONTROL-TO-INTERFACE\nArguments : (editor begin end)\nReturn type : *");
     definitions.put("D-WHEN","Function : D-WHEN\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("TR-DEBUG","Function : TR-DEBUG\nArguments : (frst rst)\nReturn type : LIST");
     definitions.put("SPECIALIZED-LAMBDA-LIST","Function : SPECIALIZED-LAMBDA-LIST\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("WRITE-DEBUGGED-EXP","Function : WRITE-DEBUGGED-EXP\nArguments : (exp position editor h)\nReturn type : *");
     definitions.put("PARSE-SOURCE-ELEMENT-HASH","Function : PARSE-SOURCE-ELEMENT-HASH\nArguments : (source position i l)\nReturn type : *");
     definitions.put("LIST-ACCUMULATION","Function : LIST-ACCUMULATION\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("BREAKPOINTS","Function : BREAKPOINTS\nArguments : \nReturn type : ");
     definitions.put("D-MAPL","Function : D-MAPL\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("CHANGE-WATCH-EXPRESSION","Function : CHANGE-WATCH-EXPRESSION\nArguments : (node watch-expression)\nReturn type : *");
     definitions.put("D-LABELS","Function : D-LABELS\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("ADD-DEBUG-POINT-FIRST","Function : ADD-DEBUG-POINT-FIRST\nArguments : (exp variables position source)\nReturn type : LIST");
     definitions.put("JAVA-CHAR","Function : JAVA-CHAR\nArguments : (char)\nReturn type : *");
     definitions.put("IS-LIST","Function : IS-LIST\nArguments : (value)\nReturn type : (MEMBER T NIL)");
     definitions.put("MACRO-LAMBDA-LIST","Function : MACRO-LAMBDA-LIST\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("DISPLAY-TIME-ENV","Function : DISPLAY-TIME-ENV\nArguments : (begin end editor)\nReturn type : *");
     definitions.put("D-MAPLIST","Function : D-MAPLIST\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("TR-LIST","Function : TR-LIST\nArguments : (frst rst)\nReturn type : LIST");
     definitions.put("D-PSETQ","Function : D-PSETQ\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-WITH-OUTPUT-TO-STRING","Function : D-WITH-OUTPUT-TO-STRING\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("JAVA-CONNECTION-NRLISPOBJECTS","Function : JAVA-CONNECTION-NRLISPOBJECTS\nArguments : \nReturn type : ");
     definitions.put("COPY-FUNCTION-S","Function : COPY-FUNCTION-S\nArguments : (structure)\nReturn type : FUNCTION-S");
     definitions.put("ARITHMETIC-DOWNTO","Function : ARITHMETIC-DOWNTO\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("TO-JAVA-FUNCTION","Function : TO-JAVA-FUNCTION\nArguments : (function)\nReturn type : (OR BASE-STRING NULL)");
     definitions.put("GET-SYNTAX-DESCRIBE","Function : GET-SYNTAX-DESCRIBE\nArguments : (symbol)\nReturn type : (VALUES (OR SIMPLE-BASE-STRING NULL) &OPTIONAL T)");
     definitions.put("STEP-OVER-ACTION","Function : STEP-OVER-ACTION\nArguments : (editor &optional (begin-top-list nil) (end-top-list nil))\nReturn type : *");
     definitions.put("FOR-AS-EQUALS-THEN","Function : FOR-AS-EQUALS-THEN\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("ARITHMETIC-DOWNFROM","Function : ARITHMETIC-DOWNFROM\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("DB-SEQUENCE","Function : DB-SEQUENCE\nArguments : (&rest fun-lst)\nReturn type : FUNCTION");
     definitions.put("CALL-JAVA-METHOD","Function : CALL-JAVA-METHOD\nArguments : \nReturn type : ");
     definitions.put("D-ETYPECASE","Function : D-ETYPECASE\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("SELECTABLE-CLAUSE","Function : SELECTABLE-CLAUSE\nArguments : (debugger::e debugger::a debugger::r)\nReturn type : *");
     definitions.put("GET-SYNTAX-CHECK-ARG","Function : GET-SYNTAX-CHECK-ARG\nArguments : (arglst)\nReturn type : VECTOR");
     definitions.put("PARSE-DEFINITION-OR","Function : PARSE-DEFINITION-OR\nArguments : (source i l)\nReturn type : (VALUES LIST FIXNUM)");
     definitions.put("REPLACENEWLINE","Function : REPLACENEWLINE\nArguments : (STRING)\nReturn type : *");
     definitions.put("PARSE-DEFINITION-SYMBOL","Function : PARSE-DEFINITION-SYMBOL\nArguments : (source i l)\nReturn type : (VALUES T FIXNUM)");
     definitions.put("D-DEFMETHOD","Function : D-DEFMETHOD\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("FUNCTION-S-SYMBOL","Function : FUNCTION-S-SYMBOL\nArguments : (structure)\nReturn type : T");
     definitions.put("DB-C-VARIABLE-2","Function : DB-C-VARIABLE-2\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("JAVA-LONG","Function : JAVA-LONG\nArguments : (nr)\nReturn type : *");
     definitions.put("PARSE-DEFINITION-EXP","Function : PARSE-DEFINITION-EXP\nArguments : (source i l)\nReturn type : *");
     definitions.put("DEPENDS-ON-2","Function : DEPENDS-ON-2\nArguments : (exp def1 def2 def-exp checked)\nReturn type : *");
     definitions.put("D-LOOP","Function : D-LOOP\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("FOR-AS-IN-LIST","Function : FOR-AS-IN-LIST\nArguments : (exp acc rem)\nReturn type : *");
     definitions.put("JAVA-COMMENT-SYNTAX","Function : JAVA-COMMENT-SYNTAX\nArguments : (lst)\nReturn type : T");
     definitions.put("GET-SYNTAX-LIST-AFTER-STRING","Function : GET-SYNTAX-LIST-AFTER-STRING\nArguments : (match str)\nReturn type : (OR NULL SIMPLE-BASE-STRING)");
     definitions.put("ADD-DEBUG-POINT","Function : ADD-DEBUG-POINT\nArguments : (exp variables position source)\nReturn type : T");
     definitions.put("STOP-AT-ACTION","Function : STOP-AT-ACTION\nArguments : (editor &optional (begin nil) (end nil))\nReturn type : *");
     definitions.put("TR-RULE","Function : TR-RULE\nArguments : (name syntax-exp)\nReturn type : LIST");
     definitions.put("REPLACEINVALID","Function : REPLACEINVALID\nArguments : (STRING)\nReturn type : *");
     definitions.put("DB-C-POP","Function : DB-C-POP\nArguments : \nReturn type : T");
     definitions.put("JAVA-CONNECTION-HANDLER","Function : JAVA-CONNECTION-HANDLER\nArguments : \nReturn type : ");
     definitions.put("D-COMPILER-LET","Function : D-COMPILER-LET\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("TO-JAVA-OR","Function : TO-JAVA-OR\nArguments : (or-lst)\nReturn type : *");
     definitions.put("D-RETURN-FROM","Function : D-RETURN-FROM\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-IGNORE-ERRORS","Function : D-IGNORE-ERRORS\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("JAVA-CAST-TYPE","Function : JAVA-CAST-TYPE\nArguments : \nReturn type : ");
     definitions.put("D-IF","Function : D-IF\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("MAKE-FUNCTION-S","Function : MAKE-FUNCTION-S\nArguments : (&key ((:symbol #:g0) nil))\nReturn type : FUNCTION-S");
     definitions.put("GET-DEBUGGER-STATE","Function : GET-DEBUGGER-STATE\nArguments : (editor)\nReturn type : T");
     definitions.put("VAR-SPEC","Function : VAR-SPEC\nArguments : (debugger::e debugger::a debugger::r)\nReturn type : *");
     definitions.put("TR-DOTTED-SEQUENCE","Function : TR-DOTTED-SEQUENCE\nArguments : (lst)\nReturn type : CONS");
     definitions.put("STOP-PROFILING","Function : STOP-PROFILING\nArguments : (editor)\nReturn type : NULL");
     definitions.put("IS-BREAK-CHAR","Function : IS-BREAK-CHAR\nArguments : (c)\nReturn type : (MEMBER T NIL)");
     definitions.put("D-WITH-OPEN-STREAM","Function : D-WITH-OPEN-STREAM\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("PARSE-SOURCE-ELEMENT-OPTION","Function : PARSE-SOURCE-ELEMENT-OPTION\nArguments : (add source position i l)\nReturn type : (VALUES LIST FIXNUM)");
     definitions.put("DB-C-END","Function : DB-C-END\nArguments : (exp acc rem)\nReturn type : (VALUES NULL T)");
     definitions.put("TO-JAVA-TRY","Function : TO-JAVA-TRY\nArguments : (lst)\nReturn type : (OR BASE-STRING NULL)");
     definitions.put("D-AND","Function : D-AND\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-WITH-SLOTS","Function : D-WITH-SLOTS\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-OR","Function : D-OR\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-DEFGENERIC","Function : D-DEFGENERIC\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("TR-NAMED-RULE-2","Function : TR-NAMED-RULE-2\nArguments : (name syntax-exp)\nReturn type : LIST");
     definitions.put("D-COND","Function : D-COND\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("ACTIVATE-DEBUGGER","Function : ACTIVATE-DEBUGGER\nArguments : (condition)\nReturn type : *");
     definitions.put("STOP-AFTER-ACTION","Function : STOP-AFTER-ACTION\nArguments : (editor)\nReturn type : *");
     definitions.put("D-ECASE","Function : D-ECASE\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("GENERAL-APPLY","Function : GENERAL-APPLY\nArguments : (fun arg-lst)\nReturn type : *");
     definitions.put("D-WITH-OPEN-FILE","Function : D-WITH-OPEN-FILE\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("DB-C-PUT","Function : DB-C-PUT\nArguments : (lst)\nReturn type : T");
     definitions.put("TO-JAVA-SYMBOL","Function : TO-JAVA-SYMBOL\nArguments : (symbol)\nReturn type : (OR BASE-STRING NULL)");
     definitions.put("PARSE-DEFINITION-PACKAGE","Function : PARSE-DEFINITION-PACKAGE\nArguments : (source i l)\nReturn type : FIXNUM");
     definitions.put("D-PPRINT-LOGICAL-BLOCK","Function : D-PPRINT-LOGICAL-BLOCK\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("LISP-TYPE-TO-JAVA-CLASS","Function : LISP-TYPE-TO-JAVA-CLASS\nArguments : (value)\nReturn type : T");
     definitions.put("GET-SYNTAX","Function : GET-SYNTAX\nArguments : (symbol)\nReturn type : (OR BASE-STRING NULL)");
     definitions.put("D-DOTIMES","Function : D-DOTIMES\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-SETQ","Function : D-SETQ\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("GET-PROCESS-ID","Function : GET-PROCESS-ID\nArguments : \nReturn type : (SIGNED-BYTE 32)");
     definitions.put("CALL-JAVA-METHOD-RESULT","Function : CALL-JAVA-METHOD-RESULT\nArguments : (in con)\nReturn type : *");
     definitions.put("SET-INTERACTION","Function : SET-INTERACTION\nArguments : (interaction)\nReturn type : T");
     definitions.put("JAVA-CONNECTION-JAVA","Function : JAVA-CONNECTION-JAVA\nArguments : \nReturn type : ");
     definitions.put("SEND-DATA-TO-JAVA-ARRAY","Function : SEND-DATA-TO-JAVA-ARRAY\nArguments : \nReturn type : ");
     definitions.put("D-GENERIC-FLET","Function : D-GENERIC-FLET\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("OPTION","Function : OPTION\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("INITIAL-FINAL-CLAUSE","Function : INITIAL-FINAL-CLAUSE\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("ADD-CODE-FUNCTION","Function : ADD-CODE-FUNCTION\nArguments : (exp free position source)\nReturn type : LIST");
     definitions.put("SLOT-SPECIFIER","Function : SLOT-SPECIFIER\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("FOR-AS-CLAUSE","Function : FOR-AS-CLAUSE\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("FUNCTION-S-P","Function : FUNCTION-S-P\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("GET-UNIX-ENV","Function : GET-UNIX-ENV\nArguments : (var default)\nReturn type : T");
     definitions.put("ANALYZER-ARRAY-1","Function : ANALYZER-ARRAY-1\nArguments : (lst)\nReturn type : T");
     definitions.put("GET-CALL-COUNT","Function : GET-CALL-COUNT\nArguments : (editor)\nReturn type : LIST");
     definitions.put("D-WITH-ADDED-METHODS","Function : D-WITH-ADDED-METHODS\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("TERMINATION-CLAUSE","Function : TERMINATION-CLAUSE\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("IS-BREAKPOINT","Function : IS-BREAKPOINT\nArguments : (editor begin end)\nReturn type : (MEMBER NIL T)");
     definitions.put("FOR-AS-ARITHMETIC-SUBCLAUSE","Function : FOR-AS-ARITHMETIC-SUBCLAUSE\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("D-PROG2","Function : D-PROG2\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("SEND-DATA-TO-JAVA","Function : SEND-DATA-TO-JAVA\nArguments : \nReturn type : ");
     definitions.put("D-GENERIC-FUNCTION","Function : D-GENERIC-FUNCTION\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-MAP-INTO","Function : D-MAP-INTO\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("TR-SYMBOL","Function : TR-SYMBOL\nArguments : (frst rst)\nReturn type : LIST");
     definitions.put("D-PUSH","Function : D-PUSH\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("JAVA-BYTE","Function : JAVA-BYTE\nArguments : (nr)\nReturn type : *");
     definitions.put("JAVA-FLOAT","Function : JAVA-FLOAT\nArguments : (nr)\nReturn type : *");
     definitions.put("DB-C-CLEAR","Function : DB-C-CLEAR\nArguments : \nReturn type : T");
     definitions.put("JAVA-CONNECTION-CALLBACK","Function : JAVA-CONNECTION-CALLBACK\nArguments : \nReturn type : ");
     definitions.put("PARSE-DEFINITION","Function : PARSE-DEFINITION\nArguments : (source i l subdef)\nReturn type : LIST");
     definitions.put("FOR-AS-SUBCLAUSE","Function : FOR-AS-SUBCLAUSE\nArguments : (exp acc rem)\nReturn type : (VALUES T T)");
     definitions.put("TR-VARIABLE-2","Function : TR-VARIABLE-2\nArguments : (frst rst)\nReturn type : LIST");
     definitions.put("LISP-TYPE-TO-JAVA","Function : LISP-TYPE-TO-JAVA\nArguments : (value)\nReturn type : LIST");
     definitions.put("JAVA-CONNECTION-LISPOBJECTS","Function : JAVA-CONNECTION-LISPOBJECTS\nArguments : \nReturn type : ");
     definitions.put("D-PUSHNEW","Function : D-PUSHNEW\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("TO-JAVA-BRANCH","Function : TO-JAVA-BRANCH\nArguments : (branch)\nReturn type : (OR BASE-STRING NULL)");
     definitions.put("TR-NAMED-RULE-1","Function : TR-NAMED-RULE-1\nArguments : (name syntax-exp)\nReturn type : LIST");
     definitions.put("D-MAPPING","Function : D-MAPPING\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("USE-LISP-READER","Function : USE-LISP-READER\nArguments : (source i)\nReturn type : (VALUES T (MOD 536870911))");
     definitions.put("JAVA-IDENTIFIER","Function : JAVA-IDENTIFIER\nArguments : (symbol)\nReturn type : T");
     definitions.put("SET-CURRENT-DIRECTORY","Function : SET-CURRENT-DIRECTORY\nArguments : (dir)\nReturn type : T");
     definitions.put("ENTER-DEBUG","Function : ENTER-DEBUG\nArguments : (port1 port2)\nReturn type : FUNCTION");
     definitions.put("DB-TRY","Function : DB-TRY\nArguments : (try rst)\nReturn type : FUNCTION");
     definitions.put("CHANGE-RESULT","Function : CHANGE-RESULT\nArguments : (expstr)\nReturn type : T");
     definitions.put("EXPRESSION-EVALUATE-TO-TRUE","Function : EXPRESSION-EVALUATE-TO-TRUE\nArguments : (expstr)\nReturn type : (MEMBER NIL T)");
     definitions.put("TO-JAVA-STRING","Function : TO-JAVA-STRING\nArguments : \nReturn type : (SIMPLE-BASE-STRING 24)");
     definitions.put("D-UNWIND-PROTECT","Function : D-UNWIND-PROTECT\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-MACROLET","Function : D-MACROLET\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("TOP-LIST","Function : TOP-LIST\nArguments : \nReturn type : ");
     definitions.put("D-MAPCON","Function : D-MAPCON\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("D-MULTIPLE-VALUE-LIST","Function : D-MULTIPLE-VALUE-LIST\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("DB-LIST","Function : DB-LIST\nArguments : (fun)\nReturn type : FUNCTION");
     definitions.put("D-THE","Function : D-THE\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("JAVA-OBJECT-ID","Function : JAVA-OBJECT-ID\nArguments : \nReturn type : ");
     definitions.put("D-LET*","Function : D-LET*\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("GIVE-CONTROL-TO-INTERFACE-AFTER","Function : GIVE-CONTROL-TO-INTERFACE-AFTER\nArguments : (editor begin end)\nReturn type : *");
     definitions.put("D-PROG","Function : D-PROG\nArguments : (exp)\nReturn type : SEQUENCE");
     definitions.put("SORT-BY-DEPENDENCE-1","Function : SORT-BY-DEPENDENCE-1\nArguments : (lst def-exp)\nReturn type : T");
     definitions.put("REGISTER-WATCH-EXPRESSION","Function : REGISTER-WATCH-EXPRESSION\nArguments : (node watch-expression)\nReturn type : *");
     definitions.put("ADD-CODE-EXP-MACRO","Function : ADD-CODE-EXP-MACRO\nArguments : (exp free position source)\nReturn type : *");
     definitions.put("MACHINE-VERSION","Function : MACHINE-VERSION\nArguments : \nReturn type : SIMPLE-BASE-STRING");
     definitions.put("SHARED-INITIALIZE","Function : SHARED-INITIALIZE\nArguments : \nReturn type : ");
     definitions.put("MERGE-PATHNAMES","Function : MERGE-PATHNAMES\nArguments : (pathname &optional\n            (defaults *default-pathname-defaults*)\n            (default-version :newest))\nReturn type : PATHNAME");
     definitions.put("CDDDR","Function : CDDDR\nArguments : (list)\nReturn type : T");
     definitions.put("MACROEXPAND","Function : MACROEXPAND\nArguments : (form &optional env)\nReturn type : (VALUES T &OPTIONAL (MEMBER T NIL))");
     definitions.put("MAKUNBOUND","Function : MAKUNBOUND\nArguments : (variable)\nReturn type : SYMBOL");
     definitions.put("*","Function : *\nArguments : \nReturn type : *");
     definitions.put("FIND-RESTART","Function : FIND-RESTART\nArguments : (name &optional condition)\nReturn type : T");
     definitions.put("=","Function : =\nArguments : (number &rest more-numbers)\nReturn type : (MEMBER T NIL)");
     definitions.put("MAKE-LIST","Function : MAKE-LIST\nArguments : (size &key initial-element)\nReturn type : LIST");
     definitions.put("DISASSEMBLE","Function : DISASSEMBLE\nArguments : (object &key (stream *standard-output*) (use-labels t)\n   (backend c:*native-backend*))\nReturn type : (VALUES)");
     definitions.put("PPRINT-LOGICAL-BLOCK","Macro : PPRINT-LOGICAL-BLOCK\nArguments : ((stream-symbol object &key prefix per-line-prefix suffix) &body body)\nReturn type : ");
     definitions.put("FIND-SYMBOL","Function : FIND-SYMBOL\nArguments : (name &optional package)\nReturn type : (VALUES SYMBOL (MEMBER :INTERNAL :EXTERNAL :INHERITED NIL))");
     definitions.put("-","Function : -\nArguments : (number &rest more-numbers)\nReturn type : NUMBER");
     definitions.put("GRAPHIC-CHAR-P","Function : GRAPHIC-CHAR-P\nArguments : (char)\nReturn type : (MEMBER T NIL)");
     definitions.put("ROOM","Function : ROOM\nArguments : (&optional (verbosity :default))\nReturn type : (VALUES)");
     definitions.put("<","Function : <\nArguments : (number &rest more-numbers)\nReturn type : (MEMBER T NIL)");
     definitions.put("/","Function : /\nArguments : (number &rest more-numbers)\nReturn type : NUMBER");
     definitions.put("ACOS","Function : ACOS\nArguments : (number)\nReturn type : (OR SINGLE-FLOAT DOUBLE-FLOAT (COMPLEX SINGLE-FLOAT) (COMPLEX DOUBLE-FLOAT))");
     definitions.put("SUBST-IF","Function : SUBST-IF\nArguments : (new test tree &key key)\nReturn type : LIST");
     definitions.put("SIN","Function : SIN\nArguments : (number)\nReturn type : (OR (SINGLE-FLOAT -1.0 1.0)\n      (DOUBLE-FLOAT -1.0d0 1.0d0)\n      (COMPLEX SINGLE-FLOAT)\n      (COMPLEX DOUBLE-FLOAT))");
     definitions.put("APPEND","Function : APPEND\nArguments : (&rest lists)\nReturn type : T");
     definitions.put("WARN","Function : WARN\nArguments : (datum &rest arguments)\nReturn type : NULL");
     definitions.put("SECOND","Function : SECOND\nArguments : (list)\nReturn type : T");
     definitions.put(">","Function : >\nArguments : (number &rest more-numbers)\nReturn type : (MEMBER T NIL)");
     definitions.put("PATHNAME-HOST","Function : PATHNAME-HOST\nArguments : (pathname &key (case :local))\nReturn type : (OR SIMPLE-BASE-STRING NULL)");
     definitions.put("CDDDDR","Function : CDDDDR\nArguments : (list)\nReturn type : T");
     definitions.put("+","Function : +\nArguments : (&rest args)\nReturn type : NUMBER");
     definitions.put("STREAM-ERROR-STREAM","Function : STREAM-ERROR-STREAM\nArguments : \nReturn type : ");
     definitions.put("STEP","Macro : STEP\nArguments : (form)\nReturn type : ");
     definitions.put("GET-INTERNAL-REAL-TIME","Function : GET-INTERNAL-REAL-TIME\nArguments : \nReturn type : UNSIGNED-BYTE");
     definitions.put("SHORT-SITE-NAME","Function : SHORT-SITE-NAME\nArguments : \nReturn type : SIMPLE-BASE-STRING");
     definitions.put("PROGV","Function : PROGV\nArguments : \nReturn type : ");
     definitions.put("DEFMACRO","Macro : DEFMACRO\nArguments : (name lambda-list &body body)\nReturn type : ");
     definitions.put("FILL-POINTER","Function : FILL-POINTER\nArguments : (vector)\nReturn type : (MOD 536870911)");
     definitions.put("EXPT","Function : EXPT\nArguments : (base power)\nReturn type : NUMBER");
     definitions.put("SYMBOL-PLIST","Function : SYMBOL-PLIST\nArguments : (variable)\nReturn type : LIST");
     definitions.put("BIT-ORC2","Function : BIT-ORC2\nArguments : (bit-array-1 bit-array-2 &optional result-bit-array)\nReturn type : (ARRAY BIT)");
     definitions.put("FINISH-OUTPUT","Function : FINISH-OUTPUT\nArguments : (&optional (stream *standard-output*))\nReturn type : NULL");
     definitions.put("LOGIOR","Function : LOGIOR\nArguments : (&rest integers)\nReturn type : INTEGER");
     definitions.put("LOGNOT","Function : LOGNOT\nArguments : (number)\nReturn type : INTEGER");
     definitions.put("WITH-ACCESSORS","Macro : WITH-ACCESSORS\nArguments : (slots instance &body body)\nReturn type : ");
     definitions.put("LOGORC1","Function : LOGORC1\nArguments : (integer1 integer2)\nReturn type : INTEGER");
     definitions.put("STORE-VALUE","Function : STORE-VALUE\nArguments : (value &optional condition)\nReturn type : *");
     definitions.put("CADDDR","Function : CADDDR\nArguments : (list)\nReturn type : T");
     definitions.put("REMOVE-METHOD","Function : REMOVE-METHOD\nArguments : \nReturn type : ");
     definitions.put("SLOT-UNBOUND","Function : SLOT-UNBOUND\nArguments : \nReturn type : ");
     definitions.put("MAKE-ARRAY","Function : MAKE-ARRAY\nArguments : (dimensions &key (element-type t) (initial-element nil initial-element-p)\n   initial-contents adjustable fill-pointer displaced-to displaced-index-offset)\nReturn type : ARRAY");
     definitions.put("FIND-IF-NOT","Function : FIND-IF-NOT\nArguments : (test sequence &key from-end (start 0) end key)\nReturn type : T");
     definitions.put("FILE-STRING-LENGTH","Function : FILE-STRING-LENGTH\nArguments : (stream object)\nReturn type : (MOD 536870911)");
     definitions.put("NSUBSTITUTE-IF-NOT","Function : NSUBSTITUTE-IF-NOT\nArguments : (new test sequence &key from-end (start 0) end count key)\nReturn type : SEQUENCE");
     definitions.put("ASSOC","Function : ASSOC\nArguments : (item alist &key key test test-not)\nReturn type : LIST");
     definitions.put("LONG-SITE-NAME","Function : LONG-SITE-NAME\nArguments : \nReturn type : SIMPLE-BASE-STRING");
     definitions.put("CDDAR","Function : CDDAR\nArguments : (list)\nReturn type : T");
     definitions.put("MULTIPLE-VALUE-CALL","Function : MULTIPLE-VALUE-CALL\nArguments : \nReturn type : ");
     definitions.put("CHAR/=","Function : CHAR/=\nArguments : (character &rest more-characters)\nReturn type : (MEMBER T NIL)");
     definitions.put("RASSOC","Function : RASSOC\nArguments : (item alist &key key test test-not)\nReturn type : LIST");
     definitions.put("CHAR<=","Function : CHAR<=\nArguments : (character &rest more-characters)\nReturn type : (MEMBER T NIL)");
     definitions.put("GET-OUTPUT-STREAM-STRING","Function : GET-OUTPUT-STREAM-STRING\nArguments : (stream)\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("COPY-READTABLE","Function : COPY-READTABLE\nArguments : (&optional (from-readtable *readtable*) to-readtable)\nReturn type : READTABLE");
     definitions.put("HANDLER-BIND","Macro : HANDLER-BIND\nArguments : (bindings &body forms)\nReturn type : ");
     definitions.put("DECODE-FLOAT","Function : DECODE-FLOAT\nArguments : (f)\nReturn type : (VALUES (OR (SINGLE-FLOAT 0.5 (1.0)) (DOUBLE-FLOAT 0.5d0 (1.0d0)))\n          KERNEL:DOUBLE-FLOAT-EXPONENT\n          (OR (SINGLE-FLOAT 1.0 1.0)\n              (SINGLE-FLOAT -1.0 -1.0)\n              (DOUBLE-FLOAT -1.0d0 -1.0d0)\n              (DOUBLE-FLOAT 1.0d0 1.0d0)))");
     definitions.put("DESTRUCTURING-BIND","Macro : DESTRUCTURING-BIND\nArguments : (lambda-list arg-list &rest body)\nReturn type : ");
     definitions.put("ALLOCATE-INSTANCE","Function : ALLOCATE-INSTANCE\nArguments : \nReturn type : ");
     definitions.put("CHAR-CODE","Function : CHAR-CODE\nArguments : (char)\nReturn type : (UNSIGNED-BYTE 8)");
     definitions.put("REDUCE","Function : REDUCE\nArguments : (function sequence &key key from-end (start 0) end (initial-value nil ivp))\nReturn type : T");
     definitions.put("ARRAY-TOTAL-SIZE","Function : ARRAY-TOTAL-SIZE\nArguments : (array)\nReturn type : (MOD 536870911)");
     definitions.put("STRING-EQUAL","Function : STRING-EQUAL\nArguments : (string1 string2 &key (start1 0) end1 (start2 0) end2)\nReturn type : (MEMBER T NIL)");
     definitions.put("PRIN1","Function : PRIN1\nArguments : (object &optional stream)\nReturn type : T");
     definitions.put("COPY-LIST","Function : COPY-LIST\nArguments : (list)\nReturn type : LIST");
     definitions.put("PRINC","Function : PRINC\nArguments : (object &optional stream)\nReturn type : T");
     definitions.put("FFLOOR","Function : FFLOOR\nArguments : (number &optional (divisor 1))\nReturn type : (VALUES FLOAT REAL)");
     definitions.put("POP","Macro : POP\nArguments : (place &environment env)\nReturn type : ");
     definitions.put("PPRINT","Function : PPRINT\nArguments : (object &optional stream)\nReturn type : (VALUES)");
     definitions.put("TENTH","Function : TENTH\nArguments : (list)\nReturn type : T");
     definitions.put("NAMESTRING","Function : NAMESTRING\nArguments : (pathname)\nReturn type : (OR NULL SIMPLE-BASE-STRING)");
     definitions.put("CELL-ERROR-NAME","Function : CELL-ERROR-NAME\nArguments : \nReturn type : ");
     definitions.put("GET-PROPERTIES","Function : GET-PROPERTIES\nArguments : (place indicator-list)\nReturn type : (VALUES T T LIST)");
     definitions.put("CHAR-GREATERP","Function : CHAR-GREATERP\nArguments : (character &rest more-characters)\nReturn type : (MEMBER T NIL)");
     definitions.put("MAKE-DISPATCH-MACRO-CHARACTER","Function : MAKE-DISPATCH-MACRO-CHARACTER\nArguments : (char &optional (non-terminating-p nil) (rt *readtable*))\nReturn type : T");
     definitions.put("FLOAT","Function : FLOAT\nArguments : (number &optional (other nil otherp))\nReturn type : FLOAT");
     definitions.put("GO","Function : GO\nArguments : \nReturn type : ");
     definitions.put("PPRINT-DISPATCH","Function : PPRINT-DISPATCH\nArguments : (object &optional (table *print-pprint-dispatch*))\nReturn type : (VALUES FUNCTION (MEMBER NIL T))");
     definitions.put("COMPILE-FILE-PATHNAME","Function : COMPILE-FILE-PATHNAME\nArguments : (input-file &key byte-compile (output-file t output-file-supplied-p)\n   &allow-other-keys)\nReturn type : PATHNAME");
     definitions.put("DO-ALL-SYMBOLS","Macro : DO-ALL-SYMBOLS\nArguments : ((var &optional result-form) &parse-body (body decls))\nReturn type : ");
     definitions.put("READ-SEQUENCE","Function : READ-SEQUENCE\nArguments : (seq stream &key (start 0) (end nil))\nReturn type : (MOD 536870911)");
     definitions.put("WRITE-SEQUENCE","Function : WRITE-SEQUENCE\nArguments : (seq stream &key (start 0) (end nil))\nReturn type : SEQUENCE");
     definitions.put("OPEN-STREAM-P","Function : OPEN-STREAM-P\nArguments : (stream)\nReturn type : (MEMBER NIL T)");
     definitions.put("FILE-WRITE-DATE","Function : FILE-WRITE-DATE\nArguments : (file)\nReturn type : (OR UNSIGNED-BYTE NULL)");
     definitions.put("MEMBER","Function : MEMBER\nArguments : (item list &key key (test #'eql testp) (test-not nil notp))\nReturn type : LIST");
     definitions.put("SYNONYM-STREAM-SYMBOL","Function : SYNONYM-STREAM-SYMBOL\nArguments : (structure)\nReturn type : T");
     definitions.put("ARRAY-DIMENSIONS","Function : ARRAY-DIMENSIONS\nArguments : (array)\nReturn type : LIST");
     definitions.put("NSTRING-CAPITALIZE","Function : NSTRING-CAPITALIZE\nArguments : (string &key (start 0) end)\nReturn type : BASE-STRING");
     definitions.put("UNREAD-CHAR","Function : UNREAD-CHAR\nArguments : (character &optional (stream *standard-input*))\nReturn type : T");
     definitions.put("FLOAT-SIGN","Function : FLOAT-SIGN\nArguments : (float1 &optional (float2 (float 1 float1)))\nReturn type : FLOAT");
     definitions.put("ARRAY-HAS-FILL-POINTER-P","Function : ARRAY-HAS-FILL-POINTER-P\nArguments : (array)\nReturn type : (MEMBER T NIL)");
     definitions.put("SET-EXCLUSIVE-OR","Function : SET-EXCLUSIVE-OR\nArguments : (list1 list2 &key key (test #'eql testp) (test-not nil notp))\nReturn type : LIST");
     definitions.put("VECTOR","Function : VECTOR\nArguments : (&rest objects)\nReturn type : SIMPLE-VECTOR");
     definitions.put("THROW","Function : THROW\nArguments : \nReturn type : ");
     definitions.put("FILE-POSITION","Function : FILE-POSITION\nArguments : (stream &optional position)\nReturn type : (OR UNSIGNED-BYTE (MEMBER T NIL))");
     definitions.put("SBIT","Function : SBIT\nArguments : (simple-bit-array &rest subscripts)\nReturn type : BIT");
     definitions.put("PATHNAME-NAME","Function : PATHNAME-NAME\nArguments : (pathname &key (case :local))\nReturn type : (OR SIMPLE-BASE-STRING COMMON-LISP::PATTERN (MEMBER NIL :UNSPECIFIC :WILD))");
     definitions.put("INVOKE-RESTART-INTERACTIVELY","Function : INVOKE-RESTART-INTERACTIVELY\nArguments : (restart)\nReturn type : *");
     definitions.put("PSETQ","Macro : PSETQ\nArguments : (&rest pairs)\nReturn type : ");
     definitions.put("SHADOWING-IMPORT","Function : SHADOWING-IMPORT\nArguments : (symbols &optional (package *package*))\nReturn type : (MEMBER T)");
     definitions.put("PACKAGE-USED-BY-LIST","Function : PACKAGE-USED-BY-LIST\nArguments : (x)\nReturn type : LIST");
     definitions.put("DESCRIBE-OBJECT","Function : DESCRIBE-OBJECT\nArguments : \nReturn type : ");
     definitions.put("CONSTANTLY","Function : CONSTANTLY\nArguments : (value &optional (val1 nil val1-p) (val2 nil val2-p) &rest more-values)\nReturn type : FUNCTION");
     definitions.put("MULTIPLE-VALUE-BIND","Macro : MULTIPLE-VALUE-BIND\nArguments : (varlist value-form &body body)\nReturn type : T");
     definitions.put("EXP","Function : EXP\nArguments : (number)\nReturn type : (OR SINGLE-FLOAT DOUBLE-FLOAT (COMPLEX SINGLE-FLOAT) (COMPLEX DOUBLE-FLOAT))");
     definitions.put("LIST-ALL-PACKAGES","Function : LIST-ALL-PACKAGES\nArguments : \nReturn type : LIST");
     definitions.put("CHECK-TYPE","Macro : CHECK-TYPE\nArguments : (place type &optional type-string)\nReturn type : ");
     definitions.put("PPRINT-LINEAR","Function : PPRINT-LINEAR\nArguments : (stream list &optional (colon? t) atsign?)\nReturn type : NULL");
     definitions.put("ECASE","Macro : ECASE\nArguments : (keyform &body cases)\nReturn type : ");
     definitions.put("COMPILE","Function : COMPILE\nArguments : (name &optional (definition (fdefinition name)))\nReturn type : (VALUES (OR FUNCTION SYMBOL CONS) (MEMBER T NIL) (MEMBER T NIL))");
     definitions.put("SIMPLE-CONDITION-FORMAT-ARGUMENTS","Function : SIMPLE-CONDITION-FORMAT-ARGUMENTS\nArguments : \nReturn type : ");
     definitions.put("READ","Function : READ\nArguments : (&optional (stream *standard-input*) (eof-errorp t) (eof-value nil)\n   (recursivep nil))\nReturn type : T");
     definitions.put("DIGIT-CHAR-P","Function : DIGIT-CHAR-P\nArguments : (char &optional (radix 10))\nReturn type : (OR (MOD 36) NULL)");
     definitions.put("UPPER-CASE-P","Function : UPPER-CASE-P\nArguments : (char)\nReturn type : (MEMBER T NIL)");
     definitions.put("MAKE-CONDITION","Function : MAKE-CONDITION\nArguments : (thing &rest args)\nReturn type : CONDITION");
     definitions.put("SUBSEQ","Function : SUBSEQ\nArguments : (sequence start &optional end)\nReturn type : (OR CONS NULL (SIMPLE-ARRAY * (*)))");
     definitions.put("DEFVAR","Macro : DEFVAR\nArguments : (var &optional (val nil valp) (doc nil docp))\nReturn type : ");
     definitions.put("SUBTYPEP","Function : SUBTYPEP\nArguments : (type1 type2 &optional environment)\nReturn type : (VALUES (MEMBER T NIL) (MEMBER T NIL))");
     definitions.put("ENDP","Function : ENDP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("MAKE-LOAD-FORM-SAVING-SLOTS","Function : MAKE-LOAD-FORM-SAVING-SLOTS\nArguments : (object &key slot-names environment)\nReturn type : (MEMBER :JUST-DUMP-IT-NORMALLY)");
     definitions.put("ARITHMETIC-ERROR-OPERATION","Function : ARITHMETIC-ERROR-OPERATION\nArguments : \nReturn type : ");
     definitions.put("PACKAGE-SHADOWING-SYMBOLS","Function : PACKAGE-SHADOWING-SYMBOLS\nArguments : (x)\nReturn type : LIST");
     definitions.put("CODE-CHAR","Function : CODE-CHAR\nArguments : (code)\nReturn type : BASE-CHAR");
     definitions.put("UNION","Function : UNION\nArguments : (list1 list2 &key key (test #'eql testp) (test-not nil notp))\nReturn type : LIST");
     definitions.put("SINH","Function : SINH\nArguments : (number)\nReturn type : (OR SINGLE-FLOAT DOUBLE-FLOAT (COMPLEX SINGLE-FLOAT) (COMPLEX DOUBLE-FLOAT))");
     definitions.put("LAST","Function : LAST\nArguments : (list &optional (n 1))\nReturn type : LIST");
     definitions.put("LOGCOUNT","Function : LOGCOUNT\nArguments : (integer)\nReturn type : (UNSIGNED-BYTE 29)");
     definitions.put("LOGANDC2","Function : LOGANDC2\nArguments : (integer1 integer2)\nReturn type : INTEGER");
     definitions.put("SOFTWARE-VERSION","Function : SOFTWARE-VERSION\nArguments : \nReturn type : SIMPLE-BASE-STRING");
     definitions.put("MAKE-SYNONYM-STREAM","Function : MAKE-SYNONYM-STREAM\nArguments : (symbol)\nReturn type : STREAM");
     definitions.put("EQ","Function : EQ\nArguments : (obj1 obj2)\nReturn type : (MEMBER T NIL)");
     definitions.put("MAKE-ECHO-STREAM","Function : MAKE-ECHO-STREAM\nArguments : (input-stream output-stream)\nReturn type : STREAM");
     definitions.put("SLOT-MISSING","Function : SLOT-MISSING\nArguments : \nReturn type : ");
     definitions.put("CALL-METHOD","Macro : CALL-METHOD\nArguments : (&rest args)\nReturn type : ");
     definitions.put("CDADR","Function : CDADR\nArguments : (list)\nReturn type : T");
     definitions.put("COMPUTE-RESTARTS","Function : COMPUTE-RESTARTS\nArguments : (&optional condition)\nReturn type : LIST");
     definitions.put(">=","Function : >=\nArguments : (number &rest more-numbers)\nReturn type : (MEMBER T NIL)");
     definitions.put("WHEN","Macro : WHEN\nArguments : (test &body forms)\nReturn type : ");
     definitions.put("DEFGENERIC","Macro : DEFGENERIC\nArguments : (function-specifier lambda-list &body options)\nReturn type : ");
     definitions.put("WRITE-TO-STRING","Function : WRITE-TO-STRING\nArguments : (object &key ((:escape *print-escape*) *print-escape*)\n   ((:radix *print-radix*) *print-radix*) ((:base *print-base*) *print-base*)\n   ((:circle *print-circle*) *print-circle*)\n   ((:pretty *print-pretty*) *print-pretty*)\n   ((:level *print-level*) *print-level*)\n   ((:length *print-length*) *print-length*) ((:case *print-case*) *print-case*)\n   ((:array *print-array*) *print-array*)\n   ((:gensym *print-gensym*) *print-gensym*)\n   ((:readably *print-readably*) *print-readably*)\n   ((:right-margin *print-right-margin*) *print-right-margin*)\n   ((:miser-width *print-miser-width*) *print-miser-width*)\n   ((:lines *print-lines*) *print-lines*)\n   ((:pprint-dispatch *print-pprint-dispatch*) *print-pprint-dispatch*))\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("BLOCK","Function : BLOCK\nArguments : \nReturn type : ");
     definitions.put("STRINGP","Function : STRINGP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("INTEGER-LENGTH","Function : INTEGER-LENGTH\nArguments : (integer)\nReturn type : (UNSIGNED-BYTE 29)");
     definitions.put("PRINT-UNREADABLE-OBJECT","Macro : PRINT-UNREADABLE-OBJECT\nArguments : ((object stream &key type identity) &body body)\nReturn type : ");
     definitions.put("CLOSE","Function : CLOSE\nArguments : (stream &key abort)\nReturn type : T");
     definitions.put("DO","Macro : DO\nArguments : (varlist endlist &parse-body (body decls))\nReturn type : ");
     definitions.put("MAPCON","Function : MAPCON\nArguments : (function list &rest more-lists)\nReturn type : LIST");
     definitions.put("MAPCAN","Function : MAPCAN\nArguments : (function list &rest more-lists)\nReturn type : LIST");
     definitions.put("LOGBITP","Function : LOGBITP\nArguments : (index integer)\nReturn type : (MEMBER T NIL)");
     definitions.put("IGNORE-ERRORS","Macro : IGNORE-ERRORS\nArguments : (&rest forms)\nReturn type : ");
     definitions.put("CDDDAR","Function : CDDDAR\nArguments : (list)\nReturn type : T");
     definitions.put("BIT-NOR","Function : BIT-NOR\nArguments : (bit-array-1 bit-array-2 &optional result-bit-array)\nReturn type : (ARRAY BIT)");
     definitions.put("GCD","Function : GCD\nArguments : (&rest numbers)\nReturn type : UNSIGNED-BYTE");
     definitions.put("PARSE-NAMESTRING","Function : PARSE-NAMESTRING\nArguments : (thing &optional host (defaults *default-pathname-defaults*) &key (start 0) end\n   junk-allowed)\nReturn type : (VALUES (OR PATHNAME NULL) (OR NULL (MOD 536870911)))");
     definitions.put("FLOOR","Function : FLOOR\nArguments : (number &optional (divisor 1))\nReturn type : (VALUES INTEGER REAL)");
     definitions.put("OR","Macro : OR\nArguments : (&rest forms)\nReturn type : ");
     definitions.put("SLOT-EXISTS-P","Function : SLOT-EXISTS-P\nArguments : (object slot-name)\nReturn type : (MEMBER T NIL)");
     definitions.put("VECTOR-PUSH-EXTEND","Function : VECTOR-PUSH-EXTEND\nArguments : (new-el array &optional\n   (extension (if (zerop (length array)) 1 (length array))))\nReturn type : (MOD 536870911)");
     definitions.put("CONTINUE","Function : CONTINUE\nArguments : (&optional condition)\nReturn type : *");
     definitions.put("SPECIAL-OPERATOR-P","Function : SPECIAL-OPERATOR-P\nArguments : (symbol)\nReturn type : T");
     definitions.put("CHAR-DOWNCASE","Function : CHAR-DOWNCASE\nArguments : (char)\nReturn type : BASE-CHAR");
     definitions.put("ASSERT","Macro : ASSERT\nArguments : (test-form &optional places datum &rest arguments)\nReturn type : ");
     definitions.put("STRING-TRIM","Function : STRING-TRIM\nArguments : (char-bag string)\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("DELETE","Function : DELETE\nArguments : (item sequence &key from-end (test #'eql) test-not (start 0) end count key)\nReturn type : SEQUENCE");
     definitions.put("DIRECTORY-NAMESTRING","Function : DIRECTORY-NAMESTRING\nArguments : (pathname)\nReturn type : (OR NULL SIMPLE-BASE-STRING)");
     definitions.put("MAKE-SYMBOL","Function : MAKE-SYMBOL\nArguments : (string)\nReturn type : SYMBOL");
     definitions.put("LDB","Function : LDB\nArguments : (bytespec integer)\nReturn type : INTEGER");
     definitions.put("SYMBOL-NAME","Function : SYMBOL-NAME\nArguments : (variable)\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("SUBSTITUTE-IF-NOT","Function : SUBSTITUTE-IF-NOT\nArguments : (new test sequence &key from-end (start 0) end count key)\nReturn type : (OR CONS NULL (SIMPLE-ARRAY * (*)))");
     definitions.put("MAP","Function : MAP\nArguments : (output-type-spec function first-sequence &rest more-sequences)\nReturn type : (OR CONS NULL (SIMPLE-ARRAY * (*)))");
     definitions.put("HASH-TABLE-COUNT","Function : HASH-TABLE-COUNT\nArguments : (hash-table)\nReturn type : (MOD 536870911)");
     definitions.put("RESTART-BIND","Macro : RESTART-BIND\nArguments : (bindings &body forms)\nReturn type : ");
     definitions.put("STRING/=","Function : STRING/=\nArguments : (string1 string2 &key (start1 0) end1 (start2 0) end2)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("SCALE-FLOAT","Function : SCALE-FLOAT\nArguments : (f ex)\nReturn type : FLOAT");
     definitions.put("NSUBST-IF","Function : NSUBST-IF\nArguments : (new test tree &key key)\nReturn type : LIST");
     definitions.put("MAPHASH","Function : MAPHASH\nArguments : (map-function hash-table)\nReturn type : NULL");
     definitions.put("LOGORC2","Function : LOGORC2\nArguments : (integer1 integer2)\nReturn type : INTEGER");
     definitions.put("CAAADR","Function : CAAADR\nArguments : (list)\nReturn type : T");
     definitions.put("CADDR","Function : CADDR\nArguments : (list)\nReturn type : T");
     definitions.put("SET-PPRINT-DISPATCH","Function : SET-PPRINT-DISPATCH\nArguments : (type function &optional (priority 0) (table *print-pprint-dispatch*))\nReturn type : NULL");
     definitions.put("MINUSP","Function : MINUSP\nArguments : (number)\nReturn type : (MEMBER T NIL)");
     definitions.put("FIXNUM","Function : FIXNUM\nArguments : (num)\nReturn type : INTEGER");
     definitions.put("FROUND","Function : FROUND\nArguments : (number &optional (divisor 1))\nReturn type : (VALUES FLOAT REAL)");
     definitions.put("ADJOIN","Function : ADJOIN\nArguments : (item list &key key (test #'eql) (test-not nil notp))\nReturn type : LIST");
     definitions.put("FLOAT-PRECISION","Function : FLOAT-PRECISION\nArguments : (f)\nReturn type : (MOD 54)");
     definitions.put("RATIONALP","Function : RATIONALP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("CHAR<","Function : CHAR<\nArguments : (character &rest more-characters)\nReturn type : (MEMBER T NIL)");
     definitions.put("PACKAGEP","Function : PACKAGEP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("COPY-SEQ","Function : COPY-SEQ\nArguments : (sequence)\nReturn type : (OR CONS NULL (SIMPLE-ARRAY * (*)))");
     definitions.put("LOGTEST","Function : LOGTEST\nArguments : (integer1 integer2)\nReturn type : (MEMBER T NIL)");
     definitions.put("REMOVE-IF-NOT","Function : REMOVE-IF-NOT\nArguments : (predicate sequence &key from-end (start 0) end count key)\nReturn type : (OR CONS NULL (SIMPLE-ARRAY * (*)))");
     definitions.put("CDDAAR","Function : CDDAAR\nArguments : (list)\nReturn type : T");
     definitions.put("CDDADR","Function : CDDADR\nArguments : (list)\nReturn type : T");
     definitions.put("COMPLEXP","Function : COMPLEXP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("PPRINT-POP","Macro : PPRINT-POP\nArguments : \nReturn type : ");
     definitions.put("HOST-NAMESTRING","Function : HOST-NAMESTRING\nArguments : (pathname)\nReturn type : (OR NULL SIMPLE-BASE-STRING)");
     definitions.put("INTEGER-DECODE-FLOAT","Function : INTEGER-DECODE-FLOAT\nArguments : (x)\nReturn type : (VALUES INTEGER\n          KERNEL:DOUBLE-FLOAT-EXPONENT\n          (OR (INTEGER -1 -1) (INTEGER 1 1)))");
     definitions.put("READ-PRESERVING-WHITESPACE","Function : READ-PRESERVING-WHITESPACE\nArguments : (&optional (stream *standard-input*) (eof-errorp t) (eof-value nil)\n   (recursivep nil))\nReturn type : T");
     definitions.put("BYTE","Function : BYTE\nArguments : (size position)\nReturn type : CONS");
     definitions.put("SIMPLE-VECTOR-P","Function : SIMPLE-VECTOR-P\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("NSUBST-IF-NOT","Function : NSUBST-IF-NOT\nArguments : (new test tree &key key)\nReturn type : LIST");
     definitions.put("UPDATE-INSTANCE-FOR-DIFFERENT-CLASS","Function : UPDATE-INSTANCE-FOR-DIFFERENT-CLASS\nArguments : \nReturn type : ");
     definitions.put("NBUTLAST","Function : NBUTLAST\nArguments : (list &optional (n 1))\nReturn type : LIST");
     definitions.put("VECTOR-PUSH","Function : VECTOR-PUSH\nArguments : (new-el array)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("MAKE-TWO-WAY-STREAM","Function : MAKE-TWO-WAY-STREAM\nArguments : (input-stream output-stream)\nReturn type : STREAM");
     definitions.put("FIRST","Function : FIRST\nArguments : (list)\nReturn type : T");
     definitions.put("LOG","Function : LOG\nArguments : (number &optional (base nil base-p))\nReturn type : (OR SINGLE-FLOAT DOUBLE-FLOAT (COMPLEX SINGLE-FLOAT) (COMPLEX DOUBLE-FLOAT))");
     definitions.put("LCM","Function : LCM\nArguments : (&rest numbers)\nReturn type : UNSIGNED-BYTE");
     definitions.put("FMAKUNBOUND","Function : FMAKUNBOUND\nArguments : (name)\nReturn type : (OR SYMBOL CONS)");
     definitions.put("COPY-PPRINT-DISPATCH","Function : COPY-PPRINT-DISPATCH\nArguments : (&optional (table *print-pprint-dispatch*))\nReturn type : PRETTY-PRINT::PPRINT-DISPATCH-TABLE");
     definitions.put("MAP-INTO","Function : MAP-INTO\nArguments : (result-sequence function &rest sequences)\nReturn type : SEQUENCE");
     definitions.put("RATIONALIZE","Function : RATIONALIZE\nArguments : (x)\nReturn type : RATIONAL");
     definitions.put("HASH-TABLE-SIZE","Function : HASH-TABLE-SIZE\nArguments : (hash-table)\nReturn type : (MOD 536870911)");
     definitions.put("FCEILING","Function : FCEILING\nArguments : (number &optional (divisor 1))\nReturn type : (VALUES FLOAT REAL)");
     definitions.put("PATHNAMEP","Function : PATHNAMEP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("TAN","Function : TAN\nArguments : (number)\nReturn type : (OR SINGLE-FLOAT DOUBLE-FLOAT (COMPLEX SINGLE-FLOAT) (COMPLEX DOUBLE-FLOAT))");
     definitions.put("EIGHTH","Function : EIGHTH\nArguments : (list)\nReturn type : T");
     definitions.put("ABS","Function : ABS\nArguments : (number)\nReturn type : NUMBER");
     definitions.put("CHARACTER","Function : CHARACTER\nArguments : (object)\nReturn type : BASE-CHAR");
     definitions.put("PARSE-INTEGER","Function : PARSE-INTEGER\nArguments : (string &key (start 0) end (radix 10) junk-allowed)\nReturn type : (VALUES (OR INTEGER NULL) (MOD 536870911))");
     definitions.put("MAX","Function : MAX\nArguments : (number &rest more-numbers)\nReturn type : REAL");
     definitions.put("CHAR>=","Function : CHAR>=\nArguments : (character &rest more-characters)\nReturn type : (MEMBER T NIL)");
     definitions.put("APROPOS","Function : APROPOS\nArguments : (string &optional package external-only)\nReturn type : (VALUES)");
     definitions.put("SLOT-VALUE","Function : SLOT-VALUE\nArguments : (object slot-name)\nReturn type : *");
     definitions.put("APPLY","Function : APPLY\nArguments : (function arg &rest args)\nReturn type : *");
     definitions.put("STRING<=","Function : STRING<=\nArguments : (string1 string2 &key (start1 0) end1 (start2 0) end2)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("CADAR","Function : CADAR\nArguments : (list)\nReturn type : T");
     definitions.put("CHAR=","Function : CHAR=\nArguments : (character &rest more-characters)\nReturn type : (MEMBER T NIL)");
     definitions.put("SIMPLE-STRING-P","Function : SIMPLE-STRING-P\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("IN-PACKAGE","Macro : IN-PACKAGE\nArguments : (package &rest noise)\nReturn type : ");
     definitions.put("UNTRACE","Macro : UNTRACE\nArguments : (&rest specs)\nReturn type : ");
     definitions.put("LOOP-FINISH","Macro : LOOP-FINISH\nArguments : \nReturn type : ");
     definitions.put("WITH-SLOTS","Macro : WITH-SLOTS\nArguments : (slots instance &body body)\nReturn type : ");
     definitions.put("DOLIST","Macro : DOLIST\nArguments : ((var list &optional (result nil)) &body body)\nReturn type : ");
     definitions.put("STRING-LEFT-TRIM","Function : STRING-LEFT-TRIM\nArguments : (char-bag string)\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("EVAL","Function : EVAL\nArguments : (original-exp)\nReturn type : *");
     definitions.put("MULTIPLE-VALUE-PROG1","Function : MULTIPLE-VALUE-PROG1\nArguments : \nReturn type : ");
     definitions.put("BREAK","Function : BREAK\nArguments : (&optional (datum \"Break\") &rest arguments)\nReturn type : NULL");
     definitions.put("INVOKE-RESTART","Function : INVOKE-RESTART\nArguments : (restart &rest values)\nReturn type : *");
     definitions.put("BIT-ORC1","Function : BIT-ORC1\nArguments : (bit-array-1 bit-array-2 &optional result-bit-array)\nReturn type : (ARRAY BIT)");
     definitions.put("FILE-ERROR-PATHNAME","Function : FILE-ERROR-PATHNAME\nArguments : \nReturn type : ");
     definitions.put("REST","Function : REST\nArguments : (list)\nReturn type : T");
     definitions.put("DEPOSIT-FIELD","Function : DEPOSIT-FIELD\nArguments : (newbyte bytespec integer)\nReturn type : INTEGER");
     definitions.put("LISP-IMPLEMENTATION-VERSION","Function : LISP-IMPLEMENTATION-VERSION\nArguments : \nReturn type : SIMPLE-BASE-STRING");
     definitions.put("TRACE","Macro : TRACE\nArguments : (&rest specs)\nReturn type : ");
     definitions.put("DEFINE-METHOD-COMBINATION","Macro : DEFINE-METHOD-COMBINATION\nArguments : (&whole form &rest args)\nReturn type : ");
     definitions.put("LISTEN","Function : LISTEN\nArguments : (&optional (stream *standard-input*))\nReturn type : (MEMBER T NIL)");
     definitions.put("DELETE-PACKAGE","Function : DELETE-PACKAGE\nArguments : (package-or-name)\nReturn type : (MEMBER T NIL)");
     definitions.put("INPUT-STREAM-P","Function : INPUT-STREAM-P\nArguments : (stream)\nReturn type : (MEMBER T NIL)");
     definitions.put("READ-CHAR","Function : READ-CHAR\nArguments : (&optional (stream *standard-input*) (eof-errorp t) eof-value recursive-p)\nReturn type : T");
     definitions.put("MEMBER-IF-NOT","Function : MEMBER-IF-NOT\nArguments : (test list &key key)\nReturn type : LIST");
     definitions.put("PROG","Macro : PROG\nArguments : (varlist &parse-body (body decls))\nReturn type : ");
     definitions.put("USER-HOMEDIR-PATHNAME","Function : USER-HOMEDIR-PATHNAME\nArguments : (&optional host)\nReturn type : PATHNAME");
     definitions.put("WITH-INPUT-FROM-STRING","Macro : WITH-INPUT-FROM-STRING\nArguments : ((var string &key index start end) &parse-body (forms decls))\nReturn type : ");
     definitions.put("FUNCTION","Function : FUNCTION\nArguments : \nReturn type : ");
     definitions.put("TWO-WAY-STREAM-INPUT-STREAM","Function : TWO-WAY-STREAM-INPUT-STREAM\nArguments : (structure)\nReturn type : T");
     definitions.put("MAKE-PACKAGE","Function : MAKE-PACKAGE\nArguments : (name &key (use *default-package-use-list*) nicknames (internal-symbols 10)\n   (external-symbols 10))\nReturn type : PACKAGE");
     definitions.put("MAKE-LOAD-FORM","Function : MAKE-LOAD-FORM\nArguments : \nReturn type : ");
     definitions.put("LOAD-TIME-VALUE","Function : LOAD-TIME-VALUE\nArguments : \nReturn type : ");
     definitions.put("HASH-TABLE-TEST","Function : HASH-TABLE-TEST\nArguments : (structure)\nReturn type : SYMBOL");
     definitions.put("CDAAR","Function : CDAAR\nArguments : (list)\nReturn type : T");
     definitions.put("NSET-DIFFERENCE","Function : NSET-DIFFERENCE\nArguments : (list1 list2 &key key (test #'eql testp) (test-not nil notp))\nReturn type : LIST");
     definitions.put("PRINC-TO-STRING","Function : PRINC-TO-STRING\nArguments : (object)\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("POSITION-IF","Function : POSITION-IF\nArguments : (test sequence &key from-end (start 0) key end)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("GET-UNIVERSAL-TIME","Function : GET-UNIVERSAL-TIME\nArguments : \nReturn type : UNSIGNED-BYTE");
     definitions.put("REMHASH","Function : REMHASH\nArguments : (key hash-table)\nReturn type : (MEMBER T NIL)");
     definitions.put("LAMBDA","Macro : LAMBDA\nArguments : (&whole form &rest bvl-decls-and-body)\nReturn type : T");
     definitions.put("BIT-ANDC2","Function : BIT-ANDC2\nArguments : (bit-array-1 bit-array-2 &optional result-bit-array)\nReturn type : (ARRAY BIT)");
     definitions.put("DO*","Macro : DO*\nArguments : (varlist endlist &parse-body (body decls))\nReturn type : ");
     definitions.put("LOGAND","Function : LOGAND\nArguments : (&rest integers)\nReturn type : INTEGER");
     definitions.put("ARRAY-DIMENSION","Function : ARRAY-DIMENSION\nArguments : (array axis-number)\nReturn type : (MOD 536870911)");
     definitions.put("AREF","Function : AREF\nArguments : (array &rest subscripts)\nReturn type : T");
     definitions.put("STRING>=","Function : STRING>=\nArguments : (string1 string2 &key (start1 0) end1 (start2 0) end2)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("QUOTE","Function : QUOTE\nArguments : \nReturn type : ");
     definitions.put("CDR","Function : CDR\nArguments : (list)\nReturn type : T");
     definitions.put("STRING-NOT-GREATERP","Function : STRING-NOT-GREATERP\nArguments : (string1 string2 &key (start1 0) end1 (start2 0) end2)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("NOTANY","Function : NOTANY\nArguments : (predicate first-sequence &rest more-sequences)\nReturn type : (MEMBER T NIL)");
     definitions.put("GETHASH","Function : GETHASH\nArguments : (key hash-table &optional default)\nReturn type : (VALUES T (MEMBER T NIL))");
     definitions.put("NULL","Function : NULL\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("RETURN","Macro : RETURN\nArguments : (&optional (value nil))\nReturn type : ");
     definitions.put("CONCATENATE","Function : CONCATENATE\nArguments : (output-type-spec &rest sequences)\nReturn type : (OR CONS NULL (SIMPLE-ARRAY * (*)))");
     definitions.put("CDADAR","Function : CDADAR\nArguments : (list)\nReturn type : T");
     definitions.put("CDADDR","Function : CDADDR\nArguments : (list)\nReturn type : T");
     definitions.put("METHOD-COMBINATION-ERROR","Function : METHOD-COMBINATION-ERROR\nArguments : (&rest args)\nReturn type : *");
     definitions.put("MASK-FIELD","Function : MASK-FIELD\nArguments : (bytespec integer)\nReturn type : INTEGER");
     definitions.put("LIST-LENGTH","Function : LIST-LENGTH\nArguments : (list)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("READ-FROM-STRING","Function : READ-FROM-STRING\nArguments : (string &optional eof-error-p eof-value &key (start 0) end preserve-whitespace)\nReturn type : (VALUES T (MOD 536870911))");
     definitions.put("DEFMETHOD","Macro : DEFMETHOD\nArguments : (&rest args &environment env)\nReturn type : ");
     definitions.put("<=","Function : <=\nArguments : (number &rest more-numbers)\nReturn type : (MEMBER T NIL)");
     definitions.put("CONCATENATED-STREAM-STREAMS","Function : CONCATENATED-STREAM-STREAMS\nArguments : (structure)\nReturn type : T");
     definitions.put("COPY-SYMBOL","Function : COPY-SYMBOL\nArguments : (symbol &optional (copy-props nil) &aux new-symbol)\nReturn type : SYMBOL");
     definitions.put("Y-OR-N-P","Function : Y-OR-N-P\nArguments : (&optional format-string &rest arguments)\nReturn type : (MEMBER T NIL)");
     definitions.put("NOTEVERY","Function : NOTEVERY\nArguments : (predicate first-sequence &rest more-sequences)\nReturn type : (MEMBER T NIL)");
     definitions.put("COPY-STRUCTURE","Function : COPY-STRUCTURE\nArguments : (structure)\nReturn type : STRUCTURE-OBJECT");
     definitions.put("ODDP","Function : ODDP\nArguments : (number)\nReturn type : (MEMBER T NIL)");
     definitions.put("DELETE-IF-NOT","Function : DELETE-IF-NOT\nArguments : (predicate sequence &key from-end (start 0) end key count)\nReturn type : SEQUENCE");
     definitions.put("COPY-ALIST","Function : COPY-ALIST\nArguments : (alist)\nReturn type : LIST");
     definitions.put("RENAME-FILE","Function : RENAME-FILE\nArguments : (file new-name)\nReturn type : (VALUES PATHNAME PATHNAME PATHNAME)");
     definitions.put("FBOUNDP","Function : FBOUNDP\nArguments : (name)\nReturn type : (MEMBER T NIL)");
     definitions.put("BOTH-CASE-P","Function : BOTH-CASE-P\nArguments : (char)\nReturn type : (MEMBER T NIL)");
     definitions.put("ETYPECASE","Macro : ETYPECASE\nArguments : (keyform &body cases)\nReturn type : ");
     definitions.put("DECODE-UNIVERSAL-TIME","Function : DECODE-UNIVERSAL-TIME\nArguments : (universal-time &optional time-zone)\nReturn type : (VALUES (MOD 60)\n          (MOD 60)\n          (MOD 24)\n          (INTEGER 1 31)\n          (INTEGER 1 12)\n          UNSIGNED-BYTE\n          (MOD 7)\n          (MEMBER T NIL)\n          (RATIONAL -24 24))");
     definitions.put("ARITHMETIC-ERROR-OPERANDS","Function : ARITHMETIC-ERROR-OPERANDS\nArguments : \nReturn type : ");
     definitions.put("NSUBLIS","Function : NSUBLIS\nArguments : (alist tree &key key (test #'eql) (test-not nil notp))\nReturn type : LIST");
     definitions.put("SYMBOL-PACKAGE","Function : SYMBOL-PACKAGE\nArguments : (variable)\nReturn type : (OR PACKAGE NULL)");
     definitions.put("TERPRI","Function : TERPRI\nArguments : (&optional (stream *standard-output*))\nReturn type : NULL");
     definitions.put("THE","Function : THE\nArguments : \nReturn type : ");
     definitions.put("ARRAY-ELEMENT-TYPE","Function : ARRAY-ELEMENT-TYPE\nArguments : (array)\nReturn type : (OR CONS SYMBOL EXTENSIONS:INSTANCE)");
     definitions.put("INTERN","Function : INTERN\nArguments : (name &optional package)\nReturn type : (VALUES SYMBOL (MEMBER :INTERNAL :EXTERNAL :INHERITED NIL))");
     definitions.put("PEEK-CHAR","Function : PEEK-CHAR\nArguments : (&optional (peek-type nil) (stream *standard-input*) (eof-errorp t) eof-value\n   recursive-p)\nReturn type : T");
     definitions.put("CAADR","Function : CAADR\nArguments : (list)\nReturn type : T");
     definitions.put("SLEEP","Function : SLEEP\nArguments : (n)\nReturn type : NULL");
     definitions.put("LENGTH","Function : LENGTH\nArguments : (sequence)\nReturn type : (MOD 536870911)");
     definitions.put("CHARACTERP","Function : CHARACTERP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("MAKE-STRING","Function : MAKE-STRING\nArguments : (count &key element-type ((:initial-element fill-char)))\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("LET","Function : LET\nArguments : (form context env)\nReturn type : *");
     definitions.put("SET","Function : SET\nArguments : (variable new-value)\nReturn type : T");
     definitions.put("CHAR-LESSP","Function : CHAR-LESSP\nArguments : (character &rest more-characters)\nReturn type : (MEMBER T NIL)");
     definitions.put("LET*","Function : LET*\nArguments : (form context env)\nReturn type : *");
     definitions.put("STRING-RIGHT-TRIM","Function : STRING-RIGHT-TRIM\nArguments : (char-bag string)\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("HANDLER-CASE","Macro : HANDLER-CASE\nArguments : (form &rest cases)\nReturn type : ");
     definitions.put("CHAR-NAME","Function : CHAR-NAME\nArguments : (char)\nReturn type : (OR SIMPLE-BASE-STRING NULL)");
     definitions.put("UPDATE-INSTANCE-FOR-REDEFINED-CLASS","Function : UPDATE-INSTANCE-FOR-REDEFINED-CLASS\nArguments : \nReturn type : ");
     definitions.put("DELETE-DUPLICATES","Function : DELETE-DUPLICATES\nArguments : (sequence &key (test #'eql) test-not (start 0) from-end end key)\nReturn type : SEQUENCE");
     definitions.put("SLOT-MAKUNBOUND","Function : SLOT-MAKUNBOUND\nArguments : (object slot-name)\nReturn type : *");
     definitions.put("MAPL","Function : MAPL\nArguments : (function list &rest more-lists)\nReturn type : LIST");
     definitions.put("STRING-LESSP","Function : STRING-LESSP\nArguments : (string1 string2 &key (start1 0) end1 (start2 0) end2)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("UNBOUND-SLOT-INSTANCE","Function : UNBOUND-SLOT-INSTANCE\nArguments : \nReturn type : ");
     definitions.put("PATHNAME-MATCH-P","Function : PATHNAME-MATCH-P\nArguments : (in-pathname in-wildname)\nReturn type : (MEMBER T NIL)");
     definitions.put("COSH","Function : COSH\nArguments : (number)\nReturn type : (OR SINGLE-FLOAT DOUBLE-FLOAT (COMPLEX SINGLE-FLOAT) (COMPLEX DOUBLE-FLOAT))");
     definitions.put("CLASS-NAME","Function : CLASS-NAME\nArguments : \nReturn type : ");
     definitions.put("CDAAAR","Function : CDAAAR\nArguments : (list)\nReturn type : T");
     definitions.put("CDAADR","Function : CDAADR\nArguments : (list)\nReturn type : T");
     definitions.put("SXHASH","Function : SXHASH\nArguments : (s-expr)\nReturn type : (UNSIGNED-BYTE 29)");
     definitions.put("PHASE","Function : PHASE\nArguments : (number)\nReturn type : NUMBER");
     definitions.put("DEFTYPE","Macro : DEFTYPE\nArguments : (name arglist &body body)\nReturn type : ");
     definitions.put("BOOLE","Function : BOOLE\nArguments : (op integer1 integer2)\nReturn type : INTEGER");
     definitions.put("LOGICAL-PATHNAME-TRANSLATIONS","Function : LOGICAL-PATHNAME-TRANSLATIONS\nArguments : (host)\nReturn type : LIST");
     definitions.put("WRITE-CHAR","Function : WRITE-CHAR\nArguments : (character &optional (stream *standard-output*))\nReturn type : BASE-CHAR");
     definitions.put("TRUENAME","Function : TRUENAME\nArguments : (pathname)\nReturn type : PATHNAME");
     definitions.put("EVAL-WHEN","Function : EVAL-WHEN\nArguments : \nReturn type : ");
     definitions.put("STRING-UPCASE","Function : STRING-UPCASE\nArguments : (string &key (start 0) end)\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("RASSOC-IF","Function : RASSOC-IF\nArguments : (predicate alist &key key)\nReturn type : LIST");
     definitions.put("CHANGE-CLASS","Function : CHANGE-CLASS\nArguments : \nReturn type : ");
     definitions.put("WILD-PATHNAME-P","Function : WILD-PATHNAME-P\nArguments : (pathname &optional field-key)\nReturn type : (MEMBER T NIL)");
     definitions.put("CLEAR-OUTPUT","Function : CLEAR-OUTPUT\nArguments : (&optional (stream *standard-output*))\nReturn type : NULL");
     definitions.put("IMPORT","Function : IMPORT\nArguments : (symbols &optional (package *package*))\nReturn type : (MEMBER T)");
     definitions.put("UNINTERN","Function : UNINTERN\nArguments : (symbol &optional (package *package*))\nReturn type : (MEMBER T NIL)");
     definitions.put("LOCALLY","Function : LOCALLY\nArguments : (form context env)\nReturn type : T");
     definitions.put("LIST*","Function : LIST*\nArguments : (arg &rest others)\nReturn type : T");
     definitions.put("USE-PACKAGE","Function : USE-PACKAGE\nArguments : (packages-to-use &optional (package *package*))\nReturn type : (MEMBER T)");
     definitions.put("CLRHASH","Function : CLRHASH\nArguments : (hash-table)\nReturn type : HASH-TABLE");
     definitions.put("GET-DISPATCH-MACRO-CHARACTER","Function : GET-DISPATCH-MACRO-CHARACTER\nArguments : (disp-char sub-char &optional (rt *readtable*))\nReturn type : (OR FUNCTION SYMBOL)");
     definitions.put("CTYPECASE","Macro : CTYPECASE\nArguments : (keyform &body cases)\nReturn type : ");
     definitions.put("STRING-DOWNCASE","Function : STRING-DOWNCASE\nArguments : (string &key (start 0) end)\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("TRUNCATE","Function : TRUNCATE\nArguments : (number &optional (divisor 1))\nReturn type : (VALUES INTEGER REAL)");
     definitions.put("FLET","Function : FLET\nArguments : (form context old-env)\nReturn type : LIST");
     definitions.put("GET-DECODED-TIME","Function : GET-DECODED-TIME\nArguments : \nReturn type : (VALUES (MOD 60)\n          (MOD 60)\n          (MOD 24)\n          (INTEGER 1 31)\n          (INTEGER 1 12)\n          UNSIGNED-BYTE\n          (MOD 7)\n          (MEMBER T NIL)\n          (RATIONAL -24 24))");
     definitions.put("BYTE-SIZE","Function : BYTE-SIZE\nArguments : (bytespec)\nReturn type : (UNSIGNED-BYTE 29)");
     definitions.put("ECHO-STREAM-OUTPUT-STREAM","Function : ECHO-STREAM-OUTPUT-STREAM\nArguments : (structure)\nReturn type : T");
     definitions.put("LIST","Function : LIST\nArguments : (&rest args)\nReturn type : LIST");
     definitions.put("CONS","Function : CONS\nArguments : (se1 se2)\nReturn type : CONS");
     definitions.put("TYPE-ERROR-DATUM","Function : TYPE-ERROR-DATUM\nArguments : \nReturn type : ");
     definitions.put("MAPLIST","Function : MAPLIST\nArguments : (function list &rest more-lists)\nReturn type : LIST");
     definitions.put("LISTP","Function : LISTP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("ARRAY-IN-BOUNDS-P","Function : ARRAY-IN-BOUNDS-P\nArguments : (array &rest subscripts)\nReturn type : (MEMBER T NIL)");
     definitions.put("FORCE-OUTPUT","Function : FORCE-OUTPUT\nArguments : (&optional (stream *standard-output*))\nReturn type : NULL");
     definitions.put("WITH-PACKAGE-ITERATOR","Macro : WITH-PACKAGE-ITERATOR\nArguments : ((mname package-list &rest symbol-types) &body body)\nReturn type : ");
     definitions.put("DEFINE-SETF-EXPANDER","Macro : DEFINE-SETF-EXPANDER\nArguments : (access-fn lambda-list &body body)\nReturn type : ");
     definitions.put("PRINT-OBJECT","Function : PRINT-OBJECT\nArguments : \nReturn type : ");
     definitions.put("SVREF","Function : SVREF\nArguments : (simple-vector index)\nReturn type : T");
     definitions.put("PRINT","Function : PRINT\nArguments : (object &optional stream)\nReturn type : T");
     definitions.put("SIMPLE-CONDITION-FORMAT-CONTROL","Function : SIMPLE-CONDITION-FORMAT-CONTROL\nArguments : \nReturn type : ");
     definitions.put("ISQRT","Function : ISQRT\nArguments : (n)\nReturn type : UNSIGNED-BYTE");
     definitions.put("DEFINE-SYMBOL-MACRO","Macro : DEFINE-SYMBOL-MACRO\nArguments : (name expansion)\nReturn type : ");
     definitions.put("CATCH","Function : CATCH\nArguments : \nReturn type : ");
     definitions.put("OPEN","Function : OPEN\nArguments : (filename &key (direction :input) (element-type 'base-char)\n   (if-exists nil if-exists-given)\n   (if-does-not-exist nil if-does-not-exist-given) (external-format :default)\n   class &aux (direction direction) (if-does-not-exist if-does-not-exist)\n   (if-exists if-exists))\nReturn type : (OR STREAM NULL)");
     definitions.put("DELETE-IF","Function : DELETE-IF\nArguments : (predicate sequence &key from-end (start 0) key end count)\nReturn type : SEQUENCE");
     definitions.put("IMAGPART","Function : IMAGPART\nArguments : (number)\nReturn type : REAL");
     definitions.put("ALPHANUMERICP","Function : ALPHANUMERICP\nArguments : (char)\nReturn type : (MEMBER T NIL)");
     definitions.put("STREAM-EXTERNAL-FORMAT","Function : STREAM-EXTERNAL-FORMAT\nArguments : (stream)\nReturn type : (MEMBER :DEFAULT)");
     definitions.put("DEFINE-CONDITION","Macro : DEFINE-CONDITION\nArguments : (name (&rest parent-types) (&rest slot-specs) &body options)\nReturn type : ");
     definitions.put("REALP","Function : REALP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("TRANSLATE-PATHNAME","Function : TRANSLATE-PATHNAME\nArguments : (source from-wildname to-wildname &key)\nReturn type : PATHNAME");
     definitions.put("PUSHNEW","Macro : PUSHNEW\nArguments : (obj place &rest keys &environment env)\nReturn type : ");
     definitions.put("PROVIDE","Function : PROVIDE\nArguments : (module-name)\nReturn type : (MEMBER T)");
     definitions.put("SET-DIFFERENCE","Function : SET-DIFFERENCE\nArguments : (list1 list2 &key key (test #'eql testp) (test-not nil notp))\nReturn type : LIST");
     definitions.put("CAR","Function : CAR\nArguments : (list)\nReturn type : T");
     definitions.put("INTEGERP","Function : INTEGERP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("CADAAR","Function : CADAAR\nArguments : (list)\nReturn type : T");
     definitions.put("CADADR","Function : CADADR\nArguments : (list)\nReturn type : T");
     definitions.put("ADJUSTABLE-ARRAY-P","Function : ADJUSTABLE-ARRAY-P\nArguments : (array)\nReturn type : (MEMBER T NIL)");
     definitions.put("CONJUGATE","Function : CONJUGATE\nArguments : (number)\nReturn type : NUMBER");
     definitions.put("PRIN1-TO-STRING","Function : PRIN1-TO-STRING\nArguments : (object)\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("PROG*","Macro : PROG*\nArguments : (varlist &parse-body (body decls))\nReturn type : ");
     definitions.put("INVALID-METHOD-ERROR","Function : INVALID-METHOD-ERROR\nArguments : (&rest args)\nReturn type : *");
     definitions.put("UNWIND-PROTECT","Function : UNWIND-PROTECT\nArguments : \nReturn type : ");
     definitions.put("PROG2","Macro : PROG2\nArguments : (form1 result &rest body)\nReturn type : ");
     definitions.put("COMPILE-FILE","Function : COMPILE-FILE\nArguments : (source &key (output-file t) (error-file nil) (trace-file nil) (error-output t)\n   (load nil) (external-format :default)\n   ((:verbose *compile-verbose*) *compile-verbose*)\n   ((:print *compile-print*) *compile-print*)\n   ((:progress *compile-progress*) *compile-progress*)\n   ((:block-compile *block-compile-argument*) *block-compile-default*)\n   ((:entry-points *entry-points*) nil)\n   ((:byte-compile *byte-compile*) *byte-compile-default*))\nReturn type : (VALUES (OR PATHNAME NULL) (MEMBER T NIL) (MEMBER T NIL))");
     definitions.put("MIN","Function : MIN\nArguments : (number &rest more-numbers)\nReturn type : REAL");
     definitions.put("LOAD","Function : LOAD\nArguments : (filename &key (verbose nil verbose-p) (print nil print-p)\n   (if-source-newer nil if-source-newer-p) (if-does-not-exist :error) contents\n   (external-format :default))\nReturn type : T");
     definitions.put("COMPLEX","Function : COMPLEX\nArguments : (realpart &optional (imagpart 0))\nReturn type : NUMBER");
     definitions.put("FLOAT-RADIX","Function : FLOAT-RADIX\nArguments : (f)\nReturn type : (INTEGER 2 2)");
     definitions.put("DECF","Macro : DECF\nArguments : (#:g1 &optional (delta 1) &environment #:g0)\nReturn type : ");
     definitions.put("COUNT","Function : COUNT\nArguments : (item sequence &key from-end (test #'eql test-p) (test-not nil test-not-p)\n   (start 0) end key)\nReturn type : (MOD 536870911)");
     definitions.put("FILE-LENGTH","Function : FILE-LENGTH\nArguments : (stream)\nReturn type : (OR UNSIGNED-BYTE NULL)");
     definitions.put("MUFFLE-WARNING","Function : MUFFLE-WARNING\nArguments : (&optional condition)\nReturn type : *");
     definitions.put("ARRAYP","Function : ARRAYP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("NUNION","Function : NUNION\nArguments : (list1 list2 &key key (test #'eql testp) (test-not nil notp))\nReturn type : LIST");
     definitions.put("ROW-MAJOR-AREF","Function : ROW-MAJOR-AREF\nArguments : (array index)\nReturn type : T");
     definitions.put("INTERACTIVE-STREAM-P","Function : INTERACTIVE-STREAM-P\nArguments : (stream)\nReturn type : *");
     definitions.put("FDEFINITION","Function : FDEFINITION\nArguments : (name)\nReturn type : FUNCTION");
     definitions.put("REMOVE-IF","Function : REMOVE-IF\nArguments : (predicate sequence &key from-end (start 0) end count key)\nReturn type : (OR CONS NULL (SIMPLE-ARRAY * (*)))");
     definitions.put("ATOM","Function : ATOM\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("STRING-NOT-LESSP","Function : STRING-NOT-LESSP\nArguments : (string1 string2 &key (start1 0) end1 (start2 0) end2)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("SET-DISPATCH-MACRO-CHARACTER","Function : SET-DISPATCH-MACRO-CHARACTER\nArguments : (disp-char sub-char function &optional (rt *readtable*))\nReturn type : T");
     definitions.put("NTHCDR","Function : NTHCDR\nArguments : (n list)\nReturn type : T");
     definitions.put("LDIFF","Function : LDIFF\nArguments : (list object)\nReturn type : LIST");
     definitions.put("ERROR","Function : ERROR\nArguments : (datum &rest arguments)\nReturn type : NIL");
     definitions.put("WITH-CONDITION-RESTARTS","Macro : WITH-CONDITION-RESTARTS\nArguments : (condition-form restarts-form &body body)\nReturn type : ");
     definitions.put("YES-OR-NO-P","Function : YES-OR-NO-P\nArguments : (&optional format-string &rest arguments)\nReturn type : (MEMBER T NIL)");
     definitions.put("OUTPUT-STREAM-P","Function : OUTPUT-STREAM-P\nArguments : (stream)\nReturn type : (MEMBER T NIL)");
     definitions.put("ENOUGH-NAMESTRING","Function : ENOUGH-NAMESTRING\nArguments : (pathname &optional (defaults *default-pathname-defaults*))\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("MACHINE-TYPE","Function : MACHINE-TYPE\nArguments : \nReturn type : SIMPLE-BASE-STRING");
     definitions.put("ROTATEF","Macro : ROTATEF\nArguments : (&rest args &environment env)\nReturn type : ");
     definitions.put("MAKE-INSTANCE","Function : MAKE-INSTANCE\nArguments : \nReturn type : ");
     definitions.put("POSITION-IF-NOT","Function : POSITION-IF-NOT\nArguments : (test sequence &key from-end (start 0) key end)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("GET-SETF-EXPANSION","Function : GET-SETF-EXPANSION\nArguments : (form &optional environment)\nReturn type : (VALUES LIST LIST LIST T T)");
     definitions.put("PPRINT-EXIT-IF-LIST-EXHAUSTED","Macro : PPRINT-EXIT-IF-LIST-EXHAUSTED\nArguments : \nReturn type : ");
     definitions.put("REQUIRE","Function : REQUIRE\nArguments : (module-name &optional pathname)\nReturn type : (MEMBER NIL T)");
     definitions.put("BIT","Function : BIT\nArguments : (bit-array &rest subscripts)\nReturn type : BIT");
     definitions.put("CLEAR-INPUT","Function : CLEAR-INPUT\nArguments : (&optional (stream *standard-input*))\nReturn type : NULL");
     definitions.put("MEMBER-IF","Function : MEMBER-IF\nArguments : (test list &key key)\nReturn type : LIST");
     definitions.put("TYPE-OF","Function : TYPE-OF\nArguments : (object)\nReturn type : T");
     definitions.put("MULTIPLE-VALUE-LIST","Macro : MULTIPLE-VALUE-LIST\nArguments : (value-form)\nReturn type : ");
     definitions.put("REVAPPEND","Function : REVAPPEND\nArguments : (x y)\nReturn type : T");
     definitions.put("TRANSLATE-LOGICAL-PATHNAME","Function : TRANSLATE-LOGICAL-PATHNAME\nArguments : (pathname &key)\nReturn type : PATHNAME");
     definitions.put("PACKAGE-USE-LIST","Function : PACKAGE-USE-LIST\nArguments : (x)\nReturn type : LIST");
     definitions.put("BIT-EQV","Function : BIT-EQV\nArguments : (bit-array-1 bit-array-2 &optional result-bit-array)\nReturn type : (ARRAY BIT)");
     definitions.put("TIME","Macro : TIME\nArguments : (form)\nReturn type : ");
     definitions.put("ADD-METHOD","Function : ADD-METHOD\nArguments : \nReturn type : ");
     definitions.put("MAKE-BROADCAST-STREAM","Function : MAKE-BROADCAST-STREAM\nArguments : (&rest streams)\nReturn type : STREAM");
     definitions.put("THIRD","Function : THIRD\nArguments : (list)\nReturn type : T");
     definitions.put("MAKE-STRING-OUTPUT-STREAM","Function : MAKE-STRING-OUTPUT-STREAM\nArguments : \nReturn type : STREAM");
     definitions.put("CHAR-EQUAL","Function : CHAR-EQUAL\nArguments : (character &rest more-characters)\nReturn type : (MEMBER T NIL)");
     definitions.put("BUTLAST","Function : BUTLAST\nArguments : (list &optional (n 1))\nReturn type : LIST");
     definitions.put("PPRINT-TABULAR","Function : PPRINT-TABULAR\nArguments : (stream list &optional (colon? t) atsign? tabsize)\nReturn type : NULL");
     definitions.put("ROUND","Function : ROUND\nArguments : (number &optional (divisor 1))\nReturn type : (VALUES INTEGER REAL)");
     definitions.put("SHIFTF","Macro : SHIFTF\nArguments : (&rest args &environment env)\nReturn type : ");
     definitions.put("DOTIMES","Macro : DOTIMES\nArguments : ((var count &optional (result nil)) &body body)\nReturn type : ");
     definitions.put("READTABLE-CASE","Function : READTABLE-CASE\nArguments : (structure)\nReturn type : T");
     definitions.put("GET-INTERNAL-RUN-TIME","Function : GET-INTERNAL-RUN-TIME\nArguments : \nReturn type : UNSIGNED-BYTE");
     definitions.put("FILE-AUTHOR","Function : FILE-AUTHOR\nArguments : (file)\nReturn type : (OR SIMPLE-BASE-STRING NULL)");
     definitions.put("COPY-TREE","Function : COPY-TREE\nArguments : (object)\nReturn type : T");
     definitions.put("ATAN","Function : ATAN\nArguments : (y &optional (x nil xp))\nReturn type : (OR SINGLE-FLOAT DOUBLE-FLOAT (COMPLEX SINGLE-FLOAT) (COMPLEX DOUBLE-FLOAT))");
     definitions.put("SIGNAL","Function : SIGNAL\nArguments : (datum &rest arguments)\nReturn type : NULL");
     definitions.put("REMF","Macro : REMF\nArguments : (place indicator &environment env)\nReturn type : ");
     definitions.put("NUMERATOR","Function : NUMERATOR\nArguments : (number)\nReturn type : INTEGER");
     definitions.put("READTABLEP","Function : READTABLEP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("SIMPLE-BIT-VECTOR-P","Function : SIMPLE-BIT-VECTOR-P\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("SET-MACRO-CHARACTER","Function : SET-MACRO-CHARACTER\nArguments : (char function &optional (non-terminatingp nil) (rt *readtable*))\nReturn type : T");
     definitions.put("WITH-HASH-TABLE-ITERATOR","Macro : WITH-HASH-TABLE-ITERATOR\nArguments : (#'hash-table &body body)\nReturn type : ");
     definitions.put("CAADAR","Function : CAADAR\nArguments : (list)\nReturn type : T");
     definitions.put("CAADDR","Function : CAADDR\nArguments : (list)\nReturn type : T");
     definitions.put("PACKAGE-NICKNAMES","Function : PACKAGE-NICKNAMES\nArguments : (x)\nReturn type : LIST");
     definitions.put("CAAR","Function : CAAR\nArguments : (list)\nReturn type : T");
     definitions.put("INITIALIZE-INSTANCE","Function : INITIALIZE-INSTANCE\nArguments : \nReturn type : ");
     definitions.put("DEFCLASS","Macro : DEFCLASS\nArguments : (name direct-superclasses direct-slots &rest options &environment env)\nReturn type : ");
     definitions.put("BIT-NAND","Function : BIT-NAND\nArguments : (bit-array-1 bit-array-2 &optional result-bit-array)\nReturn type : (ARRAY BIT)");
     definitions.put("HASH-TABLE-REHASH-SIZE","Function : HASH-TABLE-REHASH-SIZE\nArguments : (structure)\nReturn type : (OR (INTEGER 1) (SINGLE-FLOAT (1.0)) (DOUBLE-FLOAT (1.0d0)))");
     definitions.put("CERROR","Function : CERROR\nArguments : (continue-string datum &rest arguments)\nReturn type : NULL");
     definitions.put("AND","Macro : AND\nArguments : (&rest forms)\nReturn type : ");
     definitions.put("ABORT","Function : ABORT\nArguments : (&optional condition)\nReturn type : NIL");
     definitions.put("COND","Macro : COND\nArguments : (&rest clauses)\nReturn type : ");
     definitions.put("DEFPARAMETER","Macro : DEFPARAMETER\nArguments : (var val &optional (doc nil docp))\nReturn type : ");
     definitions.put("DO-EXTERNAL-SYMBOLS","Macro : DO-EXTERNAL-SYMBOLS\nArguments : ((var &optional (package '*package*) result-form) &parse-body (body decls))\nReturn type : ");
     definitions.put("POSITION","Function : POSITION\nArguments : (item sequence &key from-end (test #'eql) test-not (start 0) end key)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("FIND-METHOD","Function : FIND-METHOD\nArguments : \nReturn type : ");
     definitions.put("ASIN","Function : ASIN\nArguments : (number)\nReturn type : (OR SINGLE-FLOAT DOUBLE-FLOAT (COMPLEX SINGLE-FLOAT) (COMPLEX DOUBLE-FLOAT))");
     definitions.put("CEILING","Function : CEILING\nArguments : (number &optional (divisor 1))\nReturn type : (VALUES INTEGER REAL)");
     definitions.put("PROCLAIM","Function : PROCLAIM\nArguments : (form)\nReturn type : T");
     definitions.put("INTERSECTION","Function : INTERSECTION\nArguments : (list1 list2 &key key (test #'eql testp) (test-not nil notp))\nReturn type : LIST");
     definitions.put("BYTE-POSITION","Function : BYTE-POSITION\nArguments : (bytespec)\nReturn type : (UNSIGNED-BYTE 29)");
     definitions.put("MACROLET","Function : MACROLET\nArguments : (form context old-env)\nReturn type : T");
     definitions.put("BOUNDP","Function : BOUNDP\nArguments : (variable)\nReturn type : (MEMBER T NIL)");
     definitions.put("REALPART","Function : REALPART\nArguments : (number)\nReturn type : REAL");
     definitions.put("DECLAIM","Macro : DECLAIM\nArguments : (&rest specs)\nReturn type : ");
     definitions.put("CADR","Function : CADR\nArguments : (list)\nReturn type : T");
     definitions.put("LOGEQV","Function : LOGEQV\nArguments : (&rest integers)\nReturn type : INTEGER");
     definitions.put("REPLACE","Function : REPLACE\nArguments : (target-sequence source-sequence &key ((:start1 target-start) 0)\n   ((:end1 target-end)) ((:start2 source-start) 0) ((:end2 source-end)))\nReturn type : SEQUENCE");
     definitions.put("SIGNUM","Function : SIGNUM\nArguments : (number)\nReturn type : NUMBER");
     definitions.put("RASSOC-IF-NOT","Function : RASSOC-IF-NOT\nArguments : (predicate alist &key key)\nReturn type : LIST");
     definitions.put("REINITIALIZE-INSTANCE","Function : REINITIALIZE-INSTANCE\nArguments : \nReturn type : ");
     definitions.put("MERGE","Function : MERGE\nArguments : (result-type sequence1 sequence2 predicate &key key)\nReturn type : SEQUENCE");
     definitions.put("MAKE-INSTANCES-OBSOLETE","Function : MAKE-INSTANCES-OBSOLETE\nArguments : \nReturn type : ");
     definitions.put("CCASE","Macro : CCASE\nArguments : (keyform &body cases)\nReturn type : ");
     definitions.put("NREVERSE","Function : NREVERSE\nArguments : (sequence)\nReturn type : SEQUENCE");
     definitions.put("REMOVE","Function : REMOVE\nArguments : (item sequence &key from-end (test #'eql) test-not (start 0) end count key)\nReturn type : (OR CONS NULL (SIMPLE-ARRAY * (*)))");
     definitions.put("DIGIT-CHAR","Function : DIGIT-CHAR\nArguments : (weight &optional (radix 10))\nReturn type : (OR BASE-CHAR NULL)");
     definitions.put("ARRAY-DISPLACEMENT","Function : ARRAY-DISPLACEMENT\nArguments : (array)\nReturn type : (VALUES (OR ARRAY NULL) (MOD 536870911))");
     definitions.put("PPRINT-INDENT","Function : PPRINT-INDENT\nArguments : (relative-to n &optional stream)\nReturn type : NULL");
     definitions.put("LOGNAND","Function : LOGNAND\nArguments : (integer1 integer2)\nReturn type : INTEGER");
     definitions.put("SET-SYNTAX-FROM-CHAR","Function : SET-SYNTAX-FROM-CHAR\nArguments : (to-char from-char &optional (to-readtable *readtable*) (from-readtable nil))\nReturn type : T");
     definitions.put("CHAR-NOT-EQUAL","Function : CHAR-NOT-EQUAL\nArguments : (character &rest more-characters)\nReturn type : (MEMBER T NIL)");
     definitions.put("VALUES","Function : VALUES\nArguments : (&rest values)\nReturn type : *");
     definitions.put("PUSH","Macro : PUSH\nArguments : (obj place &environment env)\nReturn type : ");
     definitions.put("READ-BYTE","Function : READ-BYTE\nArguments : (stream &optional (eof-errorp t) eof-value)\nReturn type : T");
     definitions.put("FIND-CLASS","Function : FIND-CLASS\nArguments : (symbol &optional (errorp t) environment)\nReturn type : T");
     definitions.put("MOD","Function : MOD\nArguments : (number divisor)\nReturn type : REAL");
     definitions.put("GETF","Function : GETF\nArguments : (place indicator &optional (default nil))\nReturn type : T");
     definitions.put("REM","Function : REM\nArguments : (number divisor)\nReturn type : REAL");
     definitions.put("SETF","Macro : SETF\nArguments : (&rest args &environment env)\nReturn type : ");
     definitions.put("SUBST","Function : SUBST\nArguments : (new old tree &key key (test #'eql testp) (test-not nil notp))\nReturn type : LIST");
     definitions.put("SYMBOL-VALUE","Function : SYMBOL-VALUE\nArguments : (variable)\nReturn type : T");
     definitions.put("VECTOR-POP","Function : VECTOR-POP\nArguments : (array)\nReturn type : T");
     definitions.put("1+","Function : 1+\nArguments : (number)\nReturn type : NUMBER");
     definitions.put("WRITE","Function : WRITE\nArguments : (object &key ((:stream stream) *standard-output*)\n   ((:escape *print-escape*) *print-escape*)\n   ((:radix *print-radix*) *print-radix*) ((:base *print-base*) *print-base*)\n   ((:circle *print-circle*) *print-circle*)\n   ((:pretty *print-pretty*) *print-pretty*)\n   ((:level *print-level*) *print-level*)\n   ((:length *print-length*) *print-length*) ((:case *print-case*) *print-case*)\n   ((:array *print-array*) *print-array*)\n   ((:gensym *print-gensym*) *print-gensym*)\n   ((:readably *print-readably*) *print-readably*)\n   ((:right-margin *print-right-margin*) *print-right-margin*)\n   ((:miser-width *print-miser-width*) *print-miser-width*)\n   ((:lines *print-lines*) *print-lines*)\n   ((:pprint-dispatch *print-pprint-dispatch*) *print-pprint-dispatch*))\nReturn type : T");
     definitions.put("CAAAAR","Function : CAAAAR\nArguments : (list)\nReturn type : T");
     definitions.put("RESTART-CASE","Macro : RESTART-CASE\nArguments : (expression &body clauses &environment env)\nReturn type : ");
     definitions.put("PSETF","Macro : PSETF\nArguments : (&rest args &environment env)\nReturn type : ");
     definitions.put("BIT-AND","Function : BIT-AND\nArguments : (bit-array-1 bit-array-2 &optional result-bit-array)\nReturn type : (ARRAY BIT)");
     definitions.put("GENSYM","Function : GENSYM\nArguments : (&optional (thing \"G\"))\nReturn type : SYMBOL");
     definitions.put("ELT","Function : ELT\nArguments : (sequence index)\nReturn type : T");
     definitions.put("DPB","Function : DPB\nArguments : (newbyte bytespec integer)\nReturn type : INTEGER");
     definitions.put("SUBSTITUTE-IF","Function : SUBSTITUTE-IF\nArguments : (new test sequence &key from-end (start 0) end count key)\nReturn type : (OR CONS NULL (SIMPLE-ARRAY * (*)))");
     definitions.put("UNUSE-PACKAGE","Function : UNUSE-PACKAGE\nArguments : (packages-to-unuse &optional (package *package*))\nReturn type : (MEMBER T)");
     definitions.put("ASSOC-IF","Function : ASSOC-IF\nArguments : (predicate alist &key key)\nReturn type : LIST");
     definitions.put("COMPILER-MACRO-FUNCTION","Function : COMPILER-MACRO-FUNCTION\nArguments : (name &optional env)\nReturn type : (OR FUNCTION NULL)");
     definitions.put("SORT","Function : SORT\nArguments : (sequence predicate &key key)\nReturn type : SEQUENCE");
     definitions.put("VECTORP","Function : VECTORP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("APROPOS-LIST","Function : APROPOS-LIST\nArguments : (string &optional package external-only)\nReturn type : LIST");
     definitions.put("ACOSH","Function : ACOSH\nArguments : (number)\nReturn type : (OR SINGLE-FLOAT DOUBLE-FLOAT (COMPLEX SINGLE-FLOAT) (COMPLEX DOUBLE-FLOAT))");
     definitions.put("COMPUTE-APPLICABLE-METHODS","Function : COMPUTE-APPLICABLE-METHODS\nArguments : \nReturn type : ");
     definitions.put("DO-SYMBOLS","Macro : DO-SYMBOLS\nArguments : ((var &optional (package '*package*) result-form) &parse-body (body decls))\nReturn type : ");
     definitions.put("FIND-ALL-SYMBOLS","Function : FIND-ALL-SYMBOLS\nArguments : (string-or-symbol)\nReturn type : LIST");
     definitions.put("LDB-TEST","Function : LDB-TEST\nArguments : (bytespec integer)\nReturn type : (MEMBER T NIL)");
     definitions.put("FIND-PACKAGE","Function : FIND-PACKAGE\nArguments : (name)\nReturn type : (OR PACKAGE NULL)");
     definitions.put("TAILP","Function : TAILP\nArguments : (object list)\nReturn type : (MEMBER T NIL)");
     definitions.put("SOFTWARE-TYPE","Function : SOFTWARE-TYPE\nArguments : \nReturn type : SIMPLE-BASE-STRING");
     definitions.put("TYPEP","Function : TYPEP\nArguments : (object type &optional environment)\nReturn type : (MEMBER T NIL)");
     definitions.put("NO-NEXT-METHOD","Function : NO-NEXT-METHOD\nArguments : \nReturn type : ");
     definitions.put("CHAR-NOT-GREATERP","Function : CHAR-NOT-GREATERP\nArguments : (character &rest more-characters)\nReturn type : (MEMBER T NIL)");
     definitions.put("IDENTITY","Function : IDENTITY\nArguments : (thing)\nReturn type : T");
     definitions.put("EQUAL","Function : EQUAL\nArguments : (x y)\nReturn type : (MEMBER T NIL)");
     definitions.put("CONSTANTP","Function : CONSTANTP\nArguments : (object &optional environment)\nReturn type : (MEMBER T NIL)");
     definitions.put("CHAR>","Function : CHAR>\nArguments : (character &rest more-characters)\nReturn type : (MEMBER T NIL)");
     definitions.put("READ-CHAR-NO-HANG","Function : READ-CHAR-NO-HANG\nArguments : (&optional (stream *standard-input*) (eof-errorp t) eof-value recursive-p)\nReturn type : T");
     definitions.put("CHAR-INT","Function : CHAR-INT\nArguments : (char)\nReturn type : (UNSIGNED-BYTE 8)");
     definitions.put("READ-DELIMITED-LIST","Function : READ-DELIMITED-LIST\nArguments : (endchar &optional (input-stream *standard-input*) recursive-p)\nReturn type : LIST");
     definitions.put("FOURTH","Function : FOURTH\nArguments : (list)\nReturn type : T");
     definitions.put("MAKE-CONCATENATED-STREAM","Function : MAKE-CONCATENATED-STREAM\nArguments : (&rest streams)\nReturn type : STREAM");
     definitions.put("SYMBOL-MACROLET","Function : SYMBOL-MACROLET\nArguments : (form context old-env)\nReturn type : T");
     definitions.put("RESTART-NAME","Function : RESTART-NAME\nArguments : (structure)\nReturn type : T");
     definitions.put("WITH-SIMPLE-RESTART","Macro : WITH-SIMPLE-RESTART\nArguments : ((restart-name format-string &rest format-arguments) &body forms)\nReturn type : ");
     definitions.put("IF","Function : IF\nArguments : (form context env)\nReturn type : T");
     definitions.put("INSPECT","Function : INSPECT\nArguments : (object)\nReturn type : T");
     definitions.put("ALPHA-CHAR-P","Function : ALPHA-CHAR-P\nArguments : (char)\nReturn type : (MEMBER T NIL)");
     definitions.put("INVOKE-DEBUGGER","Function : INVOKE-DEBUGGER\nArguments : (condition)\nReturn type : NIL");
     definitions.put("NSUBSTITUTE","Function : NSUBSTITUTE\nArguments : (new old sequence &key from-end (test #'eql) test-not end count key (start 0))\nReturn type : SEQUENCE");
     definitions.put("CDAR","Function : CDAR\nArguments : (list)\nReturn type : T");
     definitions.put("RANDOM","Function : RANDOM\nArguments : (arg &optional (state *random-state*))\nReturn type : REAL");
     definitions.put("FIND-IF","Function : FIND-IF\nArguments : (test sequence &key from-end (start 0) end key)\nReturn type : T");
     definitions.put("FTRUNCATE","Function : FTRUNCATE\nArguments : (number &optional (divisor 1))\nReturn type : (VALUES FLOAT REAL)");
     definitions.put("SEARCH","Function : SEARCH\nArguments : (sequence1 sequence2 &key from-end (test #'eql) test-not (start1 0) end1\n   (start2 0) end2 key)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("PAIRLIS","Function : PAIRLIS\nArguments : (keys data &optional (alist 'nil))\nReturn type : LIST");
     definitions.put("DIRECTORY","Function : DIRECTORY\nArguments : (pathname &key (all t) (check-for-subdirs t) (truenamep t) (follow-links t))\nReturn type : LIST");
     definitions.put("CIS","Function : CIS\nArguments : (theta)\nReturn type : (OR (COMPLEX SINGLE-FLOAT) (COMPLEX DOUBLE-FLOAT))");
     definitions.put("COUNT-IF-NOT","Function : COUNT-IF-NOT\nArguments : (test sequence &key from-end (start 0) end key)\nReturn type : (MOD 536870911)");
     definitions.put("NINTH","Function : NINTH\nArguments : (list)\nReturn type : T");
     definitions.put("RENAME-PACKAGE","Function : RENAME-PACKAGE\nArguments : (package name &optional (nicknames nil))\nReturn type : PACKAGE");
     definitions.put("STRING","Function : STRING\nArguments : (x)\nReturn type : BASE-STRING");
     definitions.put("PRINT-NOT-READABLE-OBJECT","Function : PRINT-NOT-READABLE-OBJECT\nArguments : \nReturn type : ");
     definitions.put("1-","Function : 1-\nArguments : (number)\nReturn type : NUMBER");
     definitions.put("SETQ","Function : SETQ\nArguments : (form context env)\nReturn type : T");
     definitions.put("MACRO-FUNCTION","Function : MACRO-FUNCTION\nArguments : (symbol &optional env)\nReturn type : (OR FUNCTION NULL)");
     definitions.put("REMOVE-DUPLICATES","Function : REMOVE-DUPLICATES\nArguments : (sequence &key (test #'eql) test-not (start 0) from-end end key)\nReturn type : (OR CONS NULL (SIMPLE-ARRAY * (*)))");
     definitions.put("METHOD-QUALIFIERS","Function : METHOD-QUALIFIERS\nArguments : \nReturn type : ");
     definitions.put("DELETE-FILE","Function : DELETE-FILE\nArguments : (file)\nReturn type : T");
     definitions.put("CDDR","Function : CDDR\nArguments : (list)\nReturn type : T");
     definitions.put("MULTIPLE-VALUE-SETQ","Macro : MULTIPLE-VALUE-SETQ\nArguments : (varlist value-form)\nReturn type : *");
     definitions.put("DEFSETF","Macro : DEFSETF\nArguments : (access-fn &rest rest)\nReturn type : ");
     definitions.put("PATHNAME-DEVICE","Function : PATHNAME-DEVICE\nArguments : (pathname &key (case :local))\nReturn type : (OR SIMPLE-BASE-STRING (MEMBER NIL :UNSPECIFIC))");
     definitions.put("CHAR-NOT-LESSP","Function : CHAR-NOT-LESSP\nArguments : (character &rest more-characters)\nReturn type : (MEMBER T NIL)");
     definitions.put("ECHO-STREAM-INPUT-STREAM","Function : ECHO-STREAM-INPUT-STREAM\nArguments : (structure)\nReturn type : T");
     definitions.put("LOWER-CASE-P","Function : LOWER-CASE-P\nArguments : (char)\nReturn type : (MEMBER T NIL)");
     definitions.put("/=","Function : /=\nArguments : (number &rest more-numbers)\nReturn type : (MEMBER T NIL)");
     definitions.put("PROG1","Macro : PROG1\nArguments : (result &rest body)\nReturn type : ");
     definitions.put("SQRT","Function : SQRT\nArguments : (number)\nReturn type : (OR SINGLE-FLOAT DOUBLE-FLOAT (COMPLEX SINGLE-FLOAT) (COMPLEX DOUBLE-FLOAT))");
     definitions.put("PROGN","Function : PROGN\nArguments : \nReturn type : ");
     definitions.put("TAGBODY","Function : TAGBODY\nArguments : (form context env)\nReturn type : LIST");
     definitions.put("HASH-TABLE-REHASH-THRESHOLD","Function : HASH-TABLE-REHASH-THRESHOLD\nArguments : (kernel::object)\nReturn type : (OR (SINGLE-FLOAT 0.0 1.0) (DOUBLE-FLOAT 0.0d0 1.0d0) (RATIONAL 0 1))");
     definitions.put("ENSURE-DIRECTORIES-EXIST","Function : ENSURE-DIRECTORIES-EXIST\nArguments : (pathspec &key verbose (mode 511))\nReturn type : (VALUES (OR BASE-STRING PATHNAME STREAM NULL) &OPTIONAL (MEMBER T NIL))");
     definitions.put("ENCODE-UNIVERSAL-TIME","Function : ENCODE-UNIVERSAL-TIME\nArguments : (second minute hour date month year &optional time-zone)\nReturn type : UNSIGNED-BYTE");
     definitions.put("PACKAGE-NAME","Function : PACKAGE-NAME\nArguments : (x)\nReturn type : (OR SIMPLE-BASE-STRING NULL)");
     definitions.put("NUMBERP","Function : NUMBERP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("ARRAY-ROW-MAJOR-INDEX","Function : ARRAY-ROW-MAJOR-INDEX\nArguments : (array &rest subscripts)\nReturn type : (MOD 536870911)");
     definitions.put("BIT-ANDC1","Function : BIT-ANDC1\nArguments : (bit-array-1 bit-array-2 &optional result-bit-array)\nReturn type : (ARRAY BIT)");
     definitions.put("CHAR-UPCASE","Function : CHAR-UPCASE\nArguments : (char)\nReturn type : BASE-CHAR");
     definitions.put("UPGRADED-COMPLEX-PART-TYPE","Function : UPGRADED-COMPLEX-PART-TYPE\nArguments : (spec &optional environment)\nReturn type : (OR CONS SYMBOL EXTENSIONS:INSTANCE)");
     definitions.put("EXPORT","Function : EXPORT\nArguments : (symbols &optional (package *package*))\nReturn type : (MEMBER T)");
     definitions.put("DOCUMENTATION","Function : DOCUMENTATION\nArguments : \nReturn type : ");
     definitions.put("TANH","Function : TANH\nArguments : (number)\nReturn type : (OR SINGLE-FLOAT DOUBLE-FLOAT (COMPLEX SINGLE-FLOAT) (COMPLEX DOUBLE-FLOAT))");
     definitions.put("STABLE-SORT","Function : STABLE-SORT\nArguments : (sequence predicate &key key)\nReturn type : SEQUENCE");
     definitions.put("UNEXPORT","Function : UNEXPORT\nArguments : (symbols &optional (package *package*))\nReturn type : (MEMBER T)");
     definitions.put("SIXTH","Function : SIXTH\nArguments : (list)\nReturn type : T");
     definitions.put("COS","Function : COS\nArguments : (number)\nReturn type : (OR (SINGLE-FLOAT -1.0 1.0)\n      (DOUBLE-FLOAT -1.0d0 1.0d0)\n      (COMPLEX SINGLE-FLOAT)\n      (COMPLEX DOUBLE-FLOAT))");
     definitions.put("PATHNAME-TYPE","Function : PATHNAME-TYPE\nArguments : (pathname &key (case :local))\nReturn type : (OR SIMPLE-BASE-STRING COMMON-LISP::PATTERN (MEMBER NIL :UNSPECIFIC :WILD))");
     definitions.put("FLOATP","Function : FLOATP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("FIFTH","Function : FIFTH\nArguments : (list)\nReturn type : T");
     definitions.put("ARRAY-RANK","Function : ARRAY-RANK\nArguments : (array)\nReturn type : (MOD 65529)");
     definitions.put("NOT","Function : NOT\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("REMPROP","Function : REMPROP\nArguments : (symbol indicator)\nReturn type : T");
     definitions.put("MAPC","Function : MAPC\nArguments : (function list &rest more-lists)\nReturn type : LIST");
     definitions.put("PPRINT-TAB","Function : PPRINT-TAB\nArguments : (kind colnum colinc &optional stream)\nReturn type : NULL");
     definitions.put("PPRINT-NEWLINE","Function : PPRINT-NEWLINE\nArguments : (kind &optional stream)\nReturn type : NULL");
     definitions.put("WITH-OUTPUT-TO-STRING","Macro : WITH-OUTPUT-TO-STRING\nArguments : ((var &optional string) &parse-body (forms decls))\nReturn type : ");
     definitions.put("SOME","Function : SOME\nArguments : (predicate first-sequence &rest more-sequences)\nReturn type : T");
     definitions.put("EQL","Function : EQL\nArguments : (obj1 obj2)\nReturn type : (MEMBER T NIL)");
     definitions.put("DEFCONSTANT","Macro : DEFCONSTANT\nArguments : (var val &optional doc)\nReturn type : ");
     definitions.put("ATANH","Function : ATANH\nArguments : (number)\nReturn type : (OR SINGLE-FLOAT DOUBLE-FLOAT (COMPLEX SINGLE-FLOAT) (COMPLEX DOUBLE-FLOAT))");
     definitions.put("LOGANDC1","Function : LOGANDC1\nArguments : (integer1 integer2)\nReturn type : INTEGER");
     definitions.put("NINTERSECTION","Function : NINTERSECTION\nArguments : (list1 list2 &key key (test #'eql testp) (test-not nil notp))\nReturn type : LIST");
     definitions.put("RETURN-FROM","Function : RETURN-FROM\nArguments : \nReturn type : ");
     definitions.put("CAAAR","Function : CAAAR\nArguments : (list)\nReturn type : T");
     definitions.put("PATHNAME","Function : PATHNAME\nArguments : (thing)\nReturn type : PATHNAME");
     definitions.put("MISMATCH","Function : MISMATCH\nArguments : (sequence1 sequence2 &key from-end (test #'eql) test-not (start1 0) end1\n   (start2 0) end2 key)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("ASINH","Function : ASINH\nArguments : (number)\nReturn type : (OR SINGLE-FLOAT DOUBLE-FLOAT (COMPLEX SINGLE-FLOAT) (COMPLEX DOUBLE-FLOAT))");
     definitions.put("WRITE-BYTE","Function : WRITE-BYTE\nArguments : (integer stream)\nReturn type : INTEGER");
     definitions.put("FUNCTIONP","Function : FUNCTIONP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("LOGXOR","Function : LOGXOR\nArguments : (&rest integers)\nReturn type : INTEGER");
     definitions.put("COERCE","Function : COERCE\nArguments : (object output-type-spec)\nReturn type : T");
     definitions.put("CADDAR","Function : CADDAR\nArguments : (list)\nReturn type : T");
     definitions.put("WITH-OPEN-FILE","Macro : WITH-OPEN-FILE\nArguments : ((var &rest open-args) &parse-body (forms decls))\nReturn type : ");
     definitions.put("VALUES-LIST","Function : VALUES-LIST\nArguments : (list)\nReturn type : *");
     definitions.put("SUBSETP","Function : SUBSETP\nArguments : (list1 list2 &key key (test #'eql testp) (test-not nil notp))\nReturn type : (MEMBER T NIL)");
     definitions.put("BIT-IOR","Function : BIT-IOR\nArguments : (bit-array-1 bit-array-2 &optional result-bit-array)\nReturn type : (ARRAY BIT)");
     definitions.put("SHADOW","Function : SHADOW\nArguments : (symbols &optional (package *package*))\nReturn type : (MEMBER T)");
     definitions.put("BIT-XOR","Function : BIT-XOR\nArguments : (bit-array-1 bit-array-2 &optional result-bit-array)\nReturn type : (ARRAY BIT)");
     definitions.put("SUBSTITUTE","Function : SUBSTITUTE\nArguments : (new old sequence &key from-end (test #'eql) test-not (start 0) count end key)\nReturn type : (OR CONS NULL (SIMPLE-ARRAY * (*)))");
     definitions.put("SYMBOL-FUNCTION","Function : SYMBOL-FUNCTION\nArguments : (variable)\nReturn type : FUNCTION");
     definitions.put("RANDOM-STATE-P","Function : RANDOM-STATE-P\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("ZEROP","Function : ZEROP\nArguments : (number)\nReturn type : (MEMBER T NIL)");
     definitions.put("ASH","Function : ASH\nArguments : (integer count)\nReturn type : INTEGER");
     definitions.put("BIT-NOT","Function : BIT-NOT\nArguments : (bit-array &optional result-bit-array)\nReturn type : (ARRAY BIT)");
     definitions.put("CLASS-OF","Function : CLASS-OF\nArguments : (x)\nReturn type : *");
     definitions.put("ENSURE-GENERIC-FUNCTION","Function : ENSURE-GENERIC-FUNCTION\nArguments : (function-specifier &rest all-keys &key environment &allow-other-keys)\nReturn type : *");
     definitions.put("NSUBST","Function : NSUBST\nArguments : (new old tree &key key (test #'eql testp) (test-not nil notp))\nReturn type : LIST");
     definitions.put("RPLACA","Function : RPLACA\nArguments : (x y)\nReturn type : LIST");
     definitions.put("STREAM-ELEMENT-TYPE","Function : STREAM-ELEMENT-TYPE\nArguments : (stream)\nReturn type : (OR CONS SYMBOL EXTENSIONS:INSTANCE)");
     definitions.put("NSUBSTITUTE-IF","Function : NSUBSTITUTE-IF\nArguments : (new test sequence &key from-end (start 0) end count key)\nReturn type : SEQUENCE");
     definitions.put("DEFUN","Macro : DEFUN\nArguments : (&whole source name lambda-list &parse-body (body decls doc))\nReturn type : ");
     definitions.put("GET","Function : GET\nArguments : (symbol indicator &optional (default nil))\nReturn type : T");
     definitions.put("WITH-OPEN-STREAM","Macro : WITH-OPEN-STREAM\nArguments : ((var stream) &parse-body (forms decls))\nReturn type : ");
     definitions.put("PPRINT-FILL","Function : PPRINT-FILL\nArguments : (stream list &optional (colon? t) atsign?)\nReturn type : NULL");
     definitions.put("TYPE-ERROR-EXPECTED-TYPE","Function : TYPE-ERROR-EXPECTED-TYPE\nArguments : \nReturn type : ");
     definitions.put("SUBLIS","Function : SUBLIS\nArguments : (alist tree &key key (test #'eql) (test-not nil notp))\nReturn type : LIST");
     definitions.put("UPGRADED-ARRAY-ELEMENT-TYPE","Function : UPGRADED-ARRAY-ELEMENT-TYPE\nArguments : (spec &optional environment)\nReturn type : (OR CONS SYMBOL EXTENSIONS:INSTANCE)");
     definitions.put("INCF","Macro : INCF\nArguments : (#:g1 &optional (delta 1) &environment #:g0)\nReturn type : ");
     definitions.put("ADJUST-ARRAY","Function : ADJUST-ARRAY\nArguments : (array dimensions &key (element-type (array-element-type array))\n   (initial-element nil initial-element-p) initial-contents fill-pointer\n   displaced-to displaced-index-offset)\nReturn type : ARRAY");
     definitions.put("NSET-EXCLUSIVE-OR","Function : NSET-EXCLUSIVE-OR\nArguments : (list1 list2 &key key (test #'eql testp) (test-not #'eql notp))\nReturn type : LIST");
     definitions.put("ACONS","Function : ACONS\nArguments : (key datum alist)\nReturn type : LIST");
     definitions.put("PACKAGE-ERROR-PACKAGE","Function : PACKAGE-ERROR-PACKAGE\nArguments : \nReturn type : ");
     definitions.put("NTH-VALUE","Macro : NTH-VALUE\nArguments : (n form)\nReturn type : ");
     definitions.put("REVERSE","Function : REVERSE\nArguments : (sequence)\nReturn type : (OR CONS NULL (SIMPLE-ARRAY * (*)))");
     definitions.put("COUNT-IF","Function : COUNT-IF\nArguments : (test sequence &key from-end (start 0) end key)\nReturn type : (MOD 536870911)");
     definitions.put("FIND","Function : FIND\nArguments : (item sequence &key from-end (test #'eql) test-not (start 0) end key)\nReturn type : T");
     definitions.put("GET-MACRO-CHARACTER","Function : GET-MACRO-CHARACTER\nArguments : (char &optional (rt *readtable*))\nReturn type : (VALUES (OR FUNCTION SYMBOL) (MEMBER T NIL))");
     definitions.put("NSTRING-DOWNCASE","Function : NSTRING-DOWNCASE\nArguments : (string &key (start 0) end)\nReturn type : BASE-STRING");
     definitions.put("DEFINE-COMPILER-MACRO","Macro : DEFINE-COMPILER-MACRO\nArguments : (name lambda-list &body body)\nReturn type : ");
     definitions.put("FILL","Function : FILL\nArguments : (sequence item &key (start 0) end)\nReturn type : SEQUENCE");
     definitions.put("FUNCTION-KEYWORDS","Function : FUNCTION-KEYWORDS\nArguments : \nReturn type : ");
     definitions.put("WRITE-STRING","Function : WRITE-STRING\nArguments : (string &optional (stream *standard-output*) &key (start 0) end)\nReturn type : BASE-STRING");
     definitions.put("CHAR","Function : CHAR\nArguments : (string index)\nReturn type : BASE-CHAR");
     definitions.put("LOGICAL-PATHNAME","Function : LOGICAL-PATHNAME\nArguments : (pathspec)\nReturn type : LOGICAL-PATHNAME");
     definitions.put("NTH","Function : NTH\nArguments : (n list)\nReturn type : T");
     definitions.put("PATHNAME-VERSION","Function : PATHNAME-VERSION\nArguments : (pathname)\nReturn type : (OR INTEGER (MEMBER NIL :NEWEST :WILD :UNSPECIFIC))");
     definitions.put("KEYWORDP","Function : KEYWORDP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("BIT-VECTOR-P","Function : BIT-VECTOR-P\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("BROADCAST-STREAM-STREAMS","Function : BROADCAST-STREAM-STREAMS\nArguments : (structure)\nReturn type : T");
     definitions.put("READ-LINE","Function : READ-LINE\nArguments : (&optional (stream *standard-input*) (eof-errorp t) eof-value recursive-p)\nReturn type : (VALUES T (MEMBER T NIL))");
     definitions.put("LISP-IMPLEMENTATION-TYPE","Function : LISP-IMPLEMENTATION-TYPE\nArguments : \nReturn type : SIMPLE-BASE-STRING");
     definitions.put("CONSP","Function : CONSP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("MAKE-HASH-TABLE","Function : MAKE-HASH-TABLE\nArguments : (&key (test 'eql) (size 65) (rehash-size 1.5) (rehash-threshold 1) (weak-p nil))\nReturn type : HASH-TABLE");
     definitions.put("LOOP","Macro : LOOP\nArguments : (&environment env &rest keywords-and-forms)\nReturn type : ");
     definitions.put("DENOMINATOR","Function : DENOMINATOR\nArguments : (number)\nReturn type : INTEGER");
     definitions.put("WITH-COMPILATION-UNIT","Macro : WITH-COMPILATION-UNIT\nArguments : (options &body body)\nReturn type : ");
     definitions.put("PLUSP","Function : PLUSP\nArguments : (number)\nReturn type : (MEMBER T NIL)");
     definitions.put("MAKE-RANDOM-STATE","Function : MAKE-RANDOM-STATE\nArguments : (&optional state)\nReturn type : RANDOM-STATE");
     definitions.put("DESCRIBE","Function : DESCRIBE\nArguments : (x &optional stream)\nReturn type : (VALUES)");
     definitions.put("CASE","Macro : CASE\nArguments : (keyform &body cases)\nReturn type : ");
     definitions.put("FRESH-LINE","Function : FRESH-LINE\nArguments : (&optional (stream *standard-output*))\nReturn type : (MEMBER T NIL)");
     definitions.put("NCONC","Function : NCONC\nArguments : (&rest lists)\nReturn type : T");
     definitions.put("PROBE-FILE","Function : PROBE-FILE\nArguments : (pathname)\nReturn type : (OR PATHNAME NULL)");
     definitions.put("FILE-NAMESTRING","Function : FILE-NAMESTRING\nArguments : (pathname)\nReturn type : (OR NULL SIMPLE-BASE-STRING)");
     definitions.put("MAKE-PATHNAME","Function : MAKE-PATHNAME\nArguments : (&key host (device nil devp) (directory nil dirp) (name nil namep)\n   (type nil typep) (version nil versionp) defaults (case :local))\nReturn type : PATHNAME");
     definitions.put("HASH-TABLE-P","Function : HASH-TABLE-P\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("DEFINE-MODIFY-MACRO","Macro : DEFINE-MODIFY-MACRO\nArguments : (name lambda-list function &optional doc-string)\nReturn type : ");
     definitions.put("NO-APPLICABLE-METHOD","Function : NO-APPLICABLE-METHOD\nArguments : \nReturn type : ");
     definitions.put("EVERY","Function : EVERY\nArguments : (predicate first-sequence &rest more-sequences)\nReturn type : (MEMBER T NIL)");
     definitions.put("RATIONAL","Function : RATIONAL\nArguments : (x)\nReturn type : RATIONAL");
     definitions.put("EVENP","Function : EVENP\nArguments : (number)\nReturn type : (MEMBER T NIL)");
     definitions.put("FORMAT","Function : FORMAT\nArguments : (destination control-string &rest format-arguments)\nReturn type : (OR BASE-STRING NULL)");
     definitions.put("UNLESS","Macro : UNLESS\nArguments : (test &rest forms)\nReturn type : ");
     definitions.put("MAKE-STRING-INPUT-STREAM","Function : MAKE-STRING-INPUT-STREAM\nArguments : (string &optional (start 0) (end (length string)))\nReturn type : STREAM");
     definitions.put("TWO-WAY-STREAM-OUTPUT-STREAM","Function : TWO-WAY-STREAM-OUTPUT-STREAM\nArguments : (structure)\nReturn type : T");
     definitions.put("SLOT-BOUNDP","Function : SLOT-BOUNDP\nArguments : (object slot-name)\nReturn type : *");
     definitions.put("DRIBBLE","Function : DRIBBLE\nArguments : (&optional pathname &key (if-exists :append))\nReturn type : (VALUES)");
     definitions.put("STREAMP","Function : STREAMP\nArguments : (stream)\nReturn type : (MEMBER T NIL)");
     definitions.put("MACHINE-INSTANCE","Function : MACHINE-INSTANCE\nArguments : \nReturn type : SIMPLE-BASE-STRING");
     definitions.put("SYMBOLP","Function : SYMBOLP\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("FUNCALL","Function : FUNCALL\nArguments : (function &rest arguments)\nReturn type : *");
     definitions.put("COMPILED-FUNCTION-P","Function : COMPILED-FUNCTION-P\nArguments : (object)\nReturn type : (MEMBER T NIL)");
     definitions.put("STRING>","Function : STRING>\nArguments : (string1 string2 &key (start1 0) end1 (start2 0) end2)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("STANDARD-CHAR-P","Function : STANDARD-CHAR-P\nArguments : (char)\nReturn type : (MEMBER T NIL)");
     definitions.put("WRITE-LINE","Function : WRITE-LINE\nArguments : (string &optional\n          (stream *standard-output*)\n          &key\n          (start 0)\n          (end (length string)))\nReturn type : BASE-STRING");
     definitions.put("LOGNOR","Function : LOGNOR\nArguments : (integer1 integer2)\nReturn type : INTEGER");
     definitions.put("SUBST-IF-NOT","Function : SUBST-IF-NOT\nArguments : (new test tree &key key)\nReturn type : LIST");
     definitions.put("WITH-STANDARD-IO-SYNTAX","Macro : WITH-STANDARD-IO-SYNTAX\nArguments : (&body body)\nReturn type : ");
     definitions.put("ASSOC-IF-NOT","Function : ASSOC-IF-NOT\nArguments : (predicate alist &key key)\nReturn type : LIST");
     definitions.put("FLOAT-DIGITS","Function : FLOAT-DIGITS\nArguments : (f)\nReturn type : (MOD 54)");
     definitions.put("MAKE-SEQUENCE","Function : MAKE-SEQUENCE\nArguments : (type length &key (initial-element nil iep))\nReturn type : (OR CONS NULL (SIMPLE-ARRAY * (*)))");
     definitions.put("FUNCTION-LAMBDA-EXPRESSION","Function : FUNCTION-LAMBDA-EXPRESSION\nArguments : (fun)\nReturn type : (VALUES T (MEMBER T NIL) T)");
     definitions.put("NAME-CHAR","Function : NAME-CHAR\nArguments : (name)\nReturn type : (OR BASE-CHAR NULL)");
     definitions.put("COMPLEMENT","Function : COMPLEMENT\nArguments : (function)\nReturn type : FUNCTION");
     definitions.put("NRECONC","Function : NRECONC\nArguments : (x y)\nReturn type : LIST");
     definitions.put("USE-VALUE","Function : USE-VALUE\nArguments : (value &optional condition)\nReturn type : *");
     definitions.put("STRING-GREATERP","Function : STRING-GREATERP\nArguments : (string1 string2 &key (start1 0) end1 (start2 0) end2)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("STRING<","Function : STRING<\nArguments : (string1 string2 &key (start1 0) end1 (start2 0) end2)\nReturn type : (OR (MOD 536870911) NULL)");
     definitions.put("GENTEMP","Function : GENTEMP\nArguments : (&optional (prefix \"T\") (package *package*))\nReturn type : SYMBOL");
     definitions.put("SEVENTH","Function : SEVENTH\nArguments : (list)\nReturn type : T");
     definitions.put("NSTRING-UPCASE","Function : NSTRING-UPCASE\nArguments : (string &key (start 0) end)\nReturn type : BASE-STRING");
     definitions.put("SCHAR","Function : SCHAR\nArguments : (string index)\nReturn type : BASE-CHAR");
     definitions.put("MAPCAR","Function : MAPCAR\nArguments : (function list &rest more-lists)\nReturn type : LIST");
     definitions.put("TYPECASE","Macro : TYPECASE\nArguments : (keyform &body cases)\nReturn type : ");
     definitions.put("PATHNAME-DIRECTORY","Function : PATHNAME-DIRECTORY\nArguments : (pathname &key (case :local))\nReturn type : LIST");
     definitions.put("EQUALP","Function : EQUALP\nArguments : (x y)\nReturn type : (MEMBER T NIL)");
     definitions.put("LABELS","Function : LABELS\nArguments : (form context old-env)\nReturn type : LIST");
     definitions.put("DEFSTRUCT","Macro : DEFSTRUCT\nArguments : (name-and-options &rest slot-descriptions)\nReturn type : ");
     definitions.put("STRING=","Function : STRING=\nArguments : (string1 string2 &key (start1 0) end1 (start2 0) end2)\nReturn type : (MEMBER T NIL)");
     definitions.put("TREE-EQUAL","Function : TREE-EQUAL\nArguments : (x y &key (test #'eql) test-not)\nReturn type : (MEMBER T NIL)");
     definitions.put("FORMATTER","Macro : FORMATTER\nArguments : (control-string)\nReturn type : ");
     definitions.put("MACROEXPAND-1","Function : MACROEXPAND-1\nArguments : (form &optional env)\nReturn type : (VALUES T &OPTIONAL (MEMBER T NIL))");
     definitions.put("RPLACD","Function : RPLACD\nArguments : (x y)\nReturn type : LIST");
     definitions.put("LOAD-LOGICAL-PATHNAME-TRANSLATIONS","Function : LOAD-LOGICAL-PATHNAME-TRANSLATIONS\nArguments : (host)\nReturn type : (MEMBER T NIL)");
     definitions.put("DEFPACKAGE","Macro : DEFPACKAGE\nArguments : (package &rest options)\nReturn type : ");
     definitions.put("STRING-CAPITALIZE","Function : STRING-CAPITALIZE\nArguments : (string &key (start 0) end)\nReturn type : SIMPLE-BASE-STRING");
     definitions.put("STRING-NOT-EQUAL","Function : STRING-NOT-EQUAL\nArguments : (string1 string2 &key (start1 0) end1 (start2 0) end2)\nReturn type : (OR (MOD 536870911) NULL)");
  }
 public static String getSyntaxDescription(String name)
 {
  return (String) definitions.get(name);
 }
}
