/*
 * SavePoint.java
 *
 * Created on March 31, 2001, 2:44 PM
 */

package IDE.LispSyntax;

import IDE.CodeEditor.*;
import IDE.CodeEditor.Parser.*;

/**
 * Contains a savepoint of the modifications made to list and listelements
 * @author  marc
 * @version
 */
public class SavePoint
{
    private LispListElement list;
    private CodeElementIterator listelements;
    private int saveindexiterator;
    private CodeElementVector savevariables;
    private CodeElementVector savekeywords;
    private CodeElementVector savecallers;
    /** Creates new SavePoint */
    public SavePoint(LispListElement _list,CodeElementIterator _listelements)
    {
        list=_list;
        listelements=_listelements;
        saveindexiterator=listelements.getPosition();
        savevariables=list.getVariables();
        savekeywords=list.getKeywords();
        savecallers=list.getCallers();
    }
    /** Rollback to this savepoint */
    public void rollback()
    {
        listelements.setPosition(saveindexiterator);
        list.setVariables(savevariables);
        list.setKeywords(savekeywords);
        list.setCallers(savecallers);
    }
}
