/*
 * IQuestion.java
 *
 * Created on September 16, 2001, 3:48 PM
 */

package IDE.Messaging;

import IDE.Recording.*;

/**
 * Interface that must be implemented by every class that wants to ask input from the user
 * via the instruction field
 * @author  marc 
 * @version 
 */
public interface IQuestion extends IRecordable
{
    /** Return the initial value for the input field */
    public String initialText();
    /** Return the quide text for the questioner */
    public String guideText();
    /** Will be called by the InstructionField everytime the user types in something in the instruction field */
    public void newAnswer(String answer);
    /** Will be called by the InstructonField if the user has confirmed its answer by pressing return*/
    public void completeAnswer(String answer);
    /**  Will be called whenever a key is pressed on the input field */
    public void keyPressed(int keycode,int  modifiers);
    /** Called to initialize the Question during replaying */
    public boolean restoreState();
    /** Called to initialize the initialText */
    public void setInitialText(String text);
    /** Called to inidicate that we abort the input, returns true if aborting is allowed */
    public boolean abort();
}
