/*
 * LineNumberQuestion.java
 *
 * Created on March 31, 2002, 9:38 AM
 */

package IDE.Messaging;


/**
 *
 * @author  marc
 */
public abstract class NumberQuestion implements IQuestion
{
    /** Guide text to be used */
    private String guidetext="";
    /** Creates a new instance of LineNumberQuestion */
    public NumberQuestion(String guidetext)
    {
        this.guidetext=guidetext;
    }
    
    /** Will be called by the InstructonField if the user has confirmed its answer by pressing return */
    public void completeAnswer(String answer)
    {
        // If string represent a whole number call processEnter, otherwise do nothing
        try
        {
            processEnter(Integer.parseInt(answer));
        }
        catch (NumberFormatException e)
        {
            MessageHandler.say("Input must be a whole number");
        };
    }
    
    /** Return the quide text for the questioner  */
    public String guideText()
    {
        return guidetext;
    }
    
    /** Return the initial value for the input field  */
    public String initialText()
    {
        return "";
    }
    
    /** Will be called whenever a key is pressed on the input field  */
    public void keyPressed(int keycode,int modifiers)
    {
    }  
    /** Will be called by the InstructionField everytime the user types in something in the instruction field */
    public void newAnswer(String answer)
    {
    }
    /** Restore the state */
    public boolean restoreState()
    {
        return true;
    }
    /** Set the initial Text */
    public void setInitialText(String text)
    {
    }
    /** Method to be called when enter is pressed in the instruction field */
    public abstract void processEnter(int nr);
    
    /** Called to inidicate that we abort the input, returns true if aborting is allowed  */
    public boolean abort()
    {
        return true;
    }
    
}
