/*
 * LineNumberQuestion.java
 *
 * Created on March 31, 2002, 9:38 AM
 */

package IDE.Messaging;

import IDE.*;

/**
 *
 * @author  marc
 */
public abstract class StringQuestion implements IQuestion
{
    /** Avoid calling process enter twice */
    private boolean processenter=true;
    /** Guide text to be used */
    private String guidetext="";
    /** Creates a new instance of LineNumberQuestion */
    public StringQuestion(String guidetext)
    {
        this.guidetext=guidetext;
    }
    
    /** Will be called by the InstructonField if the user has confirmed its answer by pressing return */
    public void completeAnswer(String answer)
    {
        if (processenter)
        {
            processenter=false;
            processEnter(answer);
            if (Main.currentEditor()!=null)
                Main.currentEditor().requestFocus();
        };
    }
    
    /** Return the quide text for the questioner  */
    public String guideText()
    {
        return guidetext;
    }
    
    /** Return the initial value for the input field  */
    public String initialText()
    {
        return "";
    }
    
    /** Will be called whenever a key is pressed on the input field  */
    public void keyPressed(int keycode,int modifiers)
    {
    }  
    /** Will be called by the InstructionField everytime the user types in something in the instruction field */
    public void newAnswer(String answer)
    {
    }
    /** Restore the state */
    public boolean restoreState()
    {
        processenter=true;
        return true;
    }
    /** Set the initial Text */
    public void setInitialText(String text)
    {
    }
    /** Abort the string question */
    public boolean abort()
    {
        if (processenter)
        {
            processenter=false;
            processEnter(null);
        };
        return true;
    }
    /** Method to be called when enter is pressed in the instruction field */
    public abstract void processEnter(String text);
}
