/*
 * Created on Aug 30, 2003
 */
 
package IDE.Project;

import javax.swing.text.*;
/**
 * @author marc
 * Abstract class to implement part of a defiinition
 */
public abstract class AbstractDefinition implements IDefinition
{
	/** The begin position in a open document of the document, is null if the document is closed */
	private Position beginPosition;
	/** The offset  in a closed file of the definition (-1) if file is open */
	private int beginOffset;
	/** The length of the defining text */
	private int length;
	/** Path of the file containing this definition */
	private String path;
	public AbstractDefinition()
	{
		this.path=FileReference.getPath();
		beginPosition=null;
		length=-1;
		beginOffset=-1;
	}
	public AbstractDefinition(Position begin,int length)
	{
		this.path=FileReference.getPath();
		this.beginPosition=begin;
		this.length=length;
		this.beginOffset=-1;
		// Register this definition
		FileReference.registerDefinition(this);
	}
	/* (non-Javadoc)
	 * @see IDE.Project.IDefinition#getOffset()
	 */
	public int getOffset() 
	{
		if (beginPosition==null)
			return beginOffset;
		else
			return beginPosition.getOffset();
	}

	/* (non-Javadoc)
	 * @see IDE.Project.IDefinition#getLength()
	 */
	public int getLength() 
	{
		return length;
	}
	/* (non-Javadoc)
	 * @see IDE.Project.IDefinition#close()
	 */
	public void close() 
	{
		if (beginPosition!=null)
		{
			beginOffset=beginPosition.getOffset();
			beginPosition=null;
		};
	}
	/* (non-Javadoc)
	 * @see IDE.Project.IDefinition#getPath()
	 */
	public String getPath() 
	{
		return path;
	}
}
