/*
 * Created on Sep 15, 2003
 */
 
package IDE.Project;

import java.util.Comparator;

/**
 * @author marc
 *
 */
public class DefinitionNameComparator implements Comparator 
{
	/** The only instance of this class */
	public static  final DefinitionNameComparator comparator=new DefinitionNameComparator();
	private DefinitionNameComparator()
	{
		
	}
	/* (non-Javadoc)
	 * @see java.util.Comparator#compare(java.lang.Object, java.lang.Object)
	 */
	public int compare(Object o1, Object o2) 
	{
		String[] packageSymbol1=getPackageSymbol((String) o1);
		String[] packageSymbol2=getPackageSymbol((String) o2);
		// First compare the symbol name and then the package name
		int c;
		if ((c=packageSymbol1[1].compareTo(packageSymbol2[1]))==0)
		{
				return packageSymbol1[0].compareTo(packageSymbol2[0]);
		}
		else
		{
			return c;
		}
	}
	/**
	 * Finds the package and symbol name embedded in the given name
	 * @param name The name of the symbol
	 * @return a array of two string containing the package name ("" if no package is found) and the symbol name
	 */
	private String[] getPackageSymbol(String name)
	{
		// The symbols are either of the form 
		//   name
		//   package:name
		//   package::name 
		String[] packageSymbol=new String[2];
		int i;
		int m=name.length();
		StringBuffer buffer=new StringBuffer();
		char c;
		for (i=0;i<m && (c=name.charAt(i))!=':';i++)
			buffer.append(c);
		if (i<m)
		{
			// Package name found
			packageSymbol[0]=buffer.toString();
			buffer=new StringBuffer();
			// Skipp the ::
			for (;i<m && name.charAt(i)==':';i++);
			// Get the name of the symbol
			packageSymbol[1]=name.substring(i,m);
		}
		else
		{
			// No package name found
			packageSymbol[0]="";
			packageSymbol[1]=name;
		}
		return packageSymbol;
	}
}
