/*
 * Created on Aug 24, 2003
 */
 
package IDE.Project;
import javax.swing.text.*;
/**
 * @author marc
 * Contains the file info of a definition
 */
public class FileDefinitionInfo implements Comparable
{
	/** Path of file info */
	private String path;
	/** Begin position of the text definining this definition in a open document */
	private Position begin;
	/** Offset in the file of the begin position of the text defining this definition */
	private int offset;
	/** Length of the defining text */
	private int length;
	
	public FileDefinitionInfo(String path,Position begin,int length)
	{
		this.path=path;
		this.begin=begin;
		this.length=length;
	};
	/**
	 * Called when the open document associated with this fileinfo is closed
	 */
	public void close()
	{
		offset=begin.getOffset();
		begin=null;
	}
	/**
	 * Returns the beginoffset in document or file 
	 * @return The begin offset
	 */
	public int getOffset()
	{
		if (begin==null)
			return offset;
		else
			return begin.getOffset();
	}
	/**
	 * Returns the length of the defining text
	 * @return
	 */
	public int getLength()
	{
		return length;
	}
	/**
	 * Return the path
	 * @return The path of the file this referers to
	 */
	public String getPath()
	{
		return path;
	}
	/* (non-Javadoc)
	 * @see java.lang.Comparable#compareTo(java.lang.Object)
	 */
	public int compareTo(Object o) 
	{
		int c=path.compareTo(((FileDefinitionInfo) o).path);
		if (c==0)
			return getOffset()-((FileDefinitionInfo) o).getOffset();
		else
			return c;
	}
}
