/*
 * Created on Aug 17, 2003
 */
 
package IDE.Project;

/**
 * @author marc
 * Represents a definition in a source file
 */
public interface IDefinition
{
	/**
	 * Gets the offset of the start of the definition in the source file
	 * @return The offset of the start of the definitioin in the source file
	 */
	public abstract int getOffset();
	/**
	 * Gets the length of the defining text in the source file
	 * @return The length of the defining text in the source file
	 */
	public abstract int getLength();
	/**
	 * Gets called whenever the source file is not valid anymore to undo the definition
	 */
	public abstract void undoDefinition();
	/**
	 * Gets called when the source file is closed
	 */
	public abstract void close();
	/**
	 * Get the path of the source file containing this definition
	 * @return The path of the source file containing this definition
	 */
	public abstract String getPath();
}
