/*
 * Created on Jul 15, 2003
 */
 
package IDE.Project;
import javax.swing.ImageIcon;
import javax.swing.JPopupMenu;
import javax.swing.tree.*;
import java.awt.event.*;
/**
 * @author marc
 * Represents a TreeNode in the RepositoryExplorer tree
 */
public interface IExplorerNode  extends TreeNode,Comparable
{
	/** Destroy this Explorer node (removes it from its parent) */
	public abstract void DestroyNode();
	/** Add this Explorer node to its parent */
	public abstract void addChild(IExplorerNode child);
   /** Set the paren of this node */
   public abstract void setParent(IExplorerNode parent);
	/** Get the name of this node */
   public abstract String getName();
   /** Get the name used in displaying the node in the tree */
   public abstract String getDisplayName();
   /** Remove the child from this node */
   public abstract void removeChild(IExplorerNode child);
   /** Check if node contains the given child node, with name name */
   public abstract int getIndexForNode(INode node);
   /** Returns the icon to display in the tree */
   public abstract ImageIcon getIcon();
   /** Returns the tooltip of this node */
   public abstract String getToolTip();
   /** Get the Popup menu of this node */
   public abstract JPopupMenu getPopupMenu(MouseEvent e);
   /** Called when we double click on a node */
   public abstract void doubleClick();
   /** Reset the INode associated with this IExplorerNode */
   public abstract void resetINode(INode node);
}
