/*
 * Created on Aug 31, 2003
 */
 
package IDE.Project;

import javax.swing.*;
import java.util.*;
/**
 * @author marc
 * Represents a LispType such as a DEFUN,DEFMACRO, ....
 */
public class LispTypeNode implements INode 
{
	// Limit the number of type nodes created
	private static SortedMap nameToTypeNode=new TreeMap();
	/** The name of the type */
	private String type;
	private LispTypeNode(String type)
	{
		this.type=type.toLowerCase();
	}
	/**
	 * Create a new type node ensuring that there exist only one type
	 * @param type Name of the type to create a type node for
	 * @return
	 */
	public static LispTypeNode getOrCreateType(String type)
	{
		LispTypeNode typenode=(LispTypeNode) nameToTypeNode.get(type);
		if (typenode==null)
		{
			typenode=new LispTypeNode(type);
			nameToTypeNode.put(type,typenode);
		};
		return typenode;
	}
	/* (non-Javadoc)
	 * @see IDE.Project.INode#getUniqueName()
	 */
	public String getUniqueName() 
	{
		return type;
	}

	/* (non-Javadoc)
	 * @see IDE.Project.INode#getDisplayName()
	 */
	public String getDisplayName() 
	{
		return type;
	}

	/* (non-Javadoc)
	 * @see IDE.Project.INode#getIconFile()
	 */
	public String getIconFile() 
	{
		return "big_"+type+".png";
	}

	/* (non-Javadoc)
	 * @see IDE.Project.INode#getPopupMenu()
	 */
	public JPopupMenu getPopupMenu() 
	{
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see IDE.Project.INode#getTooltip()
	 */
	public String getTooltip() 
	{
		return "Represents the creation of a "+type;
	}
	/* (non-Javadoc)
	 * @see IDE.Project.INode#doubleClick()
	 */
	public void doubleClick() {
		// TODO Auto-generated method stub
		
	}

}
