/*
 * MacroNode.java
 *
 * Created on May 9, 2002, 12:56 PM
 */

package IDE.Recording;

import java.awt.event.*;

/**
 * Represents a macro node of a key event
 * @author  marc
 */
public class MacroKeyNode extends AbstractMacroNode
{
    RecordKeyEvent event;
    /** Creates a new instance of MacroNode */
    public MacroKeyNode(RecordKeyEvent event)
    {
        super("");
        this.event=event;
    }
    /** Get the name of this node  */
    public String getName()
    {
        String keystring;
        if (event.getKeychar()==KeyEvent.CHAR_UNDEFINED)
            keystring=KeyEvent.getKeyText(event.getKeychar());
        else if (event.getModifiers()!=0)
            keystring=KeyEvent.getKeyModifiersText(event.getModifiers())+"-"+event.getKeychar();
        else 
            keystring=""+event.getKeychar();
        if (event.getType()==RecordKeyEvent.KeyPressed)
            return "Key Pressed \""+keystring;
        else if (event.getType()==RecordKeyEvent.KeyTyped)
            return "Key Typed \""+keystring;
        else
            return "Unknown Key Event \""+keystring;
    }
    /** Indicates this is not a leaf */
    public boolean isLeaf()
    {
        return true;
    }
}