/*
 * MacroNode.java
 *
 * Created on May 9, 2002, 12:56 PM
 */

package IDE.Recording;

import IDE.Messaging.*;
import IDE.Configuration.*;

/**
 * Represents a macro node for a question
 * @author  marc
 */
public class MacroQuestionNode extends AbstractMacroNode
{
    RecordQuestionEvent event;
    /** Creates a new instance of MacroNode */
    public MacroQuestionNode(RecordQuestionEvent event)
    {
        super("");
        this.event=event;
    }
    /** Get the name of this node  */
    public String getName()
    {
        String type;
        String keystring=(event.getKeyCode()==0)? "" : (new KeySequence(event.getKeyCode(),event.getModifiers())).toString();
        switch (event.getType())
        {
            case InstructionField.completeAnswer:
                type="Answer Completed";
                break;
            case InstructionField.keyPressed:
                type="Special Key Pressed";
                break;
            case InstructionField.newAnswer:
                type="Answer Modified";
                break;
            case InstructionField.initialText:
                type="Initial Question";
                break;
            default:
                type="Unknown";
                break;
        };
        return type+" \""+event.getText()+"\" "+keystring;
    }
    /** Indicates this is not a leaf */
    public boolean isLeaf()
    {
        return true;
    }
}