/*
 * NodeTreeCellRenderer.java
 *
 * Created on May 30, 2001, 8:54 PM
 */

package IDE.Recording;


import java.awt.*;
import javax.swing.*;
import javax.swing.tree.*;

import IDE.Configuration.*;

/**
 *
 * @author  marc
 * @version
 */
public class MacroRenderer extends JLabel implements TreeCellRenderer
{
    /** Define the icons for the different types of nodes */
    private static final ImageIcon iconRoot=Configuration.getIcon("macros.png");
    private static final ImageIcon iconMacroNode=Configuration.getIcon("macro.png");
    private static final ImageIcon iconActionNode=Configuration.getIcon("action.png");
    private static final ImageIcon iconQuestionNode=Configuration.getIcon("question.png");
    private static final ImageIcon iconKeyNode=Configuration.getIcon("key.png");
    /** Creates new NodeTreeCellRenderer */
    public MacroRenderer()
    {
    }
    /** Get the image file name */
    private String imageFile(String filename)
    {
        String separator=System.getProperty("file.separator");
        String result= Configuration.installDirectory+separator+"java"+separator+"image"+separator+filename;
        return result;
    }
    public Component getTreeCellRendererComponent(JTree tree,
    Object value,boolean selected, boolean expanded, boolean leaf, int row, boolean hasfocus)
    {
        setFont(Configuration.macrosFont);
        if (selected)
        {
            setOpaque(true);
            setBackground(Configuration.colorSelected);
            setForeground(Color.black);
        }
        else
        {
            setOpaque(false);
            setForeground(Color.black);
        };
        if (value instanceof AbstractMacroNode)
        {
            setText(((AbstractMacroNode) value).getName());
            if (value instanceof MacroNode)
            {
                setIcon(iconMacroNode);
            }
            else if (value instanceof MacroActionNode)
            {
                setIcon(iconActionNode);
            }
            else if (value instanceof MacroQuestionNode)
            {
                setIcon(iconQuestionNode);
            }
            else if (value instanceof MacroKeyNode)
            {
                setIcon(iconKeyNode);
            }
            else if (value instanceof MacroInsertDeadKey)
            {
                setIcon(iconKeyNode);
            }
        }
        else
        {
            setText("All Macros and Lisp Scripts");
            setIcon(iconRoot);
        };
        return this;
    }
}
