/*
 * RecordKeyEvent.java
 *
 * Created on December 15, 2002, 10:16 AM
 */

package IDE.Recording;
import IDE.CodeEditor.*;
import java.awt.event.*;

/**
 * Class to embed everything of a key event with the excecption of the key source
 * @author  marc
 */
public class RecordKeyEvent
{
    /** Constant to indicate if this is a KeyPressed or KeyTyped event */
    /** Indicates if this is a KeyTyped */
    public final static int KeyTyped=0;
    /** Indicates if this is a KeyPressed */
    public final static int KeyPressed=1;
    /** id of key event */
    private int id;
    /** when of key event */
    private long when;
    /** modifiers of key event */
    private int modifiers;
    /** keycode of key event */
    private int keycode;
    /** keychar of keyvent */
    private char keychar;
    /** location of keyevent */
    private int keylocation;
    /** Type of event */
    private int type;
    /** Creates a new instance of RecordKeyEvent */
    public RecordKeyEvent(int id,long when,int modifiers,int keycode,char keychar,int keylocation,int type)
    {
        this.id=id;
        this.when=when;
        this.modifiers=modifiers;
        this.keycode=keycode;
        this.keychar=keychar;
        this.keylocation=keylocation;
        this.type=type;
    }
    /** Given a code editor creates a new keyevent for this code editor */
    public KeyEvent createKeyEvent(CodeEditor editor)
    {
        return new KeyEvent(editor,id,when,modifiers,keycode,keychar,keylocation);
    }
    /** Get the id */
    public int getId()
    {
        return id;
    }
    /** Get the when */
    public long getWhen()
    {
        return when;
    }
    /** Get the modifiers */
    public int getModifiers()
    {
        return modifiers;
    }
    /** Get the keycode */
    public int getKeycode()
    {
        return keycode;
    }
    /** Get the keychar */
    public char getKeychar()
    {
        return keychar;
    }
    /** Get the keylocation */
    public int getKeylocation()
    {
        return keylocation;
    }
    /** Get the type of the event */
    public int getType()
    {
        return type;
    }
}
