/*
 * RecordQuestionEvent.java
 *
 * Created on May 9, 2002, 1:54 PM
 */

package IDE.Recording;

import IDE.Messaging.*;

/**
 * Represents a record of a question event
 * @author  marc
 */
/** To represent a question */
public class RecordQuestionEvent
{
    /** Current text in question */
    private String text;
    /** Type of action */
    private int type;
    /** KeyCode event*/
    private int keycode;
    /** Modifiers */
    private int modifiers;
    /** Question asked */
    private IQuestion question;
    
    public RecordQuestionEvent(IQuestion question,int keycode,int modifiers,String text,int type)
    {
        this.text=text;
        this.type=type;
        this.question=question;
        this.keycode=keycode;
        this.modifiers=modifiers;
    }
    public IQuestion getQuestion()
    {
        return question;
    }
    public int  getKeyCode()
    {
        return keycode;
    }
    public int getModifiers()
    {
        return modifiers;
    }
    public int getType()
    {
        return type;
    }
    public String getText()
    {
        return text;
    }
}
