/*
 * NodeTreeCellRenderer.java
 *
 * Created on May 30, 2001, 8:54 PM
 */

package IDE.Watch;


import java.awt.*; 
import javax.swing.*;
import javax.swing.tree.*;

import IDE.Configuration.*;

/**
 * TreeCellRenderer of a watch node
 * @author  marc
 * @version
 */
public class WatchRenderer extends JLabel implements TreeCellRenderer
{
    /** Define the icons for the different types of nodes */
    private static final ImageIcon iconWatchTop=Configuration.getIcon("watch_root.png");
    private static final ImageIcon iconWatchUnknown=Configuration.getIcon("watch_unknown.png");
    
    /** Creates new NodeTreeCellRenderer */
    public WatchRenderer()
    {
    }
    public Component getTreeCellRendererComponent(JTree tree,
    Object value,boolean selected, boolean expanded, boolean leaf, int row, boolean hasfocus)
    {
        setFont(Configuration.watchesFont);
        if (selected)
        {
            setOpaque(true);
            setBackground(Configuration.colorSelected);
            setForeground(Color.black);
        }
        else
        {
            setOpaque(false);
            setForeground(Color.black);
        }
        if (value instanceof AbstractWatchNode)
        {
            AbstractWatchNode node=(AbstractWatchNode) value;
            setText(node.getDisplayString());
            setIcon(node.getIcon());
        }
        else 
        {
            setText(value.toString());
            setIcon(iconWatchTop);
        }
        return this;
    }  
}
