/*
 * CodePaneState.java
 *
 * Created on March 30, 2002, 3:36 PM
 */

package IDE.WorkArea;

import IDE.CodeEditor.Parser.*;

/**
 * Used to store the state of a code pane in a workpane
 * @author  marc
 */
public class CodePaneState
{
    private String filename;
    private Parser parser;
    private int cursorpos=0;
    /** Creates a new instance of CodePaneState, here for downwards compatible raisons */
    public CodePaneState(Parser parser,String filename)
    {
        this.filename=filename;
        this.parser=parser;
    }
    /** Creates a new instance of CodePaneState */
    public CodePaneState(Parser parser,String filename, int cursorpos)
    {
        this.filename=filename;
        this.parser=parser;
        this.cursorpos=cursorpos;
    }
    /** Return the file name */
    public String getFilename()
    {
        return filename;
    }
    /** Return the parser */
    public Parser getParser()
    {
        return parser;
    }
    /** Return the cursor position */
    public int getCursorPosition()
    {
        return cursorpos;
    }
}
